// This file is a part of the xMule Project.
//
// Copyright (c) 2004 Theodore R. Smith (hopeseekr@xmule.ws / http://www.xmule.ws/)
// DSA-1024 Fingerprint: 10A0 6372 9092 85A2 BB7F 907B CB8B 654B E33B F1ED
//
// This program is free software; you can redistribute it and/or
// modify it under the terms of the GNU General Public License
// as published by the Free Software Foundation; either
// version 2 of the License, or (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
//------------------------------------------------------------------------------
#ifdef __GNUG__
#pragma implementation "muuli_wdr.h"
#endif

// For compilers that support precompilation
#include "wx/wxprec.h"

#ifdef __BORLANDC__
#pragma hdrstop
#endif

// Include private header
#include "muuli_wdr.h"

// Custom source
#ifdef PRECOMP
#	include "xmule-headers.h"
#else
#	include "wintypes.h"
#	include "xmule.h"
#	include "ServerListCtrl.h"
//#	include "SearchListCtrl.h"
#	include "DownloadListCtrl.h"
#	include "UploadListCtrl.h"
#	include "QueueListCtrl.h"
#	include "SharedFilesCtrl.h"
#	include "OScopeCtrl.h"
#	include "ColorFrameCtrl.h"
#	include "FriendListCtrl.h"
#	include "animate.h"
#	include "MuleNotebook.h"
#endif

#include <wx/button.h>                      // wxButton
#include <wx/gauge.h>                       // wxGauge
#include <wx/radiobut.h>                    // wxRadioButton
#include <wx/sizer.h>                       // wxBoxSizer
#include <wx/splitter.h>                    // wxSplitterWindow
#include <wx/statbmp.h>                     // wxStaticBitmap
#include <wx/statbox.h>                     // wxStaticBox
#include <wx/statline.h>                    // wxStaticLine
#include <wx/stattext.h>                    // wxStaticText
#include <wx/textctrl.h>                    // wxTE_MULTILINE

// Implement window functions

wxRadioButton *radiobutton[4];

wxSizer *buttonToolbar;

wxSizer *contentSizer;

// Necessary: xmuleDlg.cpp:181
wxSizer *muleDlg(wxWindow *parent, bool call_fit, bool set_sizer)
{
    wxBoxSizer *item0 = new wxBoxSizer(wxVERTICAL);
    wxBoxSizer *item1 = new wxBoxSizer(wxHORIZONTAL);
    buttonToolbar = item1;
    item0->Add(item1, 0, wxGROW |wxALIGN_CENTER_VERTICAL |wxALL, 5);
    wxBoxSizer *item2 = new wxBoxSizer(wxVERTICAL);
    contentSizer = item2;
    item0->Add(item2, 1, wxGROW |wxALIGN_CENTER_VERTICAL |wxALL, 5);
    wxStaticLine *item3 = new wxStaticLine(parent, ID_LINE, wxDefaultPosition, wxSize(20, - 1), wxLI_HORIZONTAL);
    item0->Add(item3, 0, wxGROW |wxALIGN_CENTER_VERTICAL, 5);
    wxBoxSizer *item4 = new wxBoxSizer(wxHORIZONTAL);
    wxStaticText *item5 = new wxStaticText(parent, ID_TEXT, wxT("Loading..."), wxDefaultPosition, wxSize(10, - 1), wxST_NO_AUTORESIZE);
    item5->SetName("infoLabel");
    item4->Add(item5, 1, wxADJUST_MINSIZE |wxALIGN_CENTER |wxLEFT, 5);
    wxStaticLine *item6 = new wxStaticLine(parent, ID_LINE, wxDefaultPosition, wxSize( - 1, 20), wxLI_VERTICAL);
    item4->Add(item6, 0, wxALIGN_CENTER |wxLEFT |wxRIGHT, 5);
    wxStaticBitmap *item7 = new wxStaticBitmap(parent, ID_STATICBITMAP, xmuleDlgImages(10), wxDefaultPosition, wxDefaultSize);
    item7->SetToolTip(wxT("Number of users on the server you are connected to ..."));
    item4->Add(item7, 0, wxALIGN_CENTER, 5);
    wxStaticText *item8 = new wxStaticText(parent, ID_TEXT, wxT("Users: 0"), wxDefaultPosition, wxSize(10, - 1), wxST_NO_AUTORESIZE);
    item8->SetName("userLabel");
    item4->Add(item8, 0, wxADJUST_MINSIZE |wxALIGN_CENTER |wxLEFT, 5);
    wxStaticLine *item9 = new wxStaticLine(parent, ID_LINE, wxDefaultPosition, wxSize( - 1, 20), wxLI_VERTICAL);
    item4->Add(item9, 0, wxALIGN_CENTER |wxLEFT |wxRIGHT, 5);
    wxStaticBitmap *item10 = new wxStaticBitmap(parent, ID_STATICBITMAP, xmuleDlgImages(11), wxDefaultPosition, wxDefaultSize);
    item10->SetToolTip(wxT("Upload & Download transfer rate in kB/s ..."));
    item10->SetName("transferImg");
    item4->Add(item10, 0, wxALIGN_CENTER, 5);
    wxStaticText *item11 = new wxStaticText(parent, ID_TEXT, wxT("Up: 0.0 | Down: 0.0"), wxDefaultPosition, wxSize(10, - 1), wxST_NO_AUTORESIZE);
    item11->SetName("speedLabel");
    item4->Add(item11, 0, wxADJUST_MINSIZE |wxALIGN_CENTER |wxLEFT, 5);
    wxStaticLine *item12 = new wxStaticLine(parent, ID_LINE, wxDefaultPosition, wxSize( - 1, 20), wxLI_VERTICAL);
    item4->Add(item12, 0, wxALIGN_CENTER |wxLEFT |wxRIGHT, 5);
    wxStaticBitmap *item13 = new wxStaticBitmap(parent, ID_STATICBITMAP, xmuleDlgImages(20), wxDefaultPosition, wxDefaultSize);
    item13->SetToolTip(wxT("Connection Status & ServerName (if connected) ..."));
    item13->SetName("connImage");
    item4->Add(item13, 0, wxALIGN_CENTER, 5);
    wxStaticText *item14 = new wxStaticText(parent, ID_TEXT, wxT("Not Connected"), wxDefaultPosition, wxSize(10, - 1), 0);
    item14->SetName("connLabel");
    item4->Add(item14, 0, wxADJUST_MINSIZE |wxALIGN_CENTER |wxLEFT |wxRIGHT, 5);
    item0->Add(item4, 0, wxGROW |wxALIGN_CENTER_VERTICAL, 5);
    if (set_sizer)
    {
        parent->SetAutoLayout(true);
        parent->SetSizer(item0);
        if (call_fit)
        {
            item0->Fit(parent);
            item0->SetSizeHints(parent);
        }
    }
    return item0;
}

// Necessary: ServerWnd.cpp:56
wxSizer *serverListDlg(wxWindow *parent, bool call_fit, bool set_sizer)
{
    wxBoxSizer *item0 = new wxBoxSizer(wxVERTICAL);
    wxBoxSizer *item1 = new wxBoxSizer(wxHORIZONTAL);
    wxBoxSizer *item2 = new wxBoxSizer(wxVERTICAL);
    wxBoxSizer *item3 = new wxBoxSizer(wxHORIZONTAL);
    wxStaticBitmap *item4 = new wxStaticBitmap(parent, ID_STATICBITMAP, xmuleDlgImages(6), wxDefaultPosition, wxDefaultSize);
    item3->Add(item4, 0, wxALIGN_CENTRE, 0);
    wxStaticText *item5 = new wxStaticText(parent, ID_TEXT, _("Serverlist"), wxDefaultPosition, wxSize(300, - 1), wxST_NO_AUTORESIZE);
    item5->SetName("serverListLabel");
    item3->Add(item5, 0, wxALIGN_BOTTOM |wxALIGN_CENTER_HORIZONTAL |wxLEFT, 5);
    item2->Add(item3, 0, wxALIGN_CENTER_VERTICAL, 0);
    CServerListCtrl *item6 = new CServerListCtrl(parent, ID_SERVERLIST, wxDefaultPosition, wxSize(160, 120), wxLC_REPORT |wxSUNKEN_BORDER);
    item6->SetName("serverListCtrl");
    item2->Add(item6, 1, wxGROW |wxALIGN_CENTER_VERTICAL |wxALL, 5);
    wxBoxSizer *item7 = new wxBoxSizer(wxHORIZONTAL);
    wxStaticBitmap *item8 = new wxStaticBitmap(parent, ID_STATICBITMAP, xmuleDlgImages(8), wxDefaultPosition, wxDefaultSize);
    item7->Add(item8, 0, wxALIGN_CENTRE, 5);
    wxStaticText *item9 = new wxStaticText(parent, ID_TEXT, _("Serverinfo"), wxDefaultPosition, wxDefaultSize, 0);
    item7->Add(item9, 0, wxALIGN_BOTTOM |wxALIGN_CENTER_HORIZONTAL |wxLEFT, 5);
    item2->Add(item7, 0, wxALIGN_CENTER_VERTICAL |wxTOP |wxBOTTOM, 5);
    wxTextCtrl *item10 = new wxTextCtrl(parent, ID_SERVERINFO, wxT(""), wxDefaultPosition, wxSize(80, 80), wxTE_MULTILINE |wxTE_READONLY |wxVSCROLL);
    item10->SetName("serverInfo");
    item2->Add(item10, 0, wxGROW |wxALIGN_CENTER_VERTICAL |wxALL, 5);
    item1->Add(item2, 1, wxGROW, 5);
    wxBoxSizer *item11 = new wxBoxSizer(wxVERTICAL);
    wxStaticBox *item13 = new wxStaticBox(parent, - 1, _("New Server"));
    wxStaticBoxSizer *item12 = new wxStaticBoxSizer(item13, wxVERTICAL);
    wxFlexGridSizer *item14 = new wxFlexGridSizer(2, 0, 0);
    item14->AddGrowableCol(0);
    wxStaticText *item15 = new wxStaticText(parent, ID_TEXT, _("IP or Address"), wxDefaultPosition, wxDefaultSize, 0);
    item14->Add(item15, 0, wxALIGN_CENTER_VERTICAL |wxALL, 0);
    wxStaticText *item16 = new wxStaticText(parent, ID_TEXT, _("Port"), wxDefaultPosition, wxDefaultSize, 0);
    item14->Add(item16, 0, wxALIGN_CENTER_VERTICAL |wxALL, 0);
    wxTextCtrl *item17 = new wxTextCtrl(parent, ID_TEXTCTRL, wxT(""), wxDefaultPosition, wxSize(160, - 1), 0);
    item17->SetName("ipAddress");
    item14->Add(item17, 0, wxALL, 0);
    wxBoxSizer *item18 = new wxBoxSizer(wxHORIZONTAL);
    wxStaticText *item19 = new wxStaticText(parent, ID_TEXT, _(":"), wxDefaultPosition, wxDefaultSize, 0);
    item18->Add(item19, 0, wxALIGN_CENTRE |wxALL, 0);
    wxTextCtrl *item20 = new wxTextCtrl(parent, ID_TEXTCTRL, wxT(""), wxDefaultPosition, wxSize(60, - 1), 0);
    item20->SetName("portNumber");
    item18->Add(item20, 0, wxALIGN_CENTER_HORIZONTAL |wxALL, 0);
    item14->Add(item18, 0, wxALIGN_CENTER_HORIZONTAL |wxALL, 0);
    item12->Add(item14, 0, wxALIGN_CENTRE |wxALL, 5);
    wxStaticText *item21 = new wxStaticText(parent, ID_TEXT, _("Name"), wxDefaultPosition, wxDefaultSize, 0);
    item12->Add(item21, 0, wxALIGN_CENTER_VERTICAL, 5);
    wxTextCtrl *item22 = new wxTextCtrl(parent, ID_TEXTCTRL, wxT(""), wxDefaultPosition, wxSize(80, - 1), 0);
    item22->SetName("serverName");
    item12->Add(item22, 0, wxGROW |wxALIGN_CENTER_VERTICAL |wxALL, 5);
    wxBoxSizer *item23 = new wxBoxSizer(wxHORIZONTAL);
    wxButton *item24 = new wxButton(parent, ID_BUTTON, _("Check Server"), wxDefaultPosition, wxDefaultSize, 0);
    item23->Add(item24, 0, wxALIGN_CENTRE |wxALL, 5);
    wxButton *item25 = new wxButton(parent, ID_ADDTOLIST, _("Add to list"), wxDefaultPosition, wxDefaultSize, 0);
    item23->Add(item25, 0, wxALIGN_CENTRE |wxALL, 5);
    item12->Add(item23, 0, wxALIGN_CENTRE, 5);
    item11->Add(item12, 0, wxGROW |wxALIGN_CENTER_VERTICAL |wxALL, 5);
    wxStaticBox *item27 = new wxStaticBox(parent, - 1, _("Update server.met from URL"));
    wxStaticBoxSizer *item26 = new wxStaticBoxSizer(item27, wxVERTICAL);
    wxTextCtrl *item28 = new wxTextCtrl(parent, ID_TEXTCTRL, "http://ocbmaurice.dyndns.org/pl/slist.pl/server.met?download/server-best.met", wxDefaultPosition, wxSize(80, - 1), 0);
    item28->SetName("serverlistURL");
    item26->Add(item28, 0, wxGROW |wxALIGN_CENTER_VERTICAL |wxALL, 5);
    wxButton *item29 = new wxButton(parent, ID_UPDATELIST, _("Update"), wxDefaultPosition, wxDefaultSize, 0);
    item29->SetName("updateList");
    item26->Add(item29, 0, wxALIGN_RIGHT |wxALIGN_CENTER_VERTICAL |wxALL, 5);
    item11->Add(item26, 0, wxGROW |wxALIGN_CENTER_VERTICAL |wxALL, 5);
    wxButton *item30 = new wxButton(parent, ID_BTN_RESET, _("Reset"), wxDefaultPosition, wxDefaultSize, 0);
    item11->Add(item30, 0, wxALIGN_RIGHT |wxALIGN_CENTER_VERTICAL |wxLEFT |wxRIGHT |wxTOP, 5);
    item1->Add(item11, 0, wxGROW |wxALIGN_CENTER_HORIZONTAL, 5);
    item0->Add(item1, 1, wxGROW |wxALIGN_CENTER_VERTICAL |wxALL, 0);
    wxBoxSizer *item31 = new wxBoxSizer(wxHORIZONTAL);
    wxStaticBitmap *item32 = new wxStaticBitmap(parent, ID_STATICBITMAP, xmuleDlgImages(9), wxDefaultPosition, wxDefaultSize);
    item31->Add(item32, 0, wxALIGN_CENTRE, 5);
    wxStaticText *item33 = new wxStaticText(parent, ID_TEXT, _("Log"), wxDefaultPosition, wxDefaultSize, 0);
    item31->Add(item33, 0, wxALIGN_CENTRE |wxLEFT, 5);
    item0->Add(item31, 0, wxALIGN_CENTER_VERTICAL |wxTOP, 5);
    wxTextCtrl *item34 = new wxTextCtrl(parent, ID_LOGVIEW, wxT(""), wxDefaultPosition, wxSize(80, 70), wxTE_MULTILINE |wxTE_READONLY |wxVSCROLL);
    item34->SetBackgroundColour( *wxLIGHT_GREY);
    item34->SetName("logView");
    item0->Add(item34, 0, wxGROW |wxALIGN_CENTER_VERTICAL |wxALL, 5);
    if (set_sizer)
    {
        parent->SetAutoLayout(true);
        parent->SetSizer(item0);
        if (call_fit)
        {
            item0->Fit(parent);
            item0->SetSizeHints(parent);
        }
    }
    return item0;
}

// Necessary: TransferWnd.cpp:82
wxSizer *transferDlg(wxWindow *parent, bool call_fit, bool set_sizer)
{
    wxBoxSizer *item0 = new wxBoxSizer(wxVERTICAL);
    wxSplitterWindow *item1 = new wxSplitterWindow(parent, ID_SPLATTER, wxDefaultPosition, wxSize(200, 160), wxSP_LIVE_UPDATE |wxSP_3DSASH |wxCLIP_CHILDREN |wxSP_NOBORDER |wxSP_FULLSASH);
    item1->SetName("splitterWnd");
    wxASSERT(item1);
    item0->Add(item1, 1, wxGROW |wxALIGN_CENTER_VERTICAL, 5);
    wxBoxSizer *item2 = new wxBoxSizer(wxHORIZONTAL);
    wxStaticText *item3 = new wxStaticText(parent, ID_TEXT, _("Clients on queue:"), wxDefaultPosition, wxDefaultSize, 0);
    item2->Add(item3, 0, wxALIGN_CENTRE, 5);
    wxStaticText *item4 = new wxStaticText(parent, ID_TEXT, _("0"), wxDefaultPosition, wxSize(200, - 1), wxST_NO_AUTORESIZE);
    item4->SetName("clientCount");
    item2->Add(item4, 0, wxALIGN_CENTRE |wxLEFT, 5);
    item0->Add(item2, 0, wxALIGN_CENTER_VERTICAL |wxLEFT |wxTOP, 5);
    if (set_sizer)
    {
        parent->SetAutoLayout(true);
        parent->SetSizer(item0);
        if (call_fit)
        {
            item0->Fit(parent);
            item0->SetSizeHints(parent);
        }
    }
    return item0;
}

// Necessary: TransferWnd.cpp:87
wxSizer *transferTopPane(wxWindow *parent, bool call_fit, bool set_sizer)
{
    wxBoxSizer *item0 = new wxBoxSizer(wxVERTICAL);
    wxBoxSizer *item1 = new wxBoxSizer(wxHORIZONTAL);
    wxStaticBitmap *item2 = new wxStaticBitmap(parent, ID_STATICBITMAP, xmuleDlgImages(16), wxDefaultPosition, wxDefaultSize);
    item1->Add(item2, 0, wxALIGN_CENTER_HORIZONTAL |wxBOTTOM |wxALIGN_BOTTOM, 5);
    wxStaticText *item3 = new wxStaticText(parent, ID_TEXT, _("Downloads"), wxDefaultPosition, wxSize(300, - 1), wxST_NO_AUTORESIZE);
    item3->SetName("downloadsLabel");
    item1->Add(item3, 0, wxALIGN_CENTER_HORIZONTAL |wxLEFT |wxBOTTOM |wxALIGN_BOTTOM, 5);
    CMuleNotebook *item5t = new CMuleNotebook(parent, ID_CATEGORIES, wxDefaultPosition, wxSize(200, 32), 0);
    item1->Add(item5t, 1, wxALIGN_CENTER_HORIZONTAL |wxRIGHT, 4);
    item0->Add(item1, 0, wxALIGN_CENTER_VERTICAL |wxGROW, 0);
    CDownloadListCtrl *item4 = new CDownloadListCtrl(parent, ID_DLOADLIST, wxDefaultPosition, wxSize(160, 120), wxLC_REPORT |wxSUNKEN_BORDER);
    item4->SetName("downloadList");
    item0->Add(item4, 1, wxGROW |wxALIGN_CENTER_VERTICAL |wxLEFT |wxRIGHT |wxBOTTOM, 5);
    if (set_sizer)
    {
        parent->SetAutoLayout(true);
        parent->SetSizer(item0);
        if (call_fit)
        {
            item0->Fit(parent);
            item0->SetSizeHints(parent);
        }
    }
    return item0;
}

wxSizer* queueSizer;

// Necessary: TransferWnd.cpp:90
wxSizer *transferBottomPane(wxWindow *parent, bool call_fit, bool set_sizer)
{
    wxBoxSizer *item0 = new wxBoxSizer(wxVERTICAL);
    queueSizer = item0;
    wxBoxSizer *item1 = new wxBoxSizer(wxHORIZONTAL);
    wxStaticBitmap *item2 = new wxStaticBitmap(parent, ID_STATICBITMAP, xmuleDlgImages(17), wxDefaultPosition, wxDefaultSize);
    item1->Add(item2, 0, wxALIGN_CENTRE, 5);
    wxStaticText *item3 = new wxStaticText(parent, ID_TEXT, _("Uploads"), wxDefaultPosition, wxSize(150, - 1), 0);
    item3->SetName("uploadTitle");
    item1->Add(item3, 0, wxALIGN_CENTRE |wxLEFT, 5);
    item0->Add(item1, 0, wxALIGN_CENTER_VERTICAL |wxTOP, 5);
    CUploadListCtrl *item4 = new CUploadListCtrl(parent, ID_UPLOADLIST, wxDefaultPosition, wxSize(160, 120), wxLC_REPORT |wxSUNKEN_BORDER);
    item4->SetName("uploadList");
    item0->Add(item4, 1, wxGROW |wxALIGN_CENTER_VERTICAL |wxALL, 5);
    CQueueListCtrl *item5 = new CQueueListCtrl(parent, ID_QUEUELIST, wxDefaultPosition, wxSize(160, 120), wxLC_REPORT |wxSUNKEN_BORDER);
    item5->SetName("uploadQueue");
    item0->Add(item5, 1, wxGROW |wxALIGN_CENTER_VERTICAL |wxALL, 5);
    if (set_sizer)
    {
        parent->SetAutoLayout(true);
        parent->SetSizer(item0);
        if (call_fit)
        {
            item0->Fit(parent);
            item0->SetSizeHints(parent);
        }
    }
    return item0;
}

// Necessary: SharedFilesWnd.cpp:53
wxSizer* sharedfilesDlg(wxWindow *parent, bool call_fit, bool set_sizer)
{
    wxBoxSizer* item0 = new wxBoxSizer(wxVERTICAL);
    wxBoxSizer* item1 = new wxBoxSizer(wxHORIZONTAL);
    wxStaticBitmap* item2 = new wxStaticBitmap(parent, ID_STATICBITMAP, moreImages(0), wxDefaultPosition, wxDefaultSize);
    item1->Add(item2, 0, wxALIGN_CENTRE |wxBOTTOM, 5);
    wxStaticText* item3 = new wxStaticText(parent, ID_TEXT, _("Shared Files"), wxDefaultPosition, wxSize(300, - 1), wxST_NO_AUTORESIZE);
    item3->SetName("sharedFilesLabel");
    item1->Add(item3, 0, wxALIGN_CENTRE |wxLEFT |wxRIGHT |wxBOTTOM, 5);
    item0->Add(item1, 0, wxALIGN_CENTER_VERTICAL, 5);
    CSharedFilesCtrl *item4 = new CSharedFilesCtrl(parent, ID_SHFILELIST, wxDefaultPosition, wxSize(160, 120), wxLC_REPORT |wxSUNKEN_BORDER);
    item4->SetName("sharedFilesCt");
    item0->Add(item4, 1, wxGROW |wxALIGN_CENTER_VERTICAL |wxALL, 5);
    wxBoxSizer* item5 = new wxBoxSizer(wxHORIZONTAL);
    wxStaticBox* item7 = new wxStaticBox(parent, - 1, _("Statistics"));
    wxStaticBoxSizer* item6 = new wxStaticBoxSizer(item7, wxHORIZONTAL);
    wxStaticBitmap* item8 = new wxStaticBitmap(parent, ID_STATICBITMAP, moreImages(1), wxDefaultPosition, wxDefaultSize);
    item6->Add(item8, 0, wxALIGN_CENTER_HORIZONTAL |wxALL, 5);
    wxFlexGridSizer* item9 = new wxFlexGridSizer(5, 0, 0);
    item9->AddGrowableCol(0);
    item9->AddGrowableCol(1);
    item9->AddGrowableCol(3);
    item9->AddGrowableCol(4);
    wxBoxSizer* item10 = new wxBoxSizer(wxHORIZONTAL);
    wxStaticText* item11 = new wxStaticText(parent, ID_TEXT, _("Current Session"), wxDefaultPosition, wxDefaultSize, 0);
    item10->Add(item11, 0, wxALIGN_CENTRE, 5);
    item9->Add(item10, 0, wxALIGN_CENTER_VERTICAL, 5);
    wxStaticText* item12 = new wxStaticText(parent, ID_TEXT, wxT(""), wxDefaultPosition, wxDefaultSize, 0);
    item9->Add(item12, 0, wxALIGN_CENTRE |wxLEFT |wxRIGHT, 5);
    wxStaticText* item13 = new wxStaticText(parent, ID_TEXT, wxT(""), wxDefaultPosition, wxDefaultSize, 0);
    item9->Add(item13, 0, wxALIGN_CENTRE |wxLEFT |wxRIGHT, 5);
    wxStaticText* item14 = new wxStaticText(parent, ID_TEXT, _("Total"), wxDefaultPosition, wxDefaultSize, 0);
    item9->Add(item14, 0, wxALIGN_CENTER_VERTICAL |wxLEFT |wxRIGHT, 5);
    wxStaticText* item15 = new wxStaticText(parent, ID_TEXT, wxT(""), wxDefaultPosition, wxDefaultSize, 0);
    item9->Add(item15, 0, wxALIGN_CENTRE |wxLEFT |wxRIGHT, 5);
    wxStaticText* item16 = new wxStaticText(parent, ID_TEXT, _("Requested"), wxDefaultPosition, wxDefaultSize, 0);
    item9->Add(item16, 0, wxALIGN_CENTER_VERTICAL |wxRIGHT, 5);
    wxStaticText* item17 = new wxStaticText(parent, IDC_SREQUESTED, _("text"), wxDefaultPosition, wxSize(80, - 1), 0);
    item9->Add(item17, 0, wxALIGN_CENTER_VERTICAL |wxLEFT |wxRIGHT, 5);
    wxGauge* item18 = new wxGauge(parent, ID_GAUGE, 100, wxDefaultPosition, wxSize(200, - 1), wxGA_SMOOTH);
    item18->SetName("popbar");
    item9->Add(item18, 0, wxALIGN_CENTRE |wxLEFT |wxRIGHT, 5);
    wxStaticText* item19 = new wxStaticText(parent, ID_TEXT, _("Requested"), wxDefaultPosition, wxDefaultSize, 0);
    item9->Add(item19, 0, wxALIGN_CENTER_VERTICAL |wxLEFT |wxRIGHT, 5);
    wxStaticText* item20 = new wxStaticText(parent, IDC_SREQUESTED2, _("text"), wxDefaultPosition, wxSize(80, - 1), 0);
    item9->Add(item20, 0, wxALIGN_CENTRE |wxLEFT |wxRIGHT, 5);
    wxStaticText* item21 = new wxStaticText(parent, ID_TEXT, _("Active Uploads"), wxDefaultPosition, wxDefaultSize, 0);
    item9->Add(item21, 0, wxALIGN_CENTER_VERTICAL |wxRIGHT, 5);
    wxStaticText* item22 = new wxStaticText(parent, IDC_SACCEPTED, _("text"), wxDefaultPosition, wxSize(80, - 1), 0);
    item9->Add(item22, 0, wxALIGN_CENTRE |wxLEFT |wxRIGHT, 5);
    wxGauge* item23 = new wxGauge(parent, ID_GAUGE, 100, wxDefaultPosition, wxSize(200, - 1), wxGA_SMOOTH);
    item23->SetName("popbarAccept");
    item9->Add(item23, 0, wxALIGN_CENTRE |wxLEFT |wxRIGHT |wxTOP, 5);
    wxStaticText* item24 = new wxStaticText(parent, ID_TEXT, _("Active Uploads"), wxDefaultPosition, wxDefaultSize, 0);
    item9->Add(item24, 0, wxALIGN_CENTER_VERTICAL |wxLEFT |wxRIGHT, 5);
    wxStaticText* item25 = new wxStaticText(parent, IDC_SACCEPTED2, _("text"), wxDefaultPosition, wxSize(80, - 1), 0);
    item9->Add(item25, 0, wxALIGN_CENTRE |wxLEFT |wxRIGHT, 5);
    wxStaticText* item26 = new wxStaticText(parent, ID_TEXT, _("Transferred"), wxDefaultPosition, wxDefaultSize, 0);
    item9->Add(item26, 0, wxALIGN_CENTER_VERTICAL |wxRIGHT, 5);
    wxStaticText* item27 = new wxStaticText(parent, IDC_STRANSFERED, _("text"), wxDefaultPosition, wxSize(80, - 1), 0);
    item9->Add(item27, 0, wxALIGN_CENTRE |wxLEFT |wxRIGHT, 5);
    wxGauge* item28 = new wxGauge(parent, ID_GAUGE, 100, wxDefaultPosition, wxSize(200, - 1), wxGA_SMOOTH);
    item28->SetName("popbarTrans");
    item9->Add(item28, 0, wxALIGN_CENTRE |wxLEFT |wxRIGHT |wxTOP, 5);
    wxStaticText* item29 = new wxStaticText(parent, ID_TEXT, _("Transferred"), wxDefaultPosition, wxDefaultSize, 0);
    item9->Add(item29, 0, wxALIGN_CENTER_VERTICAL |wxLEFT |wxRIGHT, 5);
    wxStaticText* item30 = new wxStaticText(parent, IDC_STRANSFERED2, _("text"), wxDefaultPosition, wxSize(80, - 1), 0);
    item9->Add(item30, 0, wxALIGN_CENTRE |wxLEFT |wxRIGHT, 5);
    item6->Add(item9, 0, wxALIGN_CENTER_VERTICAL |wxALL, 5);
    item5->Add(item6, 0, wxALIGN_CENTRE |wxALL, 5);
    item5->Add(20, 20, 1, wxALIGN_CENTRE |wxALL, 5);
    wxButton* item31 = new wxButton(parent, IDC_RELOADSHAREDFILES, _("Reload"), wxDefaultPosition, wxDefaultSize, 0);
    item5->Add(item31, 0, wxALIGN_CENTER_HORIZONTAL |wxALL, 5);
    item0->Add(item5, 0, wxGROW |wxALIGN_CENTER_VERTICAL |wxALL, 5);
    if (set_sizer)
    {
        parent->SetAutoLayout(true);
        parent->SetSizer(item0);
        if (call_fit)
        {
            item0->Fit(parent);
            item0->SetSizeHints(parent);
        }
    }
    return item0;
}

wxSizer *testSizer;

// Necessary: StatisticsDlg.cpp:56
wxSizer *statsDlg(wxWindow *parent, bool call_fit, bool set_sizer)
{
    wxBoxSizer *item0 = new wxBoxSizer(wxVERTICAL);
    testSizer = item0;
    wxBoxSizer *item1 = new wxBoxSizer(wxHORIZONTAL);
    wxBoxSizer *item2 = new wxBoxSizer(wxVERTICAL);
    wxBoxSizer *item3 = new wxBoxSizer(wxVERTICAL);
    wxWindow *item4 = new COScopeCtrl(3, parent);
    item4->SetName("dloadScope");
    wxASSERT(item4);
    item3->Add(item4, 1, wxGROW |wxALIGN_CENTER_VERTICAL |wxLEFT |wxRIGHT |wxTOP, 5);
    wxBoxSizer *item5 = new wxBoxSizer(wxHORIZONTAL);
    wxBoxSizer *item6 = new wxBoxSizer(wxVERTICAL);
    wxStaticText *item7 = new wxStaticText(parent, ID_TEXT, _("Download-Speed"), wxDefaultPosition, wxSize(112, - 1), 0);
    item6->Add(item7, 0, wxALIGN_CENTER_VERTICAL |wxLEFT |wxRIGHT |wxBOTTOM, 5);
    wxBoxSizer *item8 = new wxBoxSizer(wxHORIZONTAL);
    wxWindow *item9 = new CColorFrameCtrl(parent, IDC_C0, 20, 14);
    wxASSERT(item9);
    item8->Add(item9, 0, wxALIGN_CENTER_HORIZONTAL, 5);
    wxStaticText *item10 = new wxStaticText(parent, ID_TEXT, _("current"), wxDefaultPosition, wxDefaultSize, 0);
    item8->Add(item10, 0, wxALIGN_CENTRE |wxLEFT |wxRIGHT |wxBOTTOM, 5);
    item6->Add(item8, 0, wxALIGN_CENTER_VERTICAL |wxLEFT |wxRIGHT, 5);
    item5->Add(item6, 0, wxALIGN_CENTRE, 5);
    wxBoxSizer *item11 = new wxBoxSizer(wxVERTICAL);
    wxBoxSizer *item12 = new wxBoxSizer(wxHORIZONTAL);
    wxWindow *item13 = new CColorFrameCtrl(parent, IDC_C0_3, 20, 14);
    wxASSERT(item13);
    item12->Add(item13, 0, wxALIGN_CENTER_HORIZONTAL, 5);
    wxStaticText *item14 = new wxStaticText(parent, ID_TEXT, _("Average (5mins)"), wxDefaultPosition, wxDefaultSize, 0);
    item12->Add(item14, 0, wxALIGN_CENTRE |wxLEFT |wxRIGHT |wxBOTTOM, 5);
    item11->Add(item12, 0, wxALIGN_CENTER_VERTICAL |wxLEFT |wxRIGHT, 5);
    wxBoxSizer *item15 = new wxBoxSizer(wxHORIZONTAL);
    wxWindow *item16 = new CColorFrameCtrl(parent, IDC_C0_2, 20, 14);
    wxASSERT(item16);
    item15->Add(item16, 0, wxALIGN_CENTER_HORIZONTAL, 5);
    wxStaticText *item17 = new wxStaticText(parent, ID_TEXT, _("session average"), wxDefaultPosition, wxDefaultSize, 0);
    item15->Add(item17, 0, wxALIGN_CENTRE |wxLEFT |wxRIGHT |wxBOTTOM, 5);
    item11->Add(item15, 0, wxALIGN_CENTER_VERTICAL |wxLEFT |wxRIGHT, 5);
    item5->Add(item11, 0, wxALIGN_CENTRE, 5);
    item3->Add(item5, 0, wxALIGN_CENTER_VERTICAL |wxLEFT |wxRIGHT |wxTOP, 5);
    item2->Add(item3, 1, wxGROW |wxALIGN_CENTER_VERTICAL, 5);
    wxBoxSizer *item18 = new wxBoxSizer(wxVERTICAL);
    wxWindow *item19 = new COScopeCtrl(4, parent);
    item19->SetName("otherScope");
    wxASSERT(item19);
    item18->Add(item19, 1, wxGROW |wxALIGN_CENTER_VERTICAL |wxLEFT |wxRIGHT, 5);
    wxBoxSizer *item20 = new wxBoxSizer(wxHORIZONTAL);
    wxBoxSizer *item21 = new wxBoxSizer(wxVERTICAL);
    wxBoxSizer *item22 = new wxBoxSizer(wxHORIZONTAL);
    wxWindow *item23 = new CColorFrameCtrl(parent, IDC_S3, 20, 14);
    wxASSERT(item23);
    item22->Add(item23, 0, wxALIGN_CENTER_HORIZONTAL, 5);
    wxStaticText *item24 = new wxStaticText(parent, ID_TEXT, _("active downloads"), wxDefaultPosition, wxDefaultSize, 0);
    item22->Add(item24, 0, wxALIGN_CENTRE |wxLEFT, 5);
    item21->Add(item22, 0, wxALIGN_CENTER_VERTICAL |wxRIGHT |wxBOTTOM, 5);
    wxBoxSizer *item25 = new wxBoxSizer(wxHORIZONTAL);
    wxWindow *item26 = new CColorFrameCtrl(parent, IDC_S0, 20, 14);
    wxASSERT(item26);
    item25->Add(item26, 0, wxALIGN_CENTER_HORIZONTAL, 5);
    wxStaticText *item27 = new wxStaticText(parent, ID_ACTIVEC, _("active connections (1:100)"), wxDefaultPosition, wxDefaultSize, 0);
    item25->Add(item27, 0, wxALIGN_CENTRE |wxLEFT |wxRIGHT, 5);
    item21->Add(item25, 0, wxALIGN_CENTER_VERTICAL |wxRIGHT, 5);
    item20->Add(item21, 0, wxALIGN_CENTRE |wxLEFT |wxTOP, 5);
    wxBoxSizer *item28 = new wxBoxSizer(wxVERTICAL);
    wxBoxSizer *item29 = new wxBoxSizer(wxHORIZONTAL);
    wxWindow *item30 = new CColorFrameCtrl(parent, IDC_S1, 20, 14);
    wxASSERT(item30);
    item29->Add(item30, 0, wxALIGN_CENTER_HORIZONTAL, 5);
    wxStaticText *item31 = new wxStaticText(parent, ID_TEXT, _("active uploads"), wxDefaultPosition, wxDefaultSize, 0);
    item29->Add(item31, 0, wxALIGN_CENTRE |wxLEFT |wxRIGHT |wxBOTTOM, 5);
    item28->Add(item29, 0, wxALIGN_CENTER_VERTICAL |wxLEFT |wxRIGHT |wxTOP, 5);
    item20->Add(item28, 0, wxALIGN_CENTER_HORIZONTAL |wxLEFT |wxRIGHT, 5);
    item18->Add(item20, 0, wxALIGN_CENTER_VERTICAL, 5);
    item2->Add(item18, 1, wxGROW |wxALIGN_CENTER_VERTICAL, 5);
    item1->Add(item2, 1, wxGROW |wxALIGN_CENTER_HORIZONTAL |wxBOTTOM, 5);
    wxBoxSizer *item32 = new wxBoxSizer(wxVERTICAL);
    wxBoxSizer *item33 = new wxBoxSizer(wxVERTICAL);
    wxWindow *item34 = new COScopeCtrl(3, parent);
    item34->SetName("uloadScope");
    wxASSERT(item34);
    item33->Add(item34, 1, wxGROW |wxALIGN_CENTER_VERTICAL |wxALL, 5);
    wxBoxSizer *item35 = new wxBoxSizer(wxHORIZONTAL);
    wxBoxSizer *item36 = new wxBoxSizer(wxVERTICAL);
    wxStaticText *item37 = new wxStaticText(parent, ID_TEXT, _("Upload-Speed"), wxDefaultPosition, wxSize(112, - 1), 0);
    item36->Add(item37, 0, wxALIGN_CENTRE |wxLEFT |wxBOTTOM, 5);
    wxBoxSizer *item38 = new wxBoxSizer(wxHORIZONTAL);
    wxWindow *item39 = new CColorFrameCtrl(parent, IDC_C1, 20, 14);
    wxASSERT(item39);
    item38->Add(item39, 0, wxALIGN_CENTER_HORIZONTAL, 5);
    wxStaticText *item40 = new wxStaticText(parent, ID_TEXT, _("current"), wxDefaultPosition, wxDefaultSize, 0);
    item38->Add(item40, 0, wxALIGN_CENTRE |wxLEFT |wxRIGHT |wxBOTTOM, 5);
    item36->Add(item38, 0, wxALIGN_CENTER_VERTICAL, 5);
    item35->Add(item36, 0, wxALIGN_CENTRE |wxLEFT |wxRIGHT, 5);
    wxBoxSizer *item41 = new wxBoxSizer(wxVERTICAL);
    wxBoxSizer *item42 = new wxBoxSizer(wxHORIZONTAL);
    wxWindow *item43 = new CColorFrameCtrl(parent, IDC_C1_3, 20, 14);
    wxASSERT(item43);
    item42->Add(item43, 0, wxALIGN_CENTER_HORIZONTAL, 5);
    wxStaticText *item44 = new wxStaticText(parent, ID_TEXT, _("Average (5 mins)"), wxDefaultPosition, wxDefaultSize, 0);
    item42->Add(item44, 0, wxALIGN_CENTRE |wxLEFT |wxRIGHT |wxBOTTOM, 5);
    item41->Add(item42, 0, wxALIGN_CENTRE, 5);
    wxBoxSizer *item45 = new wxBoxSizer(wxHORIZONTAL);
    wxWindow *item46 = new CColorFrameCtrl(parent, IDC_C1_2, 20, 14);
    wxASSERT(item46);
    item45->Add(item46, 0, wxALIGN_CENTER_HORIZONTAL, 5);
    wxStaticText *item47 = new wxStaticText(parent, ID_TEXT, _("session average"), wxDefaultPosition, wxDefaultSize, 0);
    item45->Add(item47, 0, wxALIGN_CENTRE |wxLEFT |wxRIGHT |wxBOTTOM, 5);
    item41->Add(item45, 0, wxALIGN_CENTER_VERTICAL, 5);
    item35->Add(item41, 0, wxALIGN_CENTRE |wxLEFT |wxRIGHT, 5);
    item33->Add(item35, 0, wxALIGN_CENTER_VERTICAL, 5);
    item32->Add(item33, 1, wxGROW |wxALIGN_CENTER_VERTICAL, 5);
    wxTreeCtrl *item48 = new wxTreeCtrl(parent, ID_TREECTRL, wxDefaultPosition, wxSize(120, 160), wxTR_HAS_BUTTONS |wxSUNKEN_BORDER);
    item48->SetName("statTree");
    item32->Add(item48, 1, wxGROW |wxALIGN_CENTER_VERTICAL |wxLEFT |wxRIGHT, 5);
    item1->Add(item32, 1, wxGROW |wxALIGN_CENTER_HORIZONTAL |wxBOTTOM, 5);
    item0->Add(item1, 1, wxGROW |wxALIGN_CENTER_VERTICAL, 5);
    if (set_sizer)
    {
        parent->SetAutoLayout(true);
        parent->SetSizer(item0);
        if (call_fit)
        {
            item0->Fit(parent);
            item0->SetSizeHints(parent);
        }
    }
    return item0;
}

// Necessary ChatWnd.cpp:36
wxSizer *messagePage(wxWindow *parent, bool call_fit, bool set_sizer)
{
    wxBoxSizer *item0 = new wxBoxSizer(wxVERTICAL);
    wxBoxSizer *item1 = new wxBoxSizer(wxHORIZONTAL);
    wxBoxSizer *item2 = new wxBoxSizer(wxVERTICAL);
    wxBoxSizer *item3 = new wxBoxSizer(wxHORIZONTAL);
    wxStaticBitmap *item4 = new wxStaticBitmap(parent, ID_STATICBITMAP, xmuleDlgImages(22), wxDefaultPosition, wxDefaultSize);
    item3->Add(item4, 0, wxALIGN_CENTRE |wxALL, 5);
    wxStaticText *item5 = new wxStaticText(parent, ID_TEXT, _("Friends"), wxDefaultPosition, wxDefaultSize, 0);
    item3->Add(item5, 0, wxALIGN_CENTRE |wxALL, 5);
    item2->Add(item3, 0, wxALIGN_CENTER_VERTICAL, 5);
    CFriendListCtrl *item6 = new CFriendListCtrl(parent, ID_FRIENDLIST, wxDefaultPosition, wxSize(160, 120), wxLC_REPORT |wxSUNKEN_BORDER);
    item2->Add(item6, 1, wxGROW |wxALIGN_CENTER_VERTICAL |wxLEFT |wxRIGHT |wxBOTTOM, 5);
    item1->Add(item2, 0, wxGROW |wxALIGN_CENTER_HORIZONTAL, 5);
    wxBoxSizer *item7 = new wxBoxSizer(wxVERTICAL);
    wxBoxSizer *item8 = new wxBoxSizer(wxHORIZONTAL);
    wxStaticBitmap *item9 = new wxStaticBitmap(parent, ID_STATICBITMAP, xmuleDlgImages(23), wxDefaultPosition, wxDefaultSize);
    item8->Add(item9, 0, wxALIGN_CENTRE |wxALL, 5);
    wxStaticText *item10 = new wxStaticText(parent, ID_TEXT, _("Messages"), wxDefaultPosition, wxDefaultSize, 0);
    item8->Add(item10, 0, wxALIGN_CENTRE |wxALL, 5);
    item7->Add(item8, 0, wxALIGN_CENTER_VERTICAL, 5);
    wxTextCtrl *item11 = new wxTextCtrl(parent, ID_TEXTCTRL, wxT(""), wxDefaultPosition, wxSize(80, 40), wxTE_MULTILINE);
    item7->Add(item11, 1, wxGROW |wxALIGN_CENTER_VERTICAL |wxLEFT |wxRIGHT |wxBOTTOM, 5);
    wxBoxSizer *item12 = new wxBoxSizer(wxHORIZONTAL);
    wxTextCtrl *item13 = new wxTextCtrl(parent, ID_TEXTCTRL, wxT(""), wxDefaultPosition, wxSize(80, - 1), 0);
    item12->Add(item13, 1, wxALIGN_CENTRE |wxALL, 5);
    wxButton *item14 = new wxButton(parent, ID_BUTTON, _("Send"), wxDefaultPosition, wxDefaultSize, 0);
    item12->Add(item14, 0, wxALIGN_CENTRE |wxALL, 5);
    wxButton *item15 = new wxButton(parent, ID_BUTTON, _("Close"), wxDefaultPosition, wxDefaultSize, 0);
    item12->Add(item15, 0, wxALIGN_CENTRE |wxALL, 5);
    item7->Add(item12, 0, wxGROW |wxALIGN_CENTER_VERTICAL, 5);
    item1->Add(item7, 1, wxGROW |wxALIGN_CENTER_HORIZONTAL, 5);
    item0->Add(item1, 1, wxGROW |wxALIGN_CENTER_VERTICAL |wxRIGHT |wxBOTTOM, 5);
    if (set_sizer)
    {
        parent->SetAutoLayout(true);
        parent->SetSizer(item0);
        if (call_fit)
        {
            item0->Fit(parent);
            item0->SetSizeHints(parent);
        }
    }
    return item0;
}

// Necessary: ClientDetailDialog.cpp:64
wxSizer *clientDetails(wxWindow *parent, bool call_fit, bool set_sizer)
{
    wxBoxSizer *item0 = new wxBoxSizer(wxVERTICAL);
    wxStaticBox *item2 = new wxStaticBox(parent, - 1, _("General"));
    wxStaticBoxSizer *item1 = new wxStaticBoxSizer(item2, wxVERTICAL);
    wxBoxSizer *item3 = new wxBoxSizer(wxHORIZONTAL);
    wxStaticText *item4 = new wxStaticText(parent, ID_TEXT, _("Username:"), wxDefaultPosition, wxSize(90, - 1), 0);
    item3->Add(item4, 0, wxALIGN_CENTRE |wxALL, 5);
    wxStaticText *item5 = new wxStaticText(parent, ID_DNAME, _("text"), wxDefaultPosition, wxDefaultSize, 0);
    item3->Add(item5, 1, wxALIGN_CENTRE |wxALL, 5);
    item1->Add(item3, 0, wxGROW |wxALIGN_CENTER_VERTICAL, 5);
    wxBoxSizer *item6 = new wxBoxSizer(wxHORIZONTAL);
    wxStaticText *item7 = new wxStaticText(parent, ID_TEXT, _("Userhash:"), wxDefaultPosition, wxSize(90, - 1), 0);
    item6->Add(item7, 0, wxALIGN_CENTRE |wxALL, 5);
    wxStaticText *item8 = new wxStaticText(parent, ID_DHASH, _("text"), wxDefaultPosition, wxDefaultSize, 0);
    item6->Add(item8, 1, wxALIGN_CENTRE |wxALL, 5);
    item1->Add(item6, 0, wxGROW |wxALIGN_CENTER_VERTICAL, 5);
    wxBoxSizer *item9 = new wxBoxSizer(wxHORIZONTAL);
    wxStaticText *item10 = new wxStaticText(parent, ID_TEXT, _("Clientsoftware:"), wxDefaultPosition, wxSize(90, - 1), 0);
    item9->Add(item10, 0, wxALIGN_CENTRE |wxALL, 5);
    wxStaticText *item11 = new wxStaticText(parent, ID_DSOFT, _("text"), wxDefaultPosition, wxSize(90, - 1), 0);
    item9->Add(item11, 1, wxALIGN_CENTRE |wxALL, 5);
    wxStaticText *item12 = new wxStaticText(parent, ID_TEXT, _("Clientversion:"), wxDefaultPosition, wxSize(90, - 1), 0);
    item9->Add(item12, 0, wxALIGN_CENTRE |wxALL, 5);
    wxStaticText *item13 = new wxStaticText(parent, ID_DVERSION, _("text"), wxDefaultPosition, wxSize(90, - 1), 0);
    item9->Add(item13, 1, wxALIGN_CENTRE |wxALL, 5);
    item1->Add(item9, 0, wxGROW |wxALIGN_CENTER_VERTICAL, 5);
    wxBoxSizer *item14 = new wxBoxSizer(wxHORIZONTAL);
    wxStaticText *item15 = new wxStaticText(parent, ID_TEXT, _("IP Address:"), wxDefaultPosition, wxSize(90, - 1), 0);
    item14->Add(item15, 0, wxALIGN_CENTRE |wxALL, 5);
    wxStaticText *item16 = new wxStaticText(parent, ID_DIP, _("text"), wxDefaultPosition, wxSize(90, - 1), 0);
    item14->Add(item16, 1, wxALIGN_CENTRE |wxALL, 5);
    wxStaticText *item17 = new wxStaticText(parent, ID_TEXT, _("ID:"), wxDefaultPosition, wxSize(90, - 1), 0);
    item14->Add(item17, 0, wxALIGN_CENTRE |wxALL, 5);
    wxStaticText *item18 = new wxStaticText(parent, ID_DID, _("text"), wxDefaultPosition, wxSize(90, - 1), 0);
    item14->Add(item18, 1, wxALIGN_CENTRE |wxALL, 5);
    item1->Add(item14, 0, wxGROW |wxALIGN_CENTER_VERTICAL, 5);
    wxBoxSizer *item19 = new wxBoxSizer(wxHORIZONTAL);
    wxStaticText *item20 = new wxStaticText(parent, ID_TEXT, _("Server IP:"), wxDefaultPosition, wxSize(90, - 1), 0);
    item19->Add(item20, 0, wxALIGN_CENTRE |wxALL, 5);
    wxStaticText *item21 = new wxStaticText(parent, ID_DSIP, _("text"), wxDefaultPosition, wxSize(90, - 1), 0);
    item19->Add(item21, 1, wxALIGN_CENTRE |wxALL, 5);
    wxStaticText *item22 = new wxStaticText(parent, ID_TEXT, _("Servername:"), wxDefaultPosition, wxSize(90, - 1), 0);
    item19->Add(item22, 0, wxALIGN_CENTRE |wxALL, 5);
    wxStaticText *item23 = new wxStaticText(parent, ID_DSNAME, _("text"), wxDefaultPosition, wxSize(90, - 1), 0);
    item19->Add(item23, 1, wxALIGN_CENTRE |wxALL, 5);
    item1->Add(item19, 0, wxGROW |wxALIGN_CENTER_VERTICAL, 5);
    wxBoxSizer *item99 = new wxBoxSizer(wxHORIZONTAL);
    wxStaticText *item98 = new wxStaticText(parent, ID_TEXT, _("SecuIdent:"), wxDefaultPosition, wxSize(90, - 1), 0);
    item99->Add(item98, 0, wxALIGN_CENTRE |wxALL, 5);
    
    wxStaticText *item97 = new wxStaticText(parent, ID_SECI, _("text"), wxDefaultPosition, wxSize(90, - 1), 0);
    item99->Add(item97, 1, wxALIGN_CENTRE |wxALL, 5);
    wxStaticText *item96 = new wxStaticText(parent, ID_TEXT, _("PublicKey:"), wxDefaultPosition, wxSize(90, - 1), 0);
    item99->Add(item96, 0, wxALIGN_CENTRE |wxALL, 5);
    wxStaticText *item95 = new wxStaticText(parent, ID_PUBK, _("text"), wxDefaultPosition, wxSize(90, - 1), 0);
    item99->Add(item95, 1, wxALIGN_CENTRE |wxALL, 5);
    item1->Add(item99, 0, wxGROW |wxALIGN_CENTER_VERTICAL, 5);
    item0->Add(item1, 0, wxGROW |wxALIGN_CENTER_VERTICAL |wxALL, 5);
    wxStaticBox *item25 = new wxStaticBox(parent, - 1, _("Transfer"));
    wxStaticBoxSizer *item24 = new wxStaticBoxSizer(item25, wxVERTICAL);
    wxBoxSizer *item26 = new wxBoxSizer(wxHORIZONTAL);
    wxStaticText *item27 = new wxStaticText(parent, ID_TEXT, _("Currently downloading:"), wxDefaultPosition, wxSize(160, - 1), 0);
    item26->Add(item27, 0, wxALIGN_CENTRE |wxALL, 5);
    wxStaticText *item28 = new wxStaticText(parent, ID_DDOWNLOADING, _("text"), wxDefaultPosition, wxDefaultSize, 0);
    item26->Add(item28, 1, wxALIGN_CENTRE |wxALL, 5);
    item24->Add(item26, 0, wxGROW |wxALIGN_CENTER_VERTICAL, 5);
    wxBoxSizer *item29 = new wxBoxSizer(wxHORIZONTAL);
    wxStaticText *item30 = new wxStaticText(parent, ID_TEXT, _("Downloaded (this session):"), wxDefaultPosition, wxSize(160, - 1), 0);
    item29->Add(item30, 0, wxALIGN_CENTRE |wxALL, 5);
    wxStaticText *item31 = new wxStaticText(parent, ID_DDOWN, _("text"), wxDefaultPosition, wxSize(90, - 1), 0);
    item29->Add(item31, 0, wxALIGN_CENTRE |wxALL, 5);
    wxStaticText *item32 = new wxStaticText(parent, ID_TEXT, _("Uploaded (this session):"), wxDefaultPosition, wxSize(145, - 1), 0);
    item29->Add(item32, 0, wxALIGN_CENTRE |wxALL, 5);
    wxStaticText *item33 = new wxStaticText(parent, ID_DDUP, _("text"), wxDefaultPosition, wxSize(90, - 1), 0);
    item29->Add(item33, 0, wxALIGN_CENTRE |wxALL, 5);
    item24->Add(item29, 0, wxGROW |wxALIGN_CENTER_VERTICAL, 5);
    wxBoxSizer *item34 = new wxBoxSizer(wxHORIZONTAL);
    wxStaticText *item35 = new wxStaticText(parent, ID_TEXT, _("Average downloadrate:"), wxDefaultPosition, wxSize(160, - 1), 0);
    item34->Add(item35, 0, wxALIGN_CENTRE |wxALL, 5);
    wxStaticText *item36 = new wxStaticText(parent, ID_DAVDR, _("text"), wxDefaultPosition, wxSize(90, - 1), 0);
    item34->Add(item36, 0, wxALIGN_CENTRE |wxALL, 5);
    wxStaticText *item37 = new wxStaticText(parent, ID_TEXT, _("Average Uploadrate:"), wxDefaultPosition, wxSize(145, - 1), 0);
    item34->Add(item37, 0, wxALIGN_CENTRE |wxALL, 5);
    wxStaticText *item38 = new wxStaticText(parent, ID_DAVUR, _("text"), wxDefaultPosition, wxSize(90, - 1), 0);
    item34->Add(item38, 0, wxALIGN_CENTRE |wxALL, 5);
    item24->Add(item34, 0, wxGROW |wxALIGN_CENTER_VERTICAL, 5);
    wxBoxSizer *item39 = new wxBoxSizer(wxHORIZONTAL);
    wxStaticText *item40 = new wxStaticText(parent, ID_TEXT, _("Downloaded total:"), wxDefaultPosition, wxSize(160, - 1), 0);
    item39->Add(item40, 0, wxALIGN_CENTRE |wxALL, 5);
    wxStaticText *item41 = new wxStaticText(parent, ID_DDOWNTOTAL, _("text"), wxDefaultPosition, wxSize(90, - 1), 0);
    item39->Add(item41, 0, wxALIGN_CENTRE |wxALL, 5);
    wxStaticText *item42 = new wxStaticText(parent, ID_TEXT, _("Uploaded total:"), wxDefaultPosition, wxSize(145, - 1), 0);
    item39->Add(item42, 0, wxALIGN_CENTRE |wxALL, 5);
    wxStaticText *item43 = new wxStaticText(parent, ID_DUPTOTAL, _("text"), wxDefaultPosition, wxSize(90, - 1), 0);
    item39->Add(item43, 0, wxALIGN_CENTRE |wxALL, 5);
    item24->Add(item39, 0, wxGROW |wxALIGN_CENTER_VERTICAL, 5);
    item0->Add(item24, 0, wxGROW |wxALIGN_CENTER_VERTICAL |wxLEFT |wxRIGHT |wxBOTTOM, 5);
    wxStaticBox *item45 = new wxStaticBox(parent, - 1, _("Scores"));
    wxStaticBoxSizer *item44 = new wxStaticBoxSizer(item45, wxVERTICAL);
    wxBoxSizer *item46 = new wxBoxSizer(wxHORIZONTAL);
    wxStaticText *item47 = new wxStaticText(parent, ID_TEXT, _("DL/UP Modifier:"), wxDefaultPosition, wxSize(100, - 1), 0);
    item46->Add(item47, 0, wxALIGN_CENTRE |wxALL, 5);
    wxStaticText *item48 = new wxStaticText(parent, ID_DRATIO, _("text"), wxDefaultPosition, wxDefaultSize, 0);
    item46->Add(item48, 0, wxALIGN_CENTRE |wxALL, 5);
    item44->Add(item46, 0, wxGROW |wxALIGN_CENTER_VERTICAL, 5);
    wxBoxSizer *item49 = new wxBoxSizer(wxHORIZONTAL);
    wxStaticText *item50 = new wxStaticText(parent, ID_TEXT, _("Rating (total):"), wxDefaultPosition, wxSize(100, - 1), 0);
    item49->Add(item50, 0, wxALIGN_CENTRE |wxALL, 5);
    wxStaticText *item51 = new wxStaticText(parent, ID_DRATING, _("text"), wxDefaultPosition, wxDefaultSize, 0);
    item49->Add(item51, 1, wxALIGN_CENTRE |wxALL, 5);
    wxStaticText *item52 = new wxStaticText(parent, ID_TEXT, _("Uploadqueue score:"), wxDefaultPosition, wxDefaultSize, 0);
    item49->Add(item52, 0, wxALIGN_CENTRE |wxALL, 5);
    wxStaticText *item53 = new wxStaticText(parent, ID_DSCORE, _("text"), wxDefaultPosition, wxDefaultSize, 0);
    item49->Add(item53, 1, wxALIGN_CENTRE |wxALL, 5);
    item44->Add(item49, 0, wxGROW |wxALIGN_CENTER_VERTICAL, 5);
    item0->Add(item44, 0, wxGROW |wxALIGN_CENTER_VERTICAL |wxLEFT |wxRIGHT |wxBOTTOM, 5);
    wxButton *item54 = new wxButton(parent, ID_CLOSEWND, _("Close"), wxDefaultPosition, wxDefaultSize, 0);
    item0->Add(item54, 0, wxALIGN_RIGHT |wxALIGN_CENTER_VERTICAL |wxALL, 5);
    if (set_sizer)
    {
        parent->SetAutoLayout(true);
        parent->SetSizer(item0);
        if (call_fit)
        {
            item0->Fit(parent);
            item0->SetSizeHints(parent);
        }
    }
    return item0;
}

// Necessary: AddFriend.cpp:48
wxSizer *addFriendDlg(wxWindow *parent, bool call_fit, bool set_sizer)
{
    wxBoxSizer *item0 = new wxBoxSizer(wxVERTICAL);
    wxStaticBox *item2 = new wxStaticBox(parent, - 1, _("Required Information"));
    wxStaticBoxSizer *item1 = new wxStaticBoxSizer(item2, wxVERTICAL);
    wxBoxSizer *item3 = new wxBoxSizer(wxHORIZONTAL);
    wxStaticText *item4 = new wxStaticText(parent, ID_TEXT, _("IP Address:"), wxDefaultPosition, wxSize(70, - 1), 0);
    item3->Add(item4, 0, wxALIGN_CENTRE |wxALL, 5);
    wxTextCtrl *item5 = new wxTextCtrl(parent, ID_IPADDRESS, wxT(""), wxDefaultPosition, wxSize(150, - 1), 0);
    item3->Add(item5, 0, wxALIGN_CENTRE |wxALL, 5);
    item1->Add(item3, 0, wxGROW |wxALIGN_CENTER_VERTICAL, 5);
    wxBoxSizer *item6 = new wxBoxSizer(wxHORIZONTAL);
    wxStaticText *item7 = new wxStaticText(parent, ID_TEXT, _("Port:"), wxDefaultPosition, wxSize(70, - 1), 0);
    item6->Add(item7, 0, wxALIGN_CENTRE |wxALL, 5);
    wxTextCtrl *item8 = new wxTextCtrl(parent, ID_IPORT, wxT(""), wxDefaultPosition, wxSize(80, - 1), 0);
    item6->Add(item8, 0, wxALIGN_CENTRE |wxALL, 5);
    item1->Add(item6, 0, wxGROW |wxALIGN_CENTER_VERTICAL, 5);
    item0->Add(item1, 0, wxGROW |wxALIGN_CENTER_VERTICAL |wxALL, 5);
    wxStaticBox *item10 = new wxStaticBox(parent, - 1, _("Additional Information"));
    wxStaticBoxSizer *item9 = new wxStaticBoxSizer(item10, wxVERTICAL);
    wxBoxSizer *item11 = new wxBoxSizer(wxHORIZONTAL);
    wxStaticText *item12 = new wxStaticText(parent, ID_TEXT, _("Username:"), wxDefaultPosition, wxSize(70, - 1), 0);
    item11->Add(item12, 0, wxALIGN_CENTRE |wxALL, 5);
    wxTextCtrl *item13 = new wxTextCtrl(parent, ID_USERNAME, wxT(""), wxDefaultPosition, wxSize(250, - 1), 0);
    item11->Add(item13, 1, wxALIGN_CENTRE |wxALL, 5);
    item9->Add(item11, 0, wxGROW |wxALIGN_CENTER_VERTICAL, 5);
    wxBoxSizer *item14 = new wxBoxSizer(wxHORIZONTAL);
    wxStaticText *item15 = new wxStaticText(parent, ID_TEXT, _("Userhash:"), wxDefaultPosition, wxSize(70, - 1), 0);
    item14->Add(item15, 0, wxALIGN_CENTRE |wxALL, 5);
    wxTextCtrl *item16 = new wxTextCtrl(parent, ID_USERHASH, wxT(""), wxDefaultPosition, wxSize(80, - 1), 0);
    item14->Add(item16, 1, wxALIGN_CENTRE |wxALL, 5);
    item9->Add(item14, 0, wxGROW |wxALIGN_CENTER_VERTICAL, 5);
    item0->Add(item9, 0, wxGROW |wxALIGN_CENTER_VERTICAL |wxALL, 5);
    wxBoxSizer *item17 = new wxBoxSizer(wxHORIZONTAL);
    wxButton *item18 = new wxButton(parent, ID_ADDFRIEND, _("Add"), wxDefaultPosition, wxDefaultSize, 0);
    item18->SetDefault();
    item17->Add(item18, 0, wxALIGN_CENTRE |wxALL, 5);
    wxButton *item19 = new wxButton(parent, ID_CLOSEDLG, _("Cancel"), wxDefaultPosition, wxDefaultSize, 0);
    item17->Add(item19, 0, wxALIGN_CENTRE |wxALL, 5);
    item0->Add(item17, 0, wxALIGN_RIGHT |wxALIGN_CENTER_VERTICAL, 5);
    if (set_sizer)
    {
        parent->SetAutoLayout(true);
        parent->SetSizer(item0);
        if (call_fit)
        {
            item0->Fit(parent);
            item0->SetSizeHints(parent);
        }
    }
    return item0;
}

// Necessary: HTTPDownloadDlg.cpp:47
wxSizer *downloadDlg(wxWindow *parent, bool call_fit, bool set_sizer)
{
    wxBoxSizer *item0 = new wxBoxSizer(wxVERTICAL);
    wxGIFAnimationCtrl *item1 = new wxGIFAnimationCtrl(parent, ID_ANIMATE, wxEmptyString, wxPoint(0, 0), wxSize(100, 100), wxNO_BORDER);
    wxASSERT(item1);
    item0->Add(item1, 0, wxGROW |wxALIGN_CENTER_VERTICAL |wxALL, 5);
    wxStaticText *item2 = new wxStaticText(parent, ID_TEXT, _("Downloading.. please wait"), wxDefaultPosition, wxSize(272, - 1), 0);
    item0->Add(item2, 0, wxGROW |wxALIGN_CENTER_VERTICAL |wxLEFT |wxRIGHT, 5);
    wxStaticLine *item3 = new wxStaticLine(parent, ID_LINE, wxDefaultPosition, wxSize(20, - 1), wxLI_HORIZONTAL);
    item0->Add(item3, 0, wxGROW |wxALIGN_CENTER_VERTICAL |wxALL, 5);
    wxButton *item4 = new wxButton(parent, ID_CANCEL, _("Cancel"), wxDefaultPosition, wxDefaultSize, 0);
    item0->Add(item4, 0, wxALIGN_CENTRE |wxLEFT |wxRIGHT |wxBOTTOM, 5);
    if (set_sizer)
    {
        parent->SetAutoLayout(true);
        parent->SetSizer(item0);
        if (call_fit)
        {
            item0->Fit(parent);
            item0->SetSizeHints(parent);
        }
    }
    return item0;
}

// xmuleDlg.cpp:255
wxSizer *desktopDlg(wxWindow *parent, bool call_fit, bool set_sizer)
{
    wxBoxSizer *item0 = new wxBoxSizer(wxVERTICAL);
    wxStaticText *item1 = new wxStaticText(parent, ID_TEXT,
    _("For system tray integration to work,\n"
    "you must specify which desktop you are using.\n"
    "You can change this later from preferences."),
    wxDefaultPosition, wxDefaultSize, 0);
    item0->Add(item1, 0, wxALIGN_CENTRE |wxALL, 5);
    wxStaticBox *item3 = new wxStaticBox(parent, - 1, _("Desktop"));
    wxStaticBoxSizer *item2 = new wxStaticBoxSizer(item3, wxVERTICAL);
    radiobutton[0] = new wxRadioButton(parent, ID_GNOME2, _("Gnome 2.x (or other XEMBED compatible)"),
    wxDefaultPosition, wxDefaultSize, 0, wxDefaultValidator, "rbgnome2");
    item2->Add(radiobutton[0], 0, wxALIGN_CENTER_VERTICAL |wxLEFT |wxRIGHT, 5);
    radiobutton[1] = new wxRadioButton(parent, ID_KDE3, _("KDE 3.x"),
    wxDefaultPosition, wxDefaultSize, 0, wxDefaultValidator, "rbkde3");
    item2->Add(radiobutton[1], 0, wxALIGN_CENTER_VERTICAL |wxLEFT |wxRIGHT, 5);
    radiobutton[2] = new wxRadioButton(parent, ID_KDE2, _("KDE 2.x / Gnome 1.2 "),
    wxDefaultPosition, wxDefaultSize, 0, wxDefaultValidator, "rbkde2");
    item2->Add(radiobutton[2], 0, wxALIGN_CENTER_VERTICAL |wxLEFT |wxRIGHT, 5);
    radiobutton[3] = new wxRadioButton(parent, ID_NOSYSTRAY, _("No systray integration, please"),
    wxDefaultPosition, wxDefaultSize, 0, wxDefaultValidator, "rbnosystray");
    item2->Add(radiobutton[3], 0, wxALIGN_CENTER_VERTICAL |wxLEFT |wxRIGHT, 5);
    item0->Add(item2, 0, wxGROW |wxALIGN_CENTER_VERTICAL |wxLEFT |wxRIGHT |wxBOTTOM, 5);
    wxButton *item8 = new wxButton(parent, ID_OK, _("OK"), wxDefaultPosition, wxDefaultSize, 0);
    item0->Add(item8, 0, wxALIGN_RIGHT |wxALIGN_CENTER_VERTICAL |wxLEFT |wxRIGHT |wxBOTTOM, 5);
    if (set_sizer)
    {
        parent->SetAutoLayout(true);
        parent->SetSizer(item0);
        if (call_fit)
        {
            item0->Fit(parent);
            item0->SetSizeHints(parent);
        }
    }
    return item0;
}

// Implement bitmap functions

wxBitmap xmuleDlgImages(size_t index)
{
    if (index == 0)
    {
        static const unsigned char data[] =
        {
            230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230,
            230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230,
            230, 230, 230, 230, 230, 230, 230, 137, 112, 0, 137, 112, 0, 132, 107, 0, 132, 107, 0, 132, 107, 0, 230, 230, 230,
            230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230,
            230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230,
            230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 156, 126, 0, 164, 132, 0, 156, 126, 0, 151, 122, 0,
            144, 116, 0, 204, 156, 0, 204, 156, 0, 204, 156, 0, 204, 156, 0, 156, 126, 0, 124, 100, 0, 230, 230, 230, 230,
            230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230,
            230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 164, 132, 0, 164, 132, 0,
            164, 132, 0, 164, 132, 0, 164, 132, 0, 189, 151, 0, 204, 156, 0, 209, 164, 0, 209, 164, 0, 201, 168, 0, 209,
            164, 0, 209, 164, 0, 209, 164, 0, 204, 156, 0, 204, 156, 0, 156, 126, 0, 117, 95, 0, 230, 230, 230, 230, 230,
            230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230,
            230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 156, 126, 0, 204, 156, 0, 211, 171, 0, 211, 171, 0, 216,
            173, 0, 211, 171, 0, 209, 164, 0, 209, 164, 0, 209, 164, 0, 209, 164, 0, 209, 164, 0, 209, 164, 0, 209, 164,
            0, 209, 164, 0, 209, 164, 0, 204, 156, 0, 209, 164, 0, 156, 126, 0, 110, 89, 0, 230, 230, 230, 230, 230, 230,
            230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230,
            230, 230, 230, 230, 230, 230, 230, 230, 164, 132, 0, 217, 180, 0, 216, 173, 0, 211, 171, 0, 211, 171, 0, 211, 171,
            0, 216, 173, 0, 209, 164, 0, 209, 164, 0, 211, 171, 0, 209, 164, 0, 209, 164, 0, 209, 164, 0, 209, 164, 0,
            209, 164, 0, 209, 164, 0, 204, 156, 0, 204, 156, 0, 156, 126, 0, 110, 89, 0, 230, 230, 230, 230, 230, 230, 230,
            230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230,
            230, 230, 230, 230, 164, 132, 0, 225, 187, 0, 217, 180, 0, 211, 171, 0, 211, 171, 0, 216, 173, 0, 209, 164, 0,
            211, 171, 0, 209, 164, 0, 209, 164, 0, 209, 164, 0, 209, 164, 0, 216, 173, 0, 221, 184, 0, 236, 200, 0, 247,
            216, 4, 250, 220, 0, 250, 220, 0, 187, 154, 0, 110, 89, 0, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230,
            230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 164, 132, 0,
            195, 160, 0, 225, 187, 0, 225, 187, 0, 216, 173, 0, 211, 171, 0, 211, 171, 0, 211, 171, 0, 217, 180, 0, 225,
            187, 0, 244, 219, 56, 253, 238, 129, 253, 243, 174, 253, 243, 174, 253, 241, 152, 253, 241, 152, 252, 233, 96, 250, 220,
            0, 180, 155, 0, 117, 95, 0, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230,
            230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 164, 132, 0, 211, 171, 0, 225,
            187, 0, 225, 187, 0, 225, 187, 0, 236, 200, 0, 247, 228, 101, 253, 246, 195, 255, 251, 226, 255, 251, 226, 253, 246,
            195, 253, 243, 174, 253, 243, 174, 253, 240, 143, 253, 238, 129, 253, 232, 82, 247, 216, 4, 180, 155, 0, 117, 95, 0,
            230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230,
            230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 164, 132, 0, 221, 184, 0, 226, 195, 2, 221, 184,
            0, 221, 184, 0, 247, 216, 4, 255, 254, 244, 255, 254, 244, 253, 246, 195, 254, 245, 179, 253, 241, 152, 253, 238, 129,
            253, 238, 129, 253, 238, 129, 252, 233, 96, 250, 220, 0, 180, 155, 0, 110, 89, 0, 230, 230, 230, 230, 230, 230, 230,
            230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230,
            230, 230, 230, 230, 230, 230, 230, 164, 132, 0, 195, 160, 0, 221, 184, 0, 221, 184, 0, 225, 187, 0, 226, 195, 2,
            253, 235, 106, 255, 254, 244, 254, 245, 179, 254, 243, 163, 253, 238, 129, 253, 238, 129, 253, 238, 129, 253, 238, 129, 252,
            233, 96, 250, 220, 0, 180, 155, 0, 110, 89, 0, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230,
            230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230,
            230, 230, 230, 164, 132, 0, 211, 171, 0, 221, 184, 0, 221, 184, 0, 225, 187, 0, 236, 200, 0, 254, 246, 190, 254,
            245, 179, 253, 241, 152, 253, 238, 129, 253, 238, 129, 253, 238, 129, 253, 237, 113, 252, 233, 96, 252, 228, 48, 197, 171,
            1, 110, 89, 0, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230,
            230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 164,
            132, 0, 217, 180, 0, 221, 184, 0, 221, 184, 0, 221, 184, 0, 247, 216, 4, 254, 246, 190, 253, 241, 147, 253, 238,
            129, 253, 238, 129, 253, 238, 129, 253, 237, 113, 252, 233, 96, 253, 231, 72, 212, 184, 1, 110, 89, 0, 230, 230, 230,
            230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230,
            230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 164, 132, 0, 195, 160, 0, 217, 180,
            0, 217, 180, 0, 221, 184, 0, 221, 184, 0, 252, 233, 96, 254, 245, 179, 253, 238, 129, 253, 238, 129, 253, 238, 129,
            253, 237, 113, 252, 233, 96, 253, 232, 82, 232, 206, 24, 110, 89, 0, 137, 112, 0, 117, 95, 0, 230, 230, 230, 230,
            230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230,
            230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 164, 132, 0, 211, 171, 0, 212, 184, 1, 217, 180, 0,
            221, 184, 0, 236, 200, 0, 253, 241, 152, 253, 241, 147, 253, 238, 129, 253, 238, 120, 253, 235, 106, 252, 233, 96, 252,
            233, 96, 252, 228, 48, 110, 89, 0, 137, 112, 0, 164, 132, 0, 181, 146, 0, 117, 95, 0, 230, 230, 230, 230, 230,
            230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230,
            230, 230, 230, 230, 230, 230, 164, 132, 0, 187, 154, 0, 211, 171, 0, 212, 184, 1, 217, 180, 0, 217, 180, 0, 245,
            212, 0, 254, 245, 179, 253, 241, 147, 253, 238, 120, 252, 233, 96, 252, 233, 96, 252, 233, 96, 252, 233, 96, 146, 124,
            18, 110, 89, 0, 117, 95, 0, 110, 89, 0, 110, 89, 0, 110, 89, 0, 230, 230, 230, 230, 230, 230, 230, 230, 230,
            230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230,
            230, 230, 164, 132, 0, 195, 160, 0, 211, 171, 0, 211, 171, 0, 216, 173, 0, 217, 180, 0, 252, 226, 32, 253, 240,
            143, 253, 237, 113, 253, 232, 82, 252, 233, 96, 252, 233, 96, 253, 231, 72, 253, 231, 72, 253, 231, 72, 252, 228, 48,
            219, 195, 26, 180, 155, 0, 110, 89, 0, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230,
            230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230,
            230, 164, 132, 0, 195, 160, 0, 211, 171, 0, 211, 171, 0, 232, 198, 0, 252, 233, 96, 253, 237, 113, 252, 233, 96,
            252, 233, 96, 253, 231, 72, 253, 231, 72, 253, 231, 72, 253, 231, 72, 253, 231, 72, 239, 211, 13, 180, 155, 0, 110,
            89, 0, 137, 112, 0, 117, 95, 0, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230,
            230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230,
            164, 132, 0, 195, 160, 0, 211, 171, 0, 245, 212, 0, 252, 233, 96, 252, 233, 96, 253, 231, 72, 253, 231, 72, 253,
            231, 72, 253, 231, 72, 253, 231, 72, 253, 231, 72, 247, 216, 4, 198, 174, 12, 117, 95, 0, 137, 112, 0, 164, 132,
            0, 181, 146, 0, 110, 89, 0, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230,
            230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 164,
            132, 0, 195, 160, 0, 250, 220, 0, 253, 231, 72, 253, 231, 72, 253, 231, 72, 253, 231, 72, 253, 231, 72, 253, 231,
            72, 253, 232, 82, 252, 228, 48, 219, 195, 26, 137, 112, 0, 110, 89, 0, 110, 89, 0, 110, 89, 0, 110, 89, 0,
            110, 89, 0, 110, 89, 0, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230,
            230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 164, 132,
            0, 164, 132, 0, 164, 132, 0, 164, 132, 0, 164, 132, 0, 164, 132, 0, 187, 158, 18, 253, 238, 120, 252, 228, 48,
            252, 228, 48, 252, 228, 48, 252, 228, 48, 252, 228, 48, 252, 228, 48, 250, 220, 0, 245, 212, 0, 180, 155, 0, 110,
            89, 0, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230,
            230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230,
            164, 132, 0, 221, 184, 0, 187, 154, 0, 164, 132, 0, 252, 233, 96, 255, 251, 226, 253, 238, 120, 252, 228, 48, 252,
            228, 48, 252, 228, 48, 250, 220, 0, 250, 220, 0, 245, 212, 0, 180, 155, 0, 110, 89, 0, 230, 230, 230, 230, 230,
            230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230,
            230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 164, 132, 0, 187,
            154, 0, 164, 132, 0, 252, 233, 96, 255, 255, 255, 253, 238, 120, 252, 228, 48, 252, 228, 48, 250, 220, 0, 250, 220,
            0, 250, 220, 0, 245, 212, 0, 180, 155, 0, 110, 89, 0, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230,
            230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230,
            230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 151, 122, 0, 250, 220,
            0, 253, 246, 195, 253, 238, 120, 252, 228, 48, 250, 220, 0, 250, 220, 0, 250, 220, 0, 250, 220, 0, 245, 212, 0,
            197, 171, 1, 110, 89, 0, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230,
            230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230,
            230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 137, 112, 0, 250, 220, 0, 253, 238, 120, 253, 232, 82,
            250, 220, 0, 250, 220, 0, 250, 220, 0, 250, 220, 0, 250, 220, 0, 245, 212, 0, 205, 177, 3, 110, 89, 0, 230,
            230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230,
            230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230,
            230, 230, 230, 230, 230, 230, 230, 230, 230, 137, 112, 0, 137, 112, 0, 137, 112, 0, 137, 112, 0, 137, 112, 0, 187,
            154, 0, 250, 220, 0, 245, 212, 0, 245, 212, 0, 212, 184, 1, 110, 89, 0, 230, 230, 230, 230, 230, 230, 230, 230,
            230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230,
            230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230,
            230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 137, 112, 0, 187, 154, 0, 137, 112, 0, 245, 212, 0, 245, 212,
            0, 245, 212, 0, 221, 184, 0, 118, 96, 0, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230,
            230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230,
            230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230,
            230, 230, 230, 230, 230, 230, 230, 137, 112, 0, 181, 146, 0, 137, 112, 0, 245, 212, 0, 245, 212, 0, 226, 195, 2,
            124, 100, 0, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230,
            230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230,
            230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230,
            230, 230, 230, 230, 230, 230, 137, 112, 0, 201, 168, 0, 245, 212, 0, 236, 200, 0, 132, 107, 0, 230, 230, 230, 230,
            230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230,
            230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230,
            230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230,
            230, 230, 137, 112, 0, 211, 171, 0, 236, 200, 0, 137, 112, 0, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230,
            230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230,
            230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230,
            230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 137, 112,
            0, 205, 177, 3, 137, 112, 0, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230,
            230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230,
            230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230,
            230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 137, 112, 0, 137, 112, 0,
            230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230,
            230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230,
            230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230,
            230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 137, 112, 0, 230, 230, 230, 230, 230, 230, 230,
            230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230,
            230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230
                };
        wxImage image(32, 32, (unsigned char *) data, true);
        image.SetMaskColour(230, 230, 230);
        wxBitmap bitmap(image);
        return bitmap;
    }
    if (index == 1)
    {
        static const unsigned char data[] =
        {
            230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 7, 80, 144, 9,
            61, 92, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 124, 4,
            5, 136, 5, 6, 146, 6, 9, 146, 6, 9, 162, 10, 13, 162, 10, 13, 181, 15, 19, 181, 15, 19, 230, 230, 230,
            230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230,
            230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 7, 80, 144, 117, 184, 243, 19, 95, 161, 9, 61,
            92, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 119, 3, 3, 146, 8, 10, 155, 10, 13,
            164, 13, 16, 188, 19, 24, 211, 24, 32, 211, 24, 32, 226, 29, 38, 203, 22, 28, 181, 15, 19, 181, 15, 19, 230,
            230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230,
            230, 230, 230, 230, 230, 230, 230, 7, 80, 144, 121, 175, 233, 175, 217, 253, 115, 193, 253, 19, 95, 161, 9, 61, 92,
            230, 230, 230, 230, 230, 230, 230, 230, 230, 109, 0, 0, 109, 0, 0, 109, 0, 0, 109, 0, 0, 124, 4, 5, 138,
            6, 9, 164, 13, 16, 226, 29, 38, 226, 29, 38, 226, 29, 38, 234, 33, 42, 203, 22, 28, 181, 15, 19, 230, 230,
            230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230,
            7, 80, 144, 121, 175, 233, 212, 234, 253, 197, 227, 251, 119, 192, 246, 87, 180, 249, 19, 95, 161, 9, 61, 92, 230,
            230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 124, 4, 5, 146, 6,
            9, 181, 15, 19, 226, 29, 38, 242, 35, 45, 242, 35, 45, 242, 35, 45, 181, 15, 19, 230, 230, 230, 230, 230, 230,
            230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 7, 80, 144, 121, 175, 233, 243,
            250, 255, 243, 250, 255, 212, 234, 253, 111, 190, 249, 54, 156, 230, 49, 145, 217, 19, 95, 161, 9, 61, 92, 230, 230,
            230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 109, 0, 0, 136, 5, 6, 155, 10, 13,
            242, 35, 45, 244, 75, 83, 245, 112, 118, 247, 135, 140, 213, 63, 58, 181, 15, 19, 230, 230, 230, 230, 230, 230, 230,
            230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 7, 80, 144, 7, 80, 144, 7, 80, 144, 7, 80, 144, 141, 199,
            250, 212, 234, 253, 101, 185, 248, 36, 138, 214, 9, 61, 92, 9, 61, 92, 9, 61, 92, 9, 61, 92, 65, 99, 14,
            60, 91, 13, 60, 91, 13, 60, 91, 13, 60, 91, 13, 109, 0, 0, 136, 5, 6, 153, 4, 5, 242, 35, 45, 245,
            88, 95, 247, 135, 140, 248, 163, 166, 245, 109, 97, 181, 15, 19, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230,
            230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 7, 80, 144, 107, 170, 236, 181, 218, 249,
            91, 182, 248, 20, 121, 198, 9, 61, 92, 75, 115, 16, 113, 171, 25, 113, 171, 25, 113, 171, 25, 113, 171, 25, 113,
            171, 25, 113, 171, 25, 113, 171, 25, 109, 0, 0, 136, 5, 6, 162, 10, 13, 242, 35, 45, 245, 88, 95, 247, 135,
            140, 251, 212, 213, 245, 109, 97, 181, 15, 19, 69, 105, 15, 45, 68, 10, 45, 68, 10, 230, 230, 230, 230, 230, 230,
            230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 7, 80, 144, 49, 122, 189, 153, 206, 249, 68, 169, 243, 20,
            121, 198, 9, 61, 92, 95, 145, 21, 107, 163, 24, 113, 171, 25, 113, 171, 25, 113, 171, 25, 113, 171, 25, 113, 171,
            25, 113, 171, 25, 109, 0, 0, 119, 3, 3, 162, 10, 13, 242, 35, 45, 245, 88, 95, 247, 135, 140, 251, 212, 213,
            245, 109, 97, 181, 15, 19, 86, 131, 19, 95, 145, 21, 75, 115, 16, 45, 68, 10, 230, 230, 230, 230, 230, 230, 230,
            230, 230, 230, 230, 230, 230, 230, 230, 65, 99, 14, 7, 80, 144, 59, 149, 212, 43, 155, 234, 19, 112, 184, 9, 61,
            92, 92, 140, 20, 103, 156, 23, 104, 158, 23, 107, 162, 23, 107, 162, 23, 107, 163, 24, 109, 0, 0, 109, 0, 0,
            109, 0, 0, 119, 3, 3, 162, 10, 13, 242, 35, 45, 245, 101, 108, 247, 135, 140, 255, 255, 255, 245, 109, 97, 181,
            15, 19, 86, 131, 19, 107, 162, 23, 92, 140, 20, 45, 68, 10, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230,
            230, 230, 230, 230, 60, 91, 13, 7, 80, 144, 11, 95, 160, 18, 106, 174, 18, 97, 158, 14, 86, 141, 9, 61, 92,
            9, 61, 92, 9, 61, 92, 9, 61, 92, 92, 140, 20, 104, 158, 23, 109, 0, 0, 136, 5, 6, 198, 45, 49, 205,
            48, 53, 205, 48, 53, 242, 35, 45, 246, 107, 113, 248, 141, 145, 255, 255, 255, 245, 109, 97, 181, 15, 19, 181, 15,
            19, 181, 15, 19, 181, 15, 19, 54, 82, 12, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230,
            60, 91, 13, 95, 145, 21, 7, 80, 144, 9, 78, 132, 12, 76, 121, 11, 71, 113, 11, 68, 107, 9, 61, 92, 9,
            61, 92, 89, 135, 20, 98, 149, 22, 98, 149, 22, 98, 149, 22, 109, 0, 0, 136, 5, 6, 242, 35, 45, 245, 88,
            95, 245, 101, 108, 246, 107, 113, 248, 146, 150, 253, 233, 234, 255, 255, 255, 255, 255, 255, 245, 109, 97, 181, 15, 19,
            75, 115, 16, 45, 68, 10, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 60, 91, 13, 75,
            115, 16, 75, 115, 16, 75, 115, 16, 75, 115, 16, 75, 115, 16, 75, 115, 16, 86, 131, 19, 98, 149, 22, 95, 145,
            21, 95, 145, 21, 95, 145, 21, 95, 145, 21, 95, 145, 21, 109, 0, 0, 136, 5, 6, 242, 35, 45, 245, 101, 108,
            247, 135, 140, 248, 146, 150, 251, 206, 208, 253, 233, 234, 245, 109, 97, 181, 15, 19, 75, 115, 16, 95, 145, 21, 45,
            68, 10, 230, 230, 230, 45, 68, 10, 45, 68, 10, 45, 68, 10, 45, 68, 10, 45, 68, 10, 45, 68, 10, 45, 68,
            10, 45, 68, 10, 45, 68, 10, 45, 68, 10, 60, 91, 13, 65, 99, 14, 65, 99, 14, 75, 115, 16, 75, 115, 16,
            75, 115, 16, 75, 115, 16, 75, 115, 16, 75, 115, 16, 109, 0, 0, 136, 5, 6, 242, 35, 45, 248, 146, 150, 248,
            146, 150, 251, 212, 213, 245, 109, 97, 181, 15, 19, 72, 109, 16, 92, 140, 20, 92, 140, 20, 45, 68, 10, 60, 91,
            13, 98, 149, 22, 152, 225, 43, 174, 231, 89, 176, 232, 91, 176, 232, 91, 159, 227, 58, 155, 226, 49, 140, 212, 31,
            98, 149, 22, 65, 99, 14, 45, 68, 10, 45, 68, 10, 45, 68, 10, 45, 68, 10, 45, 68, 10, 45, 68, 10, 45,
            68, 10, 45, 68, 10, 60, 91, 13, 75, 115, 16, 109, 0, 0, 136, 5, 6, 242, 35, 45, 248, 163, 166, 245, 109,
            97, 181, 15, 19, 69, 105, 15, 86, 131, 19, 86, 131, 19, 86, 131, 19, 45, 68, 10, 60, 91, 13, 152, 225, 43,
            211, 242, 164, 230, 248, 203, 245, 252, 234, 248, 253, 241, 248, 253, 241, 248, 253, 241, 241, 251, 227, 230, 248, 203, 214,
            243, 171, 204, 240, 149, 187, 235, 115, 174, 231, 89, 159, 227, 58, 159, 227, 58, 149, 224, 37, 120, 182, 26, 65, 99,
            14, 45, 68, 10, 69, 105, 15, 75, 115, 16, 109, 0, 0, 136, 5, 6, 245, 109, 97, 181, 15, 19, 65, 99, 14,
            86, 131, 19, 86, 131, 19, 86, 131, 19, 86, 131, 19, 45, 68, 10, 60, 91, 13, 127, 193, 28, 214, 243, 171, 230,
            248, 203, 230, 248, 203, 230, 248, 203, 230, 248, 203, 233, 249, 210, 233, 249, 210, 237, 250, 217, 245, 252, 234, 248, 253,
            241, 248, 253, 241, 248, 253, 241, 241, 251, 227, 230, 248, 203, 218, 244, 180, 200, 239, 142, 136, 207, 30, 45, 68, 10,
            54, 82, 12, 65, 99, 14, 75, 115, 16, 109, 0, 0, 136, 5, 6, 65, 99, 14, 75, 115, 16, 82, 124, 18, 82,
            124, 18, 82, 124, 18, 82, 124, 18, 45, 68, 10, 230, 230, 230, 60, 91, 13, 176, 232, 91, 211, 242, 164, 211, 242,
            164, 211, 242, 164, 211, 242, 164, 214, 243, 171, 216, 244, 175, 223, 246, 189, 227, 247, 198, 227, 247, 198, 227, 247, 198,
            227, 247, 198, 227, 247, 198, 227, 247, 198, 227, 247, 198, 218, 244, 180, 197, 238, 135, 103, 156, 23, 45, 68, 10, 54,
            82, 12, 65, 99, 14, 69, 105, 15, 65, 99, 14, 69, 105, 15, 69, 105, 15, 72, 109, 16, 75, 115, 16, 75, 115,
            16, 75, 115, 16, 45, 68, 10, 230, 230, 230, 60, 91, 13, 120, 182, 26, 200, 239, 142, 200, 239, 142, 200, 239, 142,
            200, 239, 142, 200, 239, 142, 200, 239, 142, 200, 239, 142, 200, 239, 142, 200, 239, 142, 200, 239, 142, 200, 239, 142, 200,
            239, 142, 200, 239, 142, 200, 239, 142, 200, 239, 142, 207, 241, 157, 190, 236, 122, 118, 180, 26, 45, 68, 10, 45, 68,
            10, 45, 68, 10, 45, 68, 10, 45, 68, 10, 65, 99, 14, 69, 105, 15, 72, 109, 16, 75, 115, 16, 75, 115, 16,
            45, 68, 10, 230, 230, 230, 230, 230, 230, 60, 91, 13, 162, 228, 63, 187, 235, 115, 187, 235, 115, 187, 235, 115, 187,
            235, 115, 187, 235, 115, 187, 235, 115, 187, 235, 115, 187, 235, 115, 187, 235, 115, 187, 235, 115, 187, 235, 115, 187, 235,
            115, 187, 235, 115, 187, 235, 115, 200, 239, 142, 207, 241, 157, 197, 238, 135, 187, 235, 115, 187, 235, 115, 172, 231, 84,
            149, 224, 37, 92, 140, 20, 45, 68, 10, 65, 99, 14, 69, 105, 15, 75, 115, 16, 75, 115, 16, 45, 68, 10, 230,
            230, 230, 230, 230, 230, 60, 91, 13, 107, 162, 23, 176, 232, 91, 176, 232, 91, 176, 232, 91, 176, 232, 91, 176, 232,
            91, 176, 232, 91, 176, 232, 91, 176, 232, 91, 176, 232, 91, 176, 232, 91, 176, 232, 91, 176, 232, 91, 176, 232, 91,
            176, 232, 91, 184, 234, 108, 200, 239, 142, 207, 241, 157, 230, 248, 203, 237, 250, 217, 237, 250, 217, 216, 244, 175, 198,
            238, 138, 98, 149, 22, 45, 68, 10, 65, 99, 14, 72, 109, 16, 75, 115, 16, 45, 68, 10, 230, 230, 230, 230, 230,
            230, 230, 230, 230, 60, 91, 13, 143, 217, 31, 162, 228, 63, 162, 228, 63, 162, 228, 63, 162, 228, 63, 163, 228, 65,
            163, 228, 65, 163, 228, 65, 163, 228, 65, 163, 228, 65, 163, 228, 65, 163, 228, 65, 163, 228, 65, 163, 228, 65, 167,
            229, 75, 172, 231, 84, 182, 234, 105, 181, 233, 103, 182, 234, 105, 181, 233, 103, 182, 234, 105, 182, 234, 105, 149, 224,
            37, 45, 68, 10, 65, 99, 14, 69, 105, 15, 72, 109, 16, 45, 68, 10, 230, 230, 230, 230, 230, 230, 230, 230, 230,
            60, 91, 13, 98, 149, 22, 152, 225, 43, 152, 225, 43, 152, 225, 43, 152, 225, 43, 152, 225, 43, 152, 225, 43, 152,
            225, 43, 152, 225, 43, 152, 225, 43, 152, 225, 43, 152, 225, 43, 152, 225, 43, 152, 225, 43, 152, 225, 43, 152, 225,
            43, 152, 225, 43, 152, 225, 43, 152, 225, 43, 152, 225, 43, 152, 225, 43, 152, 225, 43, 152, 225, 43, 45, 68, 10,
            60, 91, 13, 65, 99, 14, 69, 105, 15, 45, 68, 10, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 54,
            82, 12, 124, 189, 27, 149, 224, 37, 143, 217, 31, 143, 217, 31, 143, 217, 31, 143, 217, 31, 143, 217, 31, 143, 217,
            31, 143, 217, 31, 143, 217, 31, 143, 217, 31, 143, 217, 31, 143, 217, 31, 143, 217, 31, 143, 217, 31, 143, 217, 31,
            143, 217, 31, 143, 217, 31, 143, 217, 31, 143, 217, 31, 143, 217, 31, 149, 224, 37, 95, 145, 21, 45, 68, 10, 65,
            99, 14, 69, 105, 15, 45, 68, 10, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 54, 82, 12, 92, 140,
            20, 140, 212, 31, 140, 212, 31, 140, 212, 31, 140, 212, 31, 140, 212, 31, 140, 212, 31, 140, 212, 31, 140, 212, 31,
            140, 212, 31, 140, 212, 31, 140, 212, 31, 140, 212, 31, 140, 212, 31, 140, 212, 31, 140, 212, 31, 140, 212, 31, 140,
            212, 31, 140, 212, 31, 140, 212, 31, 140, 212, 31, 140, 212, 31, 127, 193, 28, 45, 68, 10, 65, 99, 14, 65, 99,
            14, 45, 68, 10, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 54, 82, 12, 118, 180, 26,
            140, 212, 31, 136, 207, 30, 136, 207, 30, 136, 207, 30, 136, 207, 30, 136, 207, 30, 136, 207, 30, 133, 203, 29, 136,
            207, 30, 133, 203, 29, 133, 203, 29, 133, 203, 29, 133, 203, 29, 133, 203, 29, 133, 203, 29, 133, 203, 29, 133, 203,
            29, 133, 203, 29, 133, 203, 29, 133, 203, 29, 140, 212, 31, 45, 68, 10, 54, 82, 12, 65, 99, 14, 45, 68, 10,
            230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 54, 82, 12, 86, 131, 19, 133, 203, 29, 140,
            212, 31, 136, 207, 30, 136, 207, 30, 136, 207, 30, 136, 207, 30, 136, 207, 30, 133, 203, 29, 133, 203, 29, 133, 203,
            29, 133, 203, 29, 133, 203, 29, 133, 203, 29, 133, 203, 29, 133, 203, 29, 133, 203, 29, 133, 203, 29, 133, 203, 29,
            133, 203, 29, 133, 203, 29, 136, 207, 30, 75, 115, 16, 45, 68, 10, 65, 99, 14, 45, 68, 10, 230, 230, 230, 230,
            230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 54, 82, 12, 113, 171, 25, 136, 207, 30, 140, 212,
            31, 140, 212, 31, 140, 212, 31, 140, 212, 31, 140, 212, 31, 140, 212, 31, 140, 212, 31, 140, 212, 31, 140, 212, 31,
            140, 212, 31, 140, 212, 31, 140, 212, 31, 140, 212, 31, 140, 212, 31, 140, 212, 31, 140, 212, 31, 140, 212, 31, 140,
            212, 31, 140, 212, 31, 124, 189, 27, 45, 68, 10, 65, 99, 14, 45, 68, 10, 230, 230, 230, 230, 230, 230, 230, 230,
            230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 54, 82, 12, 75, 115, 16, 118, 180, 26, 140, 212, 31, 140, 212, 31,
            140, 212, 31, 140, 212, 31, 140, 212, 31, 140, 212, 31, 140, 212, 31, 140, 212, 31, 140, 212, 31, 140, 212, 31, 140,
            212, 31, 140, 212, 31, 140, 212, 31, 140, 212, 31, 140, 212, 31, 140, 212, 31, 140, 212, 31, 140, 212, 31, 140, 212,
            31, 140, 212, 31, 45, 68, 10, 54, 82, 12, 45, 68, 10, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230,
            230, 230, 230, 230, 230, 230, 230, 230, 230, 54, 82, 12, 82, 124, 18, 107, 163, 24, 124, 189, 27, 133, 203, 29, 140,
            212, 31, 140, 212, 31, 140, 212, 31, 143, 217, 31, 140, 212, 31, 140, 212, 31, 140, 212, 31, 140, 212, 31, 140, 212,
            31, 140, 212, 31, 140, 212, 31, 140, 212, 31, 140, 212, 31, 140, 212, 31, 140, 212, 31, 140, 212, 31, 140, 212, 31,
            86, 131, 19, 45, 68, 10, 45, 68, 10, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230,
            230, 230, 230, 230, 230, 230, 230, 230, 52, 79, 12, 52, 79, 12, 52, 79, 12, 52, 79, 12, 52, 79, 12, 52, 79,
            12, 52, 79, 12, 75, 115, 16, 103, 156, 23, 113, 171, 25, 124, 189, 27, 133, 203, 29, 133, 203, 29, 136, 207, 30,
            140, 212, 31, 140, 212, 31, 140, 212, 31, 140, 212, 31, 140, 212, 31, 140, 212, 31, 140, 212, 31, 107, 163, 24, 45,
            68, 10, 45, 68, 10, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230,
            230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230,
            72, 109, 16, 72, 109, 16, 52, 79, 12, 54, 82, 12, 52, 79, 12, 45, 68, 10, 45, 68, 10, 45, 68, 10, 72,
            109, 16, 95, 145, 21, 113, 171, 25, 124, 189, 27, 129, 196, 28, 133, 203, 29, 92, 140, 20, 45, 68, 10, 230, 230,
            230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230,
            230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230,
            230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 65, 99, 14, 45, 68,
            10, 45, 68, 10, 45, 68, 10, 45, 68, 10, 45, 68, 10, 45, 68, 10, 230, 230, 230, 230, 230, 230
                };
        wxImage image(32, 32, (unsigned char *) data, true);
        image.SetMaskColour(230, 230, 230);
        wxBitmap bitmap(image);
        return bitmap;
    }
    if (index == 2)
    {
        static const unsigned char data[] =
        {
            230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230,
            230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230,
            230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230,
            230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230,
            230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230,
            230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230,
            230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230,
            230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230,
            230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230,
            230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230,
            230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230,
            230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230,
            230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230,
            230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230,
            230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230,
            230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230,
            230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230,
            230, 230, 230, 230, 114, 112, 109, 104, 101, 99, 113, 111, 112, 113, 111, 112, 84, 83, 83, 73, 69, 69, 77, 72, 70,
            104, 101, 99, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230,
            230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230,
            230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 104, 101, 99, 108, 107, 107,
            161, 158, 161, 181, 179, 179, 155, 156, 154, 130, 125, 122, 94, 82, 77, 94, 82, 77, 88, 84, 84, 70, 69, 72, 75,
            74, 76, 91, 90, 90, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230,
            230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230,
            230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 91, 90, 90, 161, 158, 161, 181, 179, 179, 122, 111, 104, 104,
            68, 44, 104, 68, 44, 148, 117, 90, 177, 226, 255, 177, 226, 255, 177, 226, 255, 177, 226, 255, 177, 226, 255, 88, 84,
            84, 70, 69, 72, 114, 112, 109, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230,
            230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230,
            230, 230, 230, 230, 230, 114, 112, 109, 185, 182, 185, 130, 125, 122, 91, 68, 55, 126, 74, 38, 161, 126, 100, 177, 226,
            255, 177, 226, 255, 254, 250, 240, 254, 250, 240, 177, 226, 255, 177, 226, 255, 177, 226, 255, 177, 226, 255, 177, 226, 255,
            88, 84, 84, 100, 98, 93, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230,
            230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 91, 90,
            90, 178, 174, 178, 94, 82, 77, 100, 63, 39, 177, 226, 255, 177, 226, 255, 177, 226, 255, 177, 226, 255, 177, 226, 255,
            254, 250, 240, 254, 250, 240, 177, 226, 255, 254, 250, 240, 254, 250, 240, 254, 250, 240, 177, 226, 255, 177, 226, 255, 114,
            112, 109, 126, 123, 118, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230,
            230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 100, 98, 93, 124, 122, 123, 107, 89, 76,
            103, 40, 4, 152, 104, 70, 177, 226, 255, 177, 226, 255, 177, 226, 255, 177, 226, 255, 177, 226, 255, 177, 226, 255, 177,
            226, 255, 177, 226, 255, 254, 250, 240, 254, 250, 240, 254, 250, 240, 254, 250, 240, 177, 226, 255, 177, 226, 255, 104, 101,
            99, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230,
            230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 81, 79, 80, 88, 84, 84, 82, 45, 19, 126, 74, 38, 144,
            89, 46, 137, 77, 35, 131, 83, 49, 168, 139, 115, 177, 226, 255, 177, 226, 255, 177, 226, 255, 177, 226, 255, 177, 226,
            255, 177, 226, 255, 254, 250, 240, 254, 250, 240, 254, 250, 240, 254, 250, 240, 177, 226, 255, 177, 226, 255, 106, 105, 101,
            230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230,
            230, 230, 230, 230, 230, 130, 124, 116, 87, 89, 95, 76, 53, 36, 193, 152, 119, 239, 228, 216, 245, 219, 196, 231, 168,
            105, 157, 86, 34, 115, 55, 19, 168, 139, 115, 177, 226, 255, 177, 226, 255, 177, 226, 255, 177, 226, 255, 177, 226, 255,
            177, 226, 255, 177, 226, 255, 254, 250, 240, 254, 250, 240, 254, 250, 240, 177, 226, 255, 84, 83, 83, 230, 230, 230, 230,
            230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230,
            230, 91, 88, 84, 83, 74, 70, 177, 148, 123, 253, 253, 252, 253, 253, 252, 220, 221, 220, 154, 133, 115, 166, 105, 56,
            139, 69, 20, 131, 68, 25, 166, 141, 121, 177, 226, 255, 177, 226, 255, 177, 226, 255, 177, 226, 255, 177, 226, 255, 177,
            226, 255, 177, 226, 255, 254, 250, 240, 254, 250, 240, 177, 226, 255, 106, 105, 101, 108, 107, 107, 230, 230, 230, 230, 230,
            230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 75, 74, 76,
            105, 73, 51, 230, 198, 170, 253, 253, 252, 243, 243, 242, 91, 90, 90, 0, 0, 0, 120, 83, 55, 161, 87, 32, 178,
            107, 50, 190, 140, 97, 175, 152, 131, 167, 156, 143, 153, 154, 147, 153, 154, 147, 177, 226, 255, 177, 226, 255, 177, 226,
            255, 254, 250, 240, 254, 250, 240, 177, 226, 255, 138, 138, 133, 73, 69, 69, 230, 230, 230, 230, 230, 230, 230, 230, 230,
            230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 73, 69, 69, 121, 66, 32, 220,
            164, 108, 249, 242, 234, 237, 238, 237, 57, 56, 60, 0, 0, 0, 131, 83, 49, 186, 108, 45, 207, 156, 105, 234, 216,
            196, 247, 238, 227, 237, 238, 237, 214, 214, 210, 184, 185, 180, 162, 161, 156, 177, 226, 255, 177, 226, 255, 177, 226, 255,
            254, 250, 240, 177, 226, 255, 147, 146, 141, 51, 51, 53, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230,
            230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 77, 72, 70, 135, 82, 43, 211, 126, 52, 215, 154,
            101, 221, 186, 156, 148, 117, 90, 144, 89, 46, 190, 120, 57, 214, 131, 60, 219, 182, 139, 175, 180, 179, 150, 150, 153,
            199, 196, 187, 237, 238, 237, 224, 225, 220, 182, 179, 174, 147, 146, 141, 177, 226, 255, 177, 226, 255, 254, 250, 240, 177,
            226, 255, 147, 146, 141, 49, 46, 51, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 164, 132,
            108, 164, 132, 108, 230, 230, 230, 230, 230, 230, 106, 105, 101, 143, 100, 60, 214, 131, 60, 198, 110, 40, 183, 103, 38,
            199, 122, 58, 199, 122, 58, 189, 116, 47, 202, 143, 73, 183, 161, 132, 133, 136, 135, 84, 83, 83, 100, 98, 93, 206,
            206, 203, 243, 243, 242, 206, 206, 203, 153, 154, 147, 177, 226, 255, 177, 226, 255, 177, 226, 255, 177, 226, 255, 124, 122,
            123, 57, 56, 60, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 161, 126, 100, 148, 83, 34, 111, 48, 14,
            230, 230, 230, 230, 230, 230, 95, 73, 56, 148, 117, 90, 220, 143, 74, 205, 126, 58, 194, 113, 46, 175, 100, 41, 172,
            96, 37, 179, 102, 42, 182, 133, 90, 183, 161, 132, 175, 180, 179, 183, 184, 181, 201, 201, 199, 228, 229, 226, 243, 243,
            242, 231, 232, 229, 164, 164, 163, 153, 154, 147, 177, 226, 255, 177, 226, 255, 177, 226, 255, 91, 90, 90, 75, 74, 76,
            230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 190, 120, 57, 204, 122, 51, 112, 56, 23, 177, 148, 123, 170,
            115, 72, 182, 133, 90, 107, 89, 76, 198, 130, 70, 205, 126, 58, 201, 118, 49, 186, 108, 45, 175, 100, 41, 172, 96,
            37, 182, 133, 90, 196, 179, 159, 199, 196, 187, 214, 214, 210, 243, 243, 242, 253, 253, 252, 243, 243, 242, 235, 234, 229,
            184, 185, 180, 162, 161, 156, 177, 226, 255, 177, 226, 255, 177, 226, 255, 75, 74, 76, 104, 101, 99, 230, 230, 230, 230,
            230, 230, 230, 230, 230, 137, 88, 54, 211, 126, 52, 149, 75, 21, 99, 42, 11, 220, 164, 108, 230, 230, 230, 231, 168,
            105, 120, 83, 55, 143, 100, 60, 204, 122, 51, 201, 118, 49, 186, 108, 45, 172, 96, 37, 165, 94, 40, 182, 133, 90,
            200, 184, 165, 200, 208, 207, 224, 225, 220, 243, 243, 242, 245, 250, 255, 243, 243, 242, 237, 238, 237, 184, 185, 180, 162,
            161, 156, 177, 226, 255, 177, 226, 255, 104, 101, 99, 104, 101, 99, 129, 128, 124, 230, 230, 230, 230, 230, 230, 230, 230,
            230, 159, 112, 77, 155, 79, 23, 131, 68, 25, 231, 168, 105, 251, 200, 137, 204, 137, 64, 186, 108, 45, 168, 126, 89,
            86, 72, 57, 173, 108, 47, 194, 113, 46, 175, 100, 41, 158, 86, 31, 159, 100, 54, 187, 160, 135, 199, 196, 187, 214,
            214, 210, 206, 206, 203, 206, 206, 203, 231, 232, 229, 228, 229, 226, 235, 234, 229, 172, 172, 171, 162, 161, 156, 177, 226,
            255, 138, 135, 133, 132, 132, 132, 147, 147, 148, 154, 152, 140, 230, 230, 230, 230, 230, 230, 230, 230, 230, 137, 88, 54,
            124, 57, 13, 211, 136, 72, 199, 122, 58, 162, 84, 22, 121, 46, 1, 152, 122, 103, 230, 230, 230, 136, 130, 118, 95,
            60, 36, 157, 86, 34, 161, 87, 32, 137, 77, 35, 159, 111, 77, 186, 169, 151, 199, 196, 187, 183, 184, 181, 153, 154,
            147, 196, 195, 194, 224, 225, 220, 228, 229, 226, 224, 225, 220, 162, 161, 156, 155, 156, 154, 145, 140, 137, 91, 90, 90,
            181, 179, 179, 124, 122, 123, 230, 230, 230, 230, 230, 230, 230, 230, 230, 168, 139, 115, 81, 20, 0, 165, 94, 40, 204,
            122, 51, 189, 116, 47, 124, 57, 13, 115, 60, 26, 159, 100, 54, 137, 77, 35, 186, 169, 151, 114, 112, 109, 80, 66,
            57, 95, 60, 36, 105, 73, 51, 123, 117, 108, 155, 156, 154, 170, 169, 163, 155, 156, 154, 133, 136, 135, 150, 150, 153,
            183, 184, 181, 209, 208, 205, 192, 190, 188, 138, 138, 133, 104, 101, 99, 117, 116, 116, 185, 182, 185, 130, 125, 122, 230,
            230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 99, 42, 11, 179, 102, 42, 186, 108, 45, 158, 86,
            31, 148, 102, 68, 253, 253, 252, 235, 234, 229, 173, 108, 47, 119, 48, 3, 166, 141, 121, 73, 69, 69, 70, 69, 72,
            84, 83, 83, 91, 90, 90, 103, 103, 105, 127, 138, 148, 138, 138, 133, 133, 136, 135, 91, 90, 90, 70, 73, 76, 99,
            98, 98, 91, 90, 90, 75, 74, 76, 104, 101, 99, 181, 179, 179, 138, 135, 133, 230, 230, 230, 230, 230, 230, 230, 230,
            230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 135, 82, 43, 211, 126, 52, 186, 108, 45, 181, 88, 11, 245, 219, 196,
            245, 250, 255, 16, 30, 40, 80, 46, 24, 198, 110, 40, 187, 160, 135, 199, 196, 187, 117, 116, 116, 100, 98, 93, 124,
            122, 123, 104, 101, 105, 75, 74, 76, 70, 69, 72, 75, 74, 76, 70, 69, 72, 91, 90, 90, 104, 101, 99, 150, 150,
            153, 100, 84, 73, 82, 45, 19, 63, 35, 17, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230,
            230, 230, 230, 166, 141, 121, 152, 70, 14, 220, 143, 74, 219, 147, 79, 211, 126, 52, 200, 115, 41, 219, 182, 139, 120,
            83, 55, 171, 96, 28, 235, 172, 91, 182, 191, 190, 164, 171, 176, 253, 253, 252, 147, 147, 148, 114, 112, 109, 150, 150,
            153, 172, 172, 171, 170, 166, 168, 170, 166, 168, 172, 172, 171, 185, 182, 185, 196, 195, 194, 161, 158, 161, 57, 24, 5,
            75, 37, 12, 75, 37, 12, 107, 89, 76, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 152,
            122, 103, 165, 86, 27, 225, 156, 92, 250, 239, 195, 223, 172, 120, 201, 118, 49, 186, 95, 20, 196, 116, 50, 200, 115,
            41, 197, 152, 99, 127, 138, 148, 75, 74, 76, 195, 202, 202, 253, 253, 252, 133, 136, 135, 230, 230, 230, 230, 230, 230,
            230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 46, 12, 0, 63,
            35, 17, 38, 20, 12, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 129, 92, 70, 166, 91,
            36, 227, 149, 77, 229, 183, 137, 223, 172, 120, 211, 136, 72, 204, 122, 51, 175, 100, 41, 167, 78, 16, 190, 140, 97,
            200, 208, 207, 253, 253, 252, 253, 253, 252, 253, 253, 252, 147, 147, 148, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230,
            230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 56, 37, 28, 47, 23, 11, 43, 27,
            18, 56, 47, 41, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 120, 83, 55, 105, 44, 9, 194, 113, 46,
            214, 136, 70, 219, 147, 79, 227, 149, 77, 201, 118, 49, 177, 99, 37, 158, 80, 22, 194, 165, 135, 228, 229, 226, 231,
            232, 229, 243, 243, 242, 253, 253, 252, 147, 147, 148, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230,
            230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 10, 0, 0, 74, 42, 21, 74, 42, 21,
            230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 115, 60, 26, 103, 40, 4, 101, 40, 3, 161, 87, 32, 183,
            103, 38, 189, 116, 47, 183, 103, 38, 152, 70, 14, 148, 102, 68, 195, 202, 202, 172, 172, 171, 155, 156, 154, 243, 243,
            242, 253, 253, 252, 147, 146, 141, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230,
            230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 56, 37, 28, 67, 28, 4, 90, 51, 22, 95, 73, 56, 230,
            230, 230, 230, 230, 230, 230, 230, 230, 121, 66, 32, 140, 66, 15, 139, 69, 20, 101, 40, 3, 106, 38, 1, 106, 38,
            1, 104, 57, 29, 123, 117, 108, 111, 119, 124, 139, 144, 148, 162, 161, 156, 109, 112, 114, 108, 107, 107, 170, 169, 163,
            230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230,
            230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 46, 12, 0, 82, 45, 19, 90, 51, 22, 230, 230, 230, 230, 230,
            230, 230, 230, 230, 137, 77, 35, 170, 115, 72, 216, 153, 86, 231, 168, 105, 201, 142, 83, 181, 123, 75, 143, 100, 60,
            230, 230, 230, 230, 230, 230, 153, 154, 147, 133, 136, 135, 133, 136, 135, 138, 138, 137, 230, 230, 230, 230, 230, 230, 230,
            230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230,
            230, 230, 230, 230, 230, 230, 230, 79, 53, 41, 57, 24, 5, 94, 56, 27, 85, 55, 32, 230, 230, 230
                };
        wxImage image(32, 32, (unsigned char *) data, true);
        image.SetMaskColour(230, 230, 230);
        wxBitmap bitmap(image);
        return bitmap;
    }
    if (index == 3)
    {
        static const unsigned char data[] =
        {
            230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230,
            230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230,
            230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230,
            230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230,
            230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230,
            230, 230, 230, 230, 78, 92, 106, 78, 92, 106, 78, 92, 106, 75, 88, 101, 75, 88, 101, 75, 88, 101, 230, 230, 230,
            230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230,
            230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230,
            230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 86, 102, 117, 86, 102, 117, 88, 104, 118,
            88, 104, 118, 96, 111, 125, 98, 113, 125, 98, 113, 125, 88, 104, 118, 86, 102, 117, 67, 80, 91, 67, 80, 91, 67,
            80, 91, 65, 77, 88, 65, 77, 88, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230,
            230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230,
            230, 230, 230, 86, 102, 117, 86, 102, 117, 86, 102, 117, 98, 113, 125, 104, 119, 132, 104, 119, 132, 104, 119, 132, 104,
            119, 132, 98, 113, 125, 98, 113, 125, 98, 113, 125, 98, 113, 125, 98, 113, 125, 98, 113, 125, 98, 113, 125, 88, 104,
            118, 78, 92, 106, 67, 80, 91, 60, 71, 82, 67, 80, 91, 57, 67, 77, 57, 67, 77, 230, 230, 230, 230, 230, 230,
            230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 86, 102, 117, 86, 102, 117, 86, 102, 117, 98,
            113, 125, 104, 119, 132, 104, 119, 132, 104, 119, 132, 104, 119, 132, 104, 119, 132, 104, 119, 132, 104, 119, 132, 104, 119,
            132, 104, 119, 132, 104, 119, 132, 104, 119, 132, 104, 119, 132, 98, 113, 125, 98, 113, 125, 98, 113, 125, 98, 113, 125,
            96, 111, 125, 96, 111, 125, 98, 113, 125, 98, 113, 125, 57, 67, 77, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230,
            230, 230, 230, 230, 230, 86, 102, 117, 86, 102, 117, 99, 115, 130, 106, 121, 134, 109, 124, 139, 109, 124, 139, 109, 124,
            139, 109, 124, 139, 109, 124, 139, 109, 124, 139, 109, 124, 139, 106, 121, 134, 104, 119, 132, 104, 119, 132, 104, 119, 132,
            104, 119, 132, 104, 119, 132, 104, 119, 132, 104, 119, 132, 104, 119, 132, 104, 119, 132, 104, 119, 132, 104, 119, 132, 104,
            119, 132, 91, 107, 123, 99, 115, 130, 57, 67, 77, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230,
            230, 86, 102, 117, 172, 184, 196, 154, 166, 178, 134, 148, 161, 126, 140, 153, 114, 127, 138, 109, 124, 139, 109, 124, 139,
            109, 124, 139, 109, 124, 139, 114, 127, 138, 109, 124, 139, 109, 124, 139, 109, 124, 139, 109, 124, 139, 109, 124, 139, 106,
            121, 134, 104, 119, 132, 104, 119, 132, 104, 119, 132, 104, 119, 132, 104, 119, 132, 96, 111, 125, 87, 104, 119, 101, 120,
            137, 109, 130, 149, 57, 67, 77, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 86, 102, 117,
            190, 200, 210, 216, 224, 231, 216, 224, 231, 212, 219, 225, 186, 195, 204, 163, 174, 184, 138, 150, 161, 116, 130, 143, 109,
            124, 139, 109, 124, 139, 109, 124, 139, 109, 124, 139, 109, 124, 139, 109, 124, 139, 109, 124, 139, 109, 124, 139, 109, 124,
            139, 109, 124, 139, 104, 119, 132, 96, 111, 125, 87, 104, 119, 87, 104, 119, 94, 112, 128, 109, 130, 149, 109, 130, 149,
            57, 67, 77, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 86, 102, 117, 190, 200, 210, 236,
            239, 242, 255, 255, 255, 240, 242, 245, 231, 234, 238, 218, 222, 227, 210, 217, 223, 194, 202, 211, 183, 192, 202, 154, 166,
            178, 134, 148, 161, 117, 132, 145, 99, 115, 130, 109, 124, 139, 106, 121, 134, 106, 121, 134, 106, 121, 134, 91, 107, 123,
            86, 102, 117, 86, 102, 117, 86, 102, 117, 94, 111, 128, 109, 130, 149, 109, 130, 149, 109, 130, 149, 48, 57, 65, 230,
            230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 86, 102, 117, 190, 200, 210, 255, 255, 255, 255, 255,
            255, 255, 255, 255, 231, 234, 238, 216, 219, 223, 210, 217, 223, 205, 212, 218, 190, 200, 210, 186, 195, 204, 177, 189, 200,
            172, 184, 196, 91, 107, 123, 109, 124, 139, 98, 113, 125, 126, 140, 153, 134, 148, 161, 86, 102, 117, 86, 102, 117, 86,
            102, 117, 87, 104, 119, 107, 126, 145, 112, 132, 152, 109, 130, 149, 109, 130, 149, 48, 57, 65, 230, 230, 230, 230, 230,
            230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 86, 102, 117, 186, 195, 204, 236, 239, 242, 255, 255, 255, 236, 239, 242,
            231, 234, 238, 216, 219, 223, 210, 217, 223, 210, 217, 223, 194, 202, 211, 186, 195, 204, 177, 189, 200, 172, 184, 196, 82,
            96, 110, 109, 124, 139, 82, 96, 110, 177, 189, 200, 156, 169, 180, 82, 96, 110, 86, 102, 117, 86, 102, 117, 101, 120,
            137, 109, 130, 149, 109, 130, 149, 109, 130, 149, 109, 130, 149, 48, 57, 65, 230, 230, 230, 230, 230, 230, 230, 230, 230,
            230, 230, 230, 230, 230, 230, 86, 102, 117, 177, 189, 200, 227, 230, 234, 255, 255, 255, 231, 234, 238, 231, 234, 238, 212,
            219, 225, 210, 217, 223, 210, 217, 223, 190, 200, 210, 186, 195, 204, 177, 189, 200, 172, 184, 196, 78, 92, 106, 116, 130,
            143, 78, 92, 106, 212, 219, 225, 156, 169, 180, 78, 92, 106, 86, 102, 117, 94, 111, 128, 107, 126, 145, 107, 126, 145,
            107, 126, 145, 112, 132, 152, 100, 119, 136, 48, 57, 65, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230,
            230, 230, 86, 102, 117, 170, 181, 193, 218, 222, 227, 236, 239, 242, 223, 228, 232, 223, 228, 232, 210, 217, 223, 212, 219,
            225, 205, 212, 218, 190, 200, 210, 186, 195, 204, 172, 184, 196, 172, 184, 196, 75, 88, 101, 116, 130, 143, 75, 88, 101,
            210, 217, 223, 154, 166, 178, 75, 88, 101, 87, 104, 119, 101, 120, 137, 107, 126, 145, 107, 126, 145, 107, 126, 145, 109,
            124, 139, 86, 102, 117, 48, 57, 65, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 86, 102,
            117, 170, 181, 193, 218, 222, 227, 114, 127, 138, 166, 177, 188, 223, 228, 232, 212, 219, 225, 212, 219, 225, 205, 212, 218,
            190, 200, 210, 186, 195, 204, 172, 184, 196, 170, 181, 193, 72, 86, 99, 114, 127, 138, 72, 86, 99, 205, 212, 218, 154,
            166, 178, 71, 84, 96, 94, 111, 128, 101, 120, 137, 101, 120, 137, 101, 120, 137, 107, 126, 145, 91, 107, 123, 87, 104,
            119, 48, 57, 65, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 86, 102, 117, 170, 181, 193,
            218, 222, 227, 236, 239, 242, 193, 199, 205, 98, 113, 125, 147, 155, 162, 210, 217, 223, 166, 177, 188, 194, 202, 211, 183,
            192, 202, 172, 184, 196, 166, 177, 188, 72, 86, 99, 117, 132, 145, 72, 86, 99, 190, 200, 210, 154, 166, 178, 71, 84,
            96, 94, 111, 128, 100, 119, 136, 94, 112, 128, 101, 120, 137, 94, 111, 128, 86, 102, 117, 94, 112, 128, 48, 57, 65,
            230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 86, 102, 117, 166, 177, 188, 218, 222, 227, 85,
            95, 106, 147, 155, 162, 227, 230, 234, 171, 179, 187, 80, 90, 101, 134, 146, 158, 190, 200, 210, 177, 189, 200, 170, 181,
            193, 166, 177, 188, 67, 80, 91, 117, 132, 145, 65, 77, 88, 177, 189, 200, 151, 164, 176, 65, 77, 88, 94, 111, 128,
            94, 112, 128, 94, 112, 128, 94, 112, 128, 100, 41, 9, 91, 107, 123, 109, 130, 149, 48, 57, 65, 230, 230, 230, 230,
            230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 86, 102, 117, 163, 174, 184, 218, 222, 227, 240, 242, 245, 178, 184,
            189, 85, 95, 106, 147, 155, 162, 210, 215, 220, 166, 177, 188, 186, 195, 204, 177, 189, 200, 170, 181, 193, 166, 177, 188,
            67, 80, 91, 114, 127, 138, 67, 80, 91, 170, 181, 193, 150, 162, 174, 65, 77, 88, 91, 107, 123, 91, 107, 123, 98,
            113, 125, 100, 41, 9, 100, 41, 9, 101, 120, 137, 109, 130, 149, 50, 55, 62, 230, 230, 230, 230, 230, 230, 230, 230,
            230, 230, 230, 230, 230, 230, 230, 86, 102, 117, 163, 174, 184, 218, 222, 227, 60, 71, 82, 147, 158, 169, 218, 222, 227,
            171, 179, 187, 80, 90, 101, 139, 147, 156, 193, 199, 205, 172, 184, 196, 166, 177, 188, 156, 169, 180, 67, 80, 91, 114,
            127, 138, 67, 80, 91, 170, 181, 193, 150, 162, 174, 67, 80, 91, 88, 104, 118, 88, 104, 118, 100, 41, 9, 100, 41,
            9, 128, 64, 23, 107, 126, 145, 100, 41, 9, 100, 41, 9, 100, 41, 9, 100, 41, 9, 100, 41, 9, 100, 41, 9,
            100, 41, 9, 86, 102, 117, 162, 171, 180, 223, 228, 232, 236, 236, 234, 178, 184, 189, 65, 77, 88, 147, 155, 162, 210,
            215, 220, 168, 174, 180, 186, 195, 204, 172, 184, 196, 168, 174, 180, 151, 179, 175, 52, 98, 70, 71, 165, 93, 44, 108,
            59, 162, 195, 185, 147, 158, 169, 67, 80, 91, 88, 104, 118, 88, 104, 118, 100, 41, 9, 188, 110, 45, 127, 62, 19,
            100, 41, 9, 242, 220, 175, 233, 195, 143, 223, 170, 110, 206, 130, 64, 171, 98, 40, 100, 41, 9, 230, 230, 230, 86,
            102, 117, 156, 169, 180, 216, 219, 223, 65, 77, 88, 144, 151, 159, 218, 222, 227, 171, 179, 187, 60, 71, 82, 139, 147,
            156, 183, 192, 202, 172, 184, 196, 166, 177, 188, 136, 189, 163, 44, 108, 59, 66, 156, 85, 44, 108, 59, 142, 207, 169,
            147, 158, 169, 65, 77, 88, 86, 102, 117, 100, 41, 9, 128, 64, 23, 166, 93, 36, 100, 41, 9, 242, 220, 175, 223,
            170, 110, 214, 149, 86, 188, 110, 45, 100, 41, 9, 100, 41, 9, 230, 230, 230, 230, 230, 230, 86, 102, 117, 156, 169,
            180, 218, 222, 227, 236, 239, 242, 178, 184, 189, 60, 71, 82, 147, 155, 162, 204, 209, 214, 162, 171, 180, 186, 195, 204,
            171, 179, 187, 168, 174, 180, 121, 198, 151, 44, 108, 59, 51, 226, 58, 33, 167, 44, 142, 207, 169, 147, 158, 169, 67,
            80, 91, 86, 102, 117, 100, 41, 9, 142, 74, 26, 206, 130, 64, 223, 170, 110, 214, 149, 86, 149, 79, 29, 100, 41,
            9, 100, 41, 9, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 86, 102, 117, 151, 164, 176, 218, 222, 227,
            60, 71, 82, 147, 155, 162, 218, 222, 227, 171, 179, 187, 60, 71, 82, 135, 143, 152, 179, 187, 195, 166, 177, 188, 162,
            171, 180, 118, 196, 147, 44, 108, 59, 65, 255, 65, 21, 198, 29, 142, 207, 169, 141, 152, 164, 65, 77, 88, 86, 102,
            117, 100, 41, 9, 199, 120, 53, 188, 110, 45, 166, 93, 36, 134, 69, 27, 100, 41, 9, 48, 57, 65, 230, 230, 230,
            230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 88, 104, 118, 150, 162, 174, 218, 222, 227, 231, 234, 238, 178,
            184, 189, 60, 71, 82, 144, 151, 159, 204, 209, 214, 162, 171, 180, 179, 187, 195, 171, 179, 187, 162, 171, 180, 118, 196,
            147, 44, 108, 59, 0, 255, 0, 21, 198, 29, 142, 207, 169, 141, 152, 164, 67, 80, 91, 100, 41, 9, 100, 41, 9,
            188, 110, 45, 188, 110, 45, 93, 45, 14, 222, 170, 125, 164, 115, 76, 128, 64, 23, 100, 41, 9, 230, 230, 230, 230,
            230, 230, 230, 230, 230, 230, 230, 230, 85, 95, 106, 147, 158, 169, 218, 222, 227, 60, 71, 82, 147, 155, 162, 216, 219,
            223, 178, 184, 189, 57, 67, 77, 135, 143, 152, 177, 189, 200, 171, 179, 187, 156, 169, 180, 127, 183, 154, 44, 108, 59,
            55, 131, 70, 31, 77, 42, 141, 206, 167, 138, 150, 161, 67, 80, 91, 86, 102, 117, 100, 41, 9, 199, 120, 53, 188,
            110, 45, 223, 174, 133, 255, 255, 255, 12, 11, 10, 164, 115, 76, 171, 98, 40, 50, 55, 62, 50, 55, 62, 50, 55,
            62, 230, 230, 230, 82, 96, 110, 147, 158, 169, 216, 219, 223, 227, 230, 234, 171, 179, 187, 65, 77, 88, 144, 151, 159,
            201, 206, 211, 160, 167, 174, 179, 187, 195, 168, 174, 180, 156, 169, 180, 134, 174, 158, 52, 98, 70, 71, 165, 93, 44,
            108, 59, 162, 195, 185, 138, 150, 161, 67, 80, 91, 100, 41, 9, 100, 41, 9, 210, 138, 74, 217, 154, 92, 217, 154,
            92, 236, 236, 234, 65, 64, 65, 191, 119, 50, 204, 145, 78, 230, 210, 186, 255, 255, 255, 197, 197, 193, 50, 55, 62,
            78, 92, 106, 141, 152, 164, 216, 219, 223, 60, 71, 82, 147, 155, 162, 216, 219, 223, 170, 177, 183, 57, 67, 77, 135,
            143, 152, 179, 187, 195, 166, 177, 188, 154, 163, 173, 150, 162, 174, 65, 77, 88, 202, 79, 85, 114, 60, 68, 171, 179,
            187, 138, 150, 161, 67, 80, 91, 86, 102, 117, 100, 41, 9, 223, 170, 110, 242, 220, 175, 223, 170, 110, 217, 154, 92,
            180, 104, 44, 191, 119, 50, 193, 140, 87, 107, 108, 111, 12, 11, 10, 255, 255, 255, 50, 55, 62, 78, 92, 106, 135,
            143, 152, 177, 189, 200, 216, 219, 223, 216, 219, 223, 65, 77, 88, 144, 151, 159, 201, 206, 211, 160, 167, 174, 179, 187,
            195, 166, 177, 188, 154, 163, 173, 147, 158, 169, 65, 77, 88, 255, 0, 0, 161, 40, 45, 171, 179, 187, 138, 150, 161,
            67, 80, 91, 100, 41, 9, 110, 49, 12, 217, 154, 92, 223, 170, 110, 223, 170, 110, 210, 138, 74, 180, 104, 44, 166,
            93, 36, 195, 170, 144, 197, 197, 193, 160, 160, 159, 236, 236, 234, 50, 55, 62, 78, 92, 106, 104, 119, 132, 147, 158,
            169, 177, 189, 200, 201, 206, 211, 201, 206, 211, 210, 215, 220, 65, 77, 88, 135, 143, 152, 179, 187, 195, 168, 174, 180,
            154, 163, 173, 147, 158, 169, 65, 77, 88, 255, 0, 0, 161, 40, 45, 166, 177, 188, 138, 150, 161, 65, 77, 88, 100,
            41, 9, 110, 49, 12, 166, 93, 36, 210, 138, 74, 210, 138, 74, 199, 120, 53, 171, 98, 40, 166, 93, 36, 195, 170,
            144, 229, 229, 226, 229, 229, 226, 229, 229, 226, 50, 55, 62, 230, 230, 230, 78, 92, 106, 86, 102, 117, 98, 113, 125,
            116, 123, 130, 170, 177, 183, 193, 199, 205, 201, 206, 211, 193, 199, 205, 179, 187, 195, 163, 174, 184, 154, 163, 173, 147,
            158, 169, 67, 80, 91, 91, 100, 109, 48, 57, 65, 166, 177, 188, 139, 147, 156, 67, 80, 91, 100, 41, 9, 129, 63,
            18, 100, 41, 9, 100, 41, 9, 100, 41, 9, 100, 41, 9, 100, 41, 9, 114, 116, 118, 160, 160, 159, 167, 168, 164,
            167, 168, 164, 50, 55, 62, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 72, 86, 99, 72, 86, 99, 71,
            84, 96, 99, 115, 130, 126, 140, 153, 162, 171, 180, 168, 174, 180, 160, 167, 174, 154, 163, 173, 154, 163, 173, 67, 80,
            91, 98, 113, 125, 67, 80, 91, 171, 179, 187, 141, 152, 164, 67, 80, 91, 100, 41, 9, 142, 74, 26, 171, 98, 40,
            166, 93, 36, 127, 62, 19, 100, 41, 9, 230, 230, 230, 50, 55, 62, 50, 55, 62, 50, 55, 62, 50, 55, 62, 230,
            230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 65, 77,
            88, 65, 77, 88, 60, 71, 82, 60, 71, 82, 67, 80, 91, 91, 100, 109, 116, 123, 130, 67, 80, 91, 98, 113, 125,
            65, 77, 88, 123, 135, 146, 116, 130, 143, 57, 67, 77, 100, 41, 9, 142, 74, 26, 193, 116, 45, 193, 116, 45, 154,
            83, 30, 100, 41, 9, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230,
            230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230,
            230, 230, 230, 230, 230, 230, 57, 67, 77, 54, 65, 74, 54, 65, 74, 50, 55, 62, 48, 57, 65, 48, 57, 65, 50,
            55, 62, 48, 57, 65, 48, 57, 65, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230,
            230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230
                };
        wxImage image(32, 32, (unsigned char *) data, true);
        image.SetMaskColour(230, 230, 230);
        wxBitmap bitmap(image);
        return bitmap;
    }
    if (index == 4)
    {
        static const unsigned char data[] =
        {
            230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230,
            230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 185, 240, 254, 230, 230,
            230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230,
            230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230,
            230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230,
            230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 185, 240, 254, 230, 230, 230, 230, 230, 230,
            230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230,
            230, 230, 230, 230, 230, 114, 114, 114, 230, 230, 230, 74, 74, 93, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230,
            230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230,
            230, 230, 230, 230, 230, 230, 230, 230, 230, 101, 201, 236, 185, 240, 254, 75, 208, 245, 52, 57, 76, 33, 61, 92, 36,
            40, 64, 30, 34, 82, 30, 34, 82, 12, 60, 98, 20, 57, 89, 30, 50, 73, 13, 71, 88, 230, 230, 230, 230, 230,
            230, 230, 230, 230, 28, 32, 58, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230,
            230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 1, 85, 109, 1, 85, 109, 28, 32, 58, 28,
            32, 58, 30, 50, 73, 69, 174, 219, 185, 240, 254, 107, 212, 244, 10, 95, 174, 1, 112, 141, 1, 117, 162, 1, 107,
            180, 1, 124, 164, 1, 124, 164, 1, 107, 180, 1, 124, 164, 1, 107, 180, 1, 104, 175, 1, 107, 180, 1, 107, 180,
            28, 32, 58, 20, 57, 89, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 28, 32, 58, 20,
            57, 89, 12, 60, 98, 13, 71, 88, 1, 85, 109, 1, 85, 109, 1, 112, 141, 1, 112, 141, 1, 117, 162, 1, 123,
            192, 109, 206, 240, 185, 240, 254, 107, 212, 244, 1, 124, 164, 1, 107, 180, 1, 107, 180, 1, 124, 164, 1, 124, 164,
            1, 124, 164, 1, 107, 180, 1, 107, 180, 1, 104, 175, 1, 104, 175, 1, 107, 180, 1, 107, 180, 28, 32, 58, 20,
            57, 89, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 81, 81, 97, 61, 62, 120, 1, 124, 164, 1, 107,
            180, 1, 107, 180, 1, 124, 164, 1, 107, 180, 1, 107, 180, 1, 107, 180, 1, 124, 164, 1, 115, 186, 133, 218, 246,
            185, 240, 254, 119, 213, 244, 1, 107, 180, 1, 124, 164, 35, 152, 209, 185, 240, 254, 1, 123, 192, 1, 124, 164, 1,
            104, 175, 1, 104, 175, 1, 104, 175, 1, 104, 175, 1, 104, 175, 1, 107, 180, 28, 32, 58, 53, 53, 65, 230, 230,
            230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 81, 81, 97, 61, 62, 120, 1, 124, 164, 1, 107, 180, 1, 107, 180,
            1, 124, 164, 1, 107, 180, 1, 107, 180, 1, 124, 164, 1, 107, 180, 5, 137, 202, 160, 231, 252, 185, 240, 254, 147,
            211, 243, 1, 124, 164, 1, 124, 164, 107, 212, 244, 185, 240, 254, 5, 137, 202, 1, 107, 180, 1, 104, 175, 1, 104,
            175, 1, 104, 175, 1, 104, 175, 1, 107, 180, 1, 107, 180, 28, 32, 58, 53, 53, 65, 230, 230, 230, 230, 230, 230,
            230, 230, 230, 230, 230, 230, 81, 81, 97, 61, 62, 120, 1, 107, 180, 1, 107, 180, 1, 107, 180, 1, 124, 164, 1,
            124, 164, 1, 124, 164, 1, 107, 180, 1, 124, 164, 14, 148, 210, 171, 235, 253, 185, 240, 254, 147, 211, 243, 1, 107,
            180, 1, 107, 180, 147, 211, 243, 185, 240, 254, 8, 155, 216, 1, 107, 180, 1, 104, 175, 1, 104, 175, 1, 104, 175,
            1, 104, 175, 1, 107, 180, 1, 107, 180, 28, 32, 58, 52, 57, 76, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230,
            230, 230, 81, 81, 97, 4, 64, 108, 1, 124, 164, 1, 124, 164, 1, 107, 180, 1, 107, 180, 1, 107, 180, 1, 107,
            180, 1, 107, 180, 1, 124, 164, 54, 168, 219, 166, 236, 254, 185, 240, 254, 139, 227, 251, 1, 123, 192, 1, 107, 180,
            151, 221, 241, 185, 240, 254, 39, 171, 223, 1, 107, 180, 1, 104, 175, 1, 104, 175, 1, 104, 175, 1, 107, 180, 1,
            107, 180, 1, 107, 180, 28, 32, 58, 68, 68, 81, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 81, 81,
            97, 4, 64, 108, 1, 124, 164, 1, 124, 164, 1, 107, 180, 1, 107, 180, 14, 148, 210, 5, 137, 202, 1, 107, 180,
            1, 107, 180, 47, 178, 227, 185, 240, 254, 89, 198, 236, 185, 240, 254, 1, 123, 192, 1, 115, 186, 146, 228, 251, 185,
            240, 254, 69, 174, 219, 1, 115, 186, 1, 107, 180, 1, 107, 180, 1, 107, 180, 1, 115, 186, 1, 115, 186, 1, 115,
            186, 28, 32, 58, 68, 68, 81, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 81, 81, 97, 4, 64, 108,
            1, 124, 164, 1, 124, 164, 1, 107, 180, 1, 115, 186, 185, 240, 254, 89, 198, 236, 1, 107, 180, 1, 107, 180, 89,
            198, 236, 185, 240, 254, 89, 198, 236, 185, 240, 254, 1, 115, 186, 1, 146, 188, 185, 240, 254, 168, 227, 248, 101, 201,
            236, 1, 115, 186, 1, 123, 192, 1, 123, 192, 1, 115, 186, 1, 115, 186, 1, 123, 192, 1, 115, 186, 28, 32, 58,
            74, 74, 93, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 81, 81, 97, 4, 64, 108, 1, 124, 164, 1,
            107, 180, 1, 107, 180, 1, 146, 188, 185, 240, 254, 166, 236, 254, 1, 115, 186, 1, 107, 180, 107, 212, 244, 185, 240,
            254, 75, 197, 237, 185, 240, 254, 1, 146, 188, 14, 148, 210, 185, 240, 254, 151, 221, 241, 133, 218, 246, 1, 146, 188,
            1, 123, 192, 1, 115, 186, 1, 115, 186, 1, 123, 192, 1, 123, 192, 1, 115, 186, 28, 32, 58, 76, 76, 97, 230,
            230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 81, 81, 97, 61, 62, 120, 1, 124, 164, 1, 124, 164, 1, 107,
            180, 8, 155, 216, 185, 240, 254, 185, 240, 254, 8, 155, 216, 1, 115, 186, 132, 226, 251, 185, 240, 254, 69, 174, 219,
            185, 240, 254, 1, 146, 188, 26, 164, 219, 185, 240, 254, 95, 214, 247, 185, 240, 254, 8, 155, 216, 1, 123, 192, 1,
            123, 192, 1, 115, 186, 1, 123, 192, 5, 137, 202, 1, 146, 188, 28, 32, 58, 81, 81, 97, 230, 230, 230, 230, 230,
            230, 230, 230, 230, 230, 230, 230, 92, 92, 109, 61, 62, 120, 1, 124, 164, 1, 124, 164, 1, 115, 186, 72, 186, 229,
            183, 237, 252, 185, 240, 254, 56, 175, 224, 1, 146, 188, 185, 240, 254, 185, 240, 254, 57, 187, 232, 185, 240, 254, 5,
            137, 202, 56, 175, 224, 185, 240, 254, 45, 186, 234, 185, 240, 254, 33, 179, 231, 5, 137, 202, 27, 145, 205, 8, 155,
            216, 26, 164, 219, 33, 179, 231, 47, 178, 227, 1, 195, 248, 107, 212, 244, 119, 213, 244, 230, 230, 230, 230, 230, 230,
            230, 230, 230, 81, 81, 97, 4, 64, 108, 1, 124, 164, 1, 107, 180, 1, 115, 186, 117, 207, 239, 185, 240, 254, 141,
            232, 254, 95, 214, 247, 8, 155, 216, 185, 240, 254, 47, 178, 227, 47, 178, 227, 185, 240, 254, 8, 155, 216, 57, 187,
            232, 185, 240, 254, 25, 179, 231, 185, 240, 254, 45, 186, 234, 89, 198, 236, 151, 221, 241, 160, 231, 252, 185, 240, 254,
            185, 240, 254, 185, 240, 254, 166, 236, 254, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 92,
            92, 109, 4, 71, 119, 1, 115, 186, 1, 123, 192, 24, 152, 210, 185, 240, 254, 119, 190, 212, 89, 198, 236, 150, 216,
            233, 35, 183, 233, 185, 240, 254, 39, 171, 223, 56, 175, 224, 185, 240, 254, 9, 180, 235, 120, 192, 212, 185, 240, 254,
            9, 180, 235, 185, 240, 254, 89, 198, 236, 185, 240, 254, 101, 201, 236, 45, 186, 234, 57, 187, 232, 37, 151, 197, 1,
            170, 228, 9, 86, 107, 83, 83, 126, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 1, 195, 248, 37, 151,
            197, 69, 174, 219, 89, 198, 236, 119, 213, 244, 185, 240, 254, 39, 171, 223, 57, 187, 232, 166, 236, 254, 119, 190, 212,
            185, 240, 254, 26, 164, 219, 56, 175, 224, 185, 240, 254, 37, 151, 197, 101, 201, 236, 119, 213, 244, 2, 153, 215, 185,
            240, 254, 185, 240, 254, 185, 240, 254, 39, 171, 223, 1, 146, 210, 1, 155, 217, 1, 155, 217, 1, 146, 210, 30, 50,
            73, 81, 81, 97, 230, 230, 230, 230, 230, 230, 230, 230, 230, 166, 236, 254, 166, 236, 254, 185, 240, 254, 185, 240, 254,
            133, 218, 246, 107, 212, 244, 75, 197, 237, 5, 137, 202, 26, 164, 219, 168, 227, 248, 132, 226, 251, 185, 240, 254, 24,
            152, 210, 33, 179, 231, 185, 240, 254, 35, 183, 233, 185, 240, 254, 89, 198, 236, 1, 155, 217, 95, 214, 247, 185, 240,
            254, 171, 235, 253, 9, 180, 235, 1, 154, 197, 1, 146, 210, 1, 155, 217, 1, 146, 210, 30, 50, 73, 81, 81, 97,
            230, 230, 230, 109, 206, 240, 109, 206, 240, 2, 184, 239, 1, 193, 245, 18, 123, 179, 24, 152, 210, 27, 145, 205, 1,
            146, 210, 1, 146, 188, 1, 146, 188, 2, 153, 215, 156, 234, 254, 166, 236, 254, 150, 216, 233, 1, 155, 217, 33, 179,
            231, 185, 240, 254, 57, 187, 232, 185, 240, 254, 75, 208, 245, 1, 154, 197, 75, 208, 245, 185, 240, 254, 156, 234, 254,
            1, 170, 228, 1, 146, 210, 1, 146, 210, 2, 161, 221, 1, 163, 207, 30, 50, 73, 81, 81, 97, 230, 230, 230, 230,
            230, 230, 230, 230, 230, 230, 230, 230, 81, 81, 97, 1, 79, 133, 5, 137, 202, 5, 137, 202, 5, 137, 202, 5, 137,
            202, 5, 137, 202, 1, 155, 217, 132, 226, 251, 185, 240, 254, 95, 214, 247, 1, 146, 210, 30, 171, 224, 185, 240, 254,
            75, 208, 245, 185, 240, 254, 45, 186, 234, 1, 146, 210, 45, 186, 234, 185, 240, 254, 107, 212, 244, 1, 170, 228, 1,
            163, 207, 1, 174, 232, 1, 165, 224, 1, 165, 224, 30, 50, 73, 81, 81, 97, 230, 230, 230, 230, 230, 230, 230, 230,
            230, 230, 230, 230, 92, 92, 109, 62, 62, 143, 5, 137, 202, 1, 155, 217, 1, 155, 217, 1, 146, 210, 1, 146, 210,
            1, 146, 210, 119, 190, 212, 185, 240, 254, 119, 190, 212, 1, 146, 210, 35, 152, 209, 185, 240, 254, 119, 190, 212, 185,
            240, 254, 35, 183, 233, 2, 161, 221, 35, 152, 209, 185, 240, 254, 75, 208, 245, 1, 170, 228, 1, 170, 228, 1, 170,
            228, 1, 170, 228, 1, 170, 228, 30, 50, 73, 81, 81, 97, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230,
            81, 81, 97, 1, 85, 109, 1, 146, 210, 1, 155, 217, 1, 146, 210, 1, 154, 197, 1, 154, 197, 1, 146, 210, 45,
            186, 234, 185, 240, 254, 57, 187, 232, 2, 161, 221, 37, 151, 197, 185, 240, 254, 95, 214, 247, 185, 240, 254, 18, 179,
            233, 1, 165, 224, 1, 179, 235, 185, 240, 254, 18, 179, 233, 1, 170, 228, 1, 165, 224, 1, 165, 224, 12, 176, 231,
            1, 179, 235, 20, 57, 89, 81, 81, 97, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 81, 81, 97, 1,
            82, 138, 2, 153, 215, 1, 155, 217, 1, 146, 210, 1, 146, 210, 1, 146, 210, 1, 146, 210, 37, 151, 197, 185, 240,
            254, 9, 180, 235, 1, 165, 224, 37, 151, 197, 185, 240, 254, 147, 211, 243, 185, 240, 254, 9, 180, 235, 13, 174, 229,
            13, 174, 229, 1, 179, 235, 1, 179, 235, 1, 179, 235, 1, 179, 235, 1, 179, 235, 12, 176, 231, 1, 179, 235, 20,
            57, 89, 81, 81, 97, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 81, 81, 97, 10, 95, 174, 1, 146,
            210, 2, 161, 221, 1, 163, 207, 1, 163, 207, 1, 163, 207, 1, 174, 232, 1, 174, 232, 185, 240, 254, 1, 170, 228,
            13, 174, 229, 16, 170, 225, 185, 240, 254, 146, 232, 253, 185, 240, 254, 1, 179, 235, 1, 179, 235, 1, 179, 235, 1,
            179, 235, 12, 176, 231, 1, 177, 226, 1, 188, 242, 1, 188, 242, 30, 171, 224, 1, 188, 242, 20, 57, 89, 81, 81,
            97, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 99, 99, 101, 1, 112, 141, 1, 163, 207, 1, 165, 224,
            1, 174, 232, 1, 165, 224, 1, 170, 228, 1, 170, 228, 1, 170, 228, 1, 170, 228, 1, 170, 228, 1, 165, 224, 16,
            170, 225, 185, 240, 254, 146, 228, 251, 185, 240, 254, 2, 184, 239, 1, 179, 235, 1, 188, 242, 30, 171, 224, 1, 188,
            242, 1, 188, 242, 1, 188, 242, 1, 188, 242, 1, 193, 245, 2, 184, 239, 20, 57, 89, 81, 81, 97, 230, 230, 230,
            230, 230, 230, 230, 230, 230, 230, 230, 230, 83, 83, 126, 2, 86, 145, 1, 170, 228, 1, 170, 228, 13, 174, 229, 13,
            174, 229, 1, 174, 232, 12, 176, 231, 1, 179, 235, 1, 179, 235, 12, 176, 231, 1, 179, 235, 1, 188, 242, 185, 240,
            254, 171, 235, 253, 147, 211, 243, 1, 188, 242, 30, 171, 224, 1, 188, 242, 1, 188, 242, 1, 193, 245, 1, 193, 245,
            1, 195, 248, 1, 195, 248, 1, 195, 248, 107, 212, 244, 20, 57, 89, 81, 81, 97, 230, 230, 230, 230, 230, 230, 230,
            230, 230, 230, 230, 230, 81, 81, 97, 1, 100, 155, 1, 165, 224, 1, 165, 224, 1, 179, 235, 1, 179, 235, 1, 179,
            235, 1, 179, 235, 1, 179, 235, 12, 176, 231, 1, 188, 242, 1, 188, 242, 1, 193, 245, 185, 240, 254, 185, 240, 254,
            95, 214, 247, 1, 193, 245, 1, 193, 245, 1, 193, 245, 1, 195, 248, 2, 184, 239, 107, 212, 244, 2, 184, 239, 107,
            212, 244, 2, 184, 239, 2, 184, 239, 28, 32, 58, 81, 81, 97, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230,
            230, 95, 95, 112, 1, 100, 155, 1, 179, 235, 1, 179, 235, 1, 179, 235, 1, 177, 226, 1, 188, 242, 1, 188, 242,
            1, 188, 242, 1, 177, 226, 1, 177, 226, 26, 164, 219, 0, 165, 213, 119, 213, 244, 185, 240, 254, 75, 197, 237, 2,
            86, 145, 5, 96, 120, 4, 71, 119, 30, 50, 73, 30, 34, 82, 28, 32, 58, 28, 32, 58, 230, 230, 230, 52, 57,
            76, 56, 62, 79, 74, 74, 93, 99, 99, 119, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 95, 95, 112,
            1, 100, 149, 1, 188, 242, 1, 179, 235, 1, 154, 197, 1, 139, 185, 1, 107, 180, 2, 86, 145, 1, 85, 109, 4,
            71, 119, 30, 50, 73, 28, 32, 58, 4, 71, 119, 120, 192, 212, 185, 240, 254, 107, 212, 244, 107, 107, 107, 230, 230,
            230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230,
            230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 28, 32, 58, 28,
            32, 58, 30, 34, 82, 68, 68, 81, 99, 99, 101, 114, 114, 114, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230,
            230, 230, 230, 230, 230, 230, 230, 141, 205, 236, 185, 240, 254, 230, 230, 230, 108, 118, 152, 230, 230, 230, 230, 230, 230,
            230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230,
            230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230,
            230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230,
            230, 230, 230, 230, 230, 230, 185, 240, 254, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230,
            230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230,
            230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230,
            230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230,
            230, 230, 185, 240, 254, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230,
            230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230
                };
        wxImage image(32, 32, (unsigned char *) data, true);
        image.SetMaskColour(230, 230, 230);
        wxBitmap bitmap(image);
        return bitmap;
    }
    if (index == 5)
    {
        static const unsigned char data[] =
        {
            230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230,
            230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230,
            230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230,
            230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230,
            230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230,
            230, 154, 86, 0, 148, 83, 0, 148, 83, 0, 148, 83, 0, 230, 230, 230, 230, 230, 230, 230, 230, 230, 144, 79, 0,
            144, 79, 0, 139, 76, 0, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230,
            230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230,
            230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 154, 86, 0, 154, 86, 0, 154, 86, 0, 220, 145, 36,
            255, 196, 99, 251, 182, 72, 148, 83, 0, 230, 230, 230, 230, 230, 230, 148, 83, 0, 182, 106, 1, 227, 144, 11, 193,
            113, 1, 139, 76, 0, 143, 80, 0, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230,
            230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230,
            230, 230, 230, 230, 230, 230, 154, 86, 0, 196, 122, 20, 244, 181, 79, 255, 202, 114, 255, 196, 99, 254, 187, 75, 255,
            182, 60, 239, 174, 69, 148, 83, 0, 230, 230, 230, 143, 80, 0, 236, 149, 12, 245, 157, 11, 251, 161, 13, 236, 149,
            12, 191, 114, 4, 139, 76, 0, 130, 72, 0, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230,
            230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230,
            230, 230, 157, 88, 0, 241, 175, 73, 255, 193, 92, 255, 196, 99, 255, 192, 85, 255, 182, 60, 241, 171, 58, 255, 178,
            51, 239, 174, 69, 143, 80, 0, 227, 144, 11, 252, 165, 18, 252, 165, 18, 245, 157, 11, 245, 157, 11, 243, 156, 28,
            227, 144, 11, 139, 76, 0, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230,
            230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 154, 86,
            0, 227, 147, 33, 255, 192, 85, 255, 192, 85, 254, 187, 75, 255, 182, 60, 255, 182, 60, 255, 176, 43, 255, 175, 40,
            191, 114, 4, 255, 172, 34, 254, 170, 27, 252, 165, 18, 245, 157, 11, 251, 161, 13, 245, 157, 11, 223, 140, 11, 122,
            68, 0, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230,
            230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 154, 86, 0, 154, 86, 0,
            255, 192, 85, 255, 192, 85, 255, 182, 60, 255, 182, 60, 255, 178, 51, 255, 178, 51, 255, 176, 43, 255, 176, 39, 255,
            172, 34, 255, 172, 34, 254, 168, 22, 252, 165, 18, 251, 161, 13, 251, 161, 13, 206, 128, 9, 110, 61, 0, 230, 230,
            230, 130, 72, 0, 122, 68, 0, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230,
            230, 230, 230, 230, 230, 230, 154, 86, 0, 157, 88, 0, 154, 86, 0, 143, 80, 0, 122, 68, 0, 228, 153, 41, 255,
            192, 85, 255, 184, 67, 255, 182, 60, 255, 182, 60, 255, 178, 51, 255, 178, 51, 255, 176, 43, 255, 175, 40, 255, 172,
            34, 255, 172, 34, 254, 168, 22, 254, 168, 22, 252, 165, 18, 191, 114, 4, 110, 61, 0, 130, 72, 0, 182, 106, 1,
            212, 128, 6, 122, 68, 0, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 157,
            88, 0, 241, 171, 58, 255, 200, 110, 241, 171, 58, 217, 135, 29, 185, 100, 0, 244, 173, 67, 254, 187, 75, 254, 187,
            75, 255, 184, 67, 255, 182, 60, 241, 171, 58, 222, 155, 48, 222, 155, 48, 222, 155, 48, 241, 171, 58, 255, 172, 34,
            254, 170, 27, 254, 168, 22, 252, 165, 18, 236, 149, 12, 182, 106, 1, 231, 145, 7, 251, 161, 13, 251, 161, 13, 223,
            140, 11, 122, 68, 0, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 157, 88, 0, 255, 229,
            188, 255, 216, 151, 255, 208, 130, 255, 208, 130, 255, 196, 99, 255, 190, 83, 255, 190, 83, 254, 187, 75, 254, 187, 75,
            201, 139, 49, 143, 80, 0, 143, 80, 0, 143, 80, 0, 139, 76, 0, 139, 76, 0, 177, 117, 27, 222, 155, 48, 254,
            170, 27, 254, 170, 27, 254, 168, 22, 251, 161, 13, 251, 161, 13, 251, 161, 13, 245, 157, 11, 245, 157, 11, 227, 141,
            9, 122, 68, 0, 230, 230, 230, 230, 230, 230, 230, 230, 230, 154, 86, 0, 209, 144, 54, 255, 229, 188, 255, 216, 153,
            255, 208, 130, 255, 196, 99, 250, 189, 91, 255, 193, 92, 255, 192, 85, 255, 190, 83, 171, 115, 38, 143, 80, 0, 182,
            106, 1, 217, 126, 0, 212, 121, 0, 203, 115, 0, 172, 99, 0, 143, 80, 0, 143, 80, 0, 186, 124, 31, 254, 170,
            27, 254, 168, 22, 252, 165, 18, 252, 165, 18, 251, 161, 13, 251, 161, 13, 251, 161, 13, 245, 157, 11, 212, 128, 6,
            122, 68, 0, 230, 230, 230, 230, 230, 230, 154, 86, 0, 255, 216, 153, 255, 224, 172, 255, 208, 130, 255, 208, 130, 254,
            198, 105, 255, 196, 99, 250, 189, 91, 255, 193, 92, 201, 139, 49, 139, 76, 0, 179, 100, 0, 203, 115, 0, 217, 126,
            0, 221, 128, 0, 217, 126, 0, 212, 121, 0, 203, 115, 0, 179, 100, 0, 148, 83, 0, 186, 124, 31, 254, 170, 27,
            254, 168, 22, 252, 165, 18, 251, 161, 13, 251, 161, 13, 251, 161, 13, 245, 157, 11, 236, 143, 10, 117, 65, 0, 230,
            230, 230, 230, 230, 230, 154, 86, 0, 254, 199, 112, 255, 216, 153, 255, 208, 130, 255, 208, 130, 254, 198, 105, 254, 198,
            105, 255, 196, 99, 255, 193, 92, 157, 88, 0, 182, 106, 1, 203, 115, 0, 217, 126, 0, 217, 126, 0, 221, 128, 0,
            221, 128, 0, 217, 126, 0, 203, 115, 0, 203, 115, 0, 185, 100, 0, 130, 72, 0, 186, 124, 31, 254, 170, 27, 254,
            168, 22, 252, 165, 18, 251, 161, 13, 251, 161, 13, 245, 157, 11, 203, 115, 0, 122, 68, 0, 230, 230, 230, 154, 86,
            0, 221, 128, 0, 221, 128, 0, 243, 156, 28, 251, 182, 72, 255, 205, 122, 255, 200, 110, 254, 198, 105, 255, 196, 99,
            255, 196, 99, 157, 88, 0, 143, 80, 0, 139, 76, 0, 139, 76, 0, 139, 76, 0, 130, 72, 0, 122, 68, 0, 157,
            88, 0, 179, 100, 0, 195, 107, 0, 185, 100, 0, 157, 88, 0, 130, 72, 0, 241, 171, 58, 254, 168, 22, 254, 168,
            22, 251, 161, 13, 236, 149, 12, 179, 100, 0, 139, 76, 0, 117, 65, 0, 230, 230, 230, 154, 86, 0, 221, 128, 0,
            221, 128, 0, 212, 121, 0, 195, 107, 0, 243, 156, 28, 255, 205, 122, 255, 205, 122, 254, 198, 105, 255, 196, 99, 157,
            88, 0, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 122, 68, 0, 122, 68,
            0, 157, 88, 0, 179, 100, 0, 164, 91, 0, 122, 68, 0, 222, 155, 48, 254, 170, 27, 254, 170, 27, 227, 144, 11,
            179, 100, 0, 139, 76, 0, 130, 72, 0, 117, 65, 0, 230, 230, 230, 154, 86, 0, 148, 83, 0, 195, 107, 0, 212,
            121, 0, 195, 107, 0, 164, 91, 0, 236, 143, 10, 255, 205, 122, 255, 200, 110, 254, 198, 105, 182, 123, 41, 157, 88,
            0, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 117, 65, 0,
            157, 88, 0, 164, 91, 0, 122, 68, 0, 222, 155, 48, 255, 172, 34, 254, 170, 27, 252, 165, 18, 251, 161, 13, 236,
            149, 12, 212, 128, 6, 179, 100, 0, 117, 65, 0, 230, 230, 230, 230, 230, 230, 148, 83, 0, 148, 83, 0, 195, 107,
            0, 168, 93, 0, 243, 156, 28, 255, 211, 139, 255, 205, 122, 254, 198, 105, 218, 161, 74, 154, 86, 0, 230, 230, 230,
            230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 110, 61, 0, 157,
            88, 0, 110, 61, 0, 222, 155, 48, 255, 172, 34, 255, 172, 34, 254, 170, 27, 252, 165, 18, 245, 157, 11, 245, 157,
            11, 245, 157, 11, 117, 65, 0, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 148, 83, 0, 178, 109, 12,
            255, 229, 188, 255, 216, 153, 255, 208, 130, 255, 205, 122, 255, 202, 114, 185, 129, 49, 157, 88, 0, 230, 230, 230, 230,
            230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 110, 61, 0, 139, 76, 0, 110, 61,
            0, 241, 171, 58, 255, 176, 39, 255, 172, 34, 255, 172, 34, 254, 168, 22, 254, 168, 22, 245, 157, 11, 245, 157, 11,
            112, 63, 0, 230, 230, 230, 230, 230, 230, 230, 230, 230, 148, 83, 0, 195, 131, 34, 255, 208, 130, 255, 243, 223, 255,
            216, 153, 255, 216, 151, 255, 205, 122, 255, 205, 122, 255, 200, 110, 185, 129, 49, 130, 72, 0, 122, 68, 0, 230, 230,
            230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 110, 61, 0, 110, 61, 0, 186, 124, 31, 255, 178, 51,
            255, 178, 51, 255, 178, 51, 255, 175, 40, 254, 170, 27, 254, 168, 22, 254, 168, 22, 251, 161, 13, 117, 65, 0, 230,
            230, 230, 230, 230, 230, 148, 83, 0, 217, 126, 0, 243, 156, 28, 255, 211, 139, 255, 255, 255, 255, 229, 188, 255, 216,
            153, 255, 211, 139, 255, 205, 122, 255, 205, 122, 255, 202, 114, 222, 167, 81, 171, 115, 38, 122, 68, 0, 122, 68, 0,
            117, 65, 0, 122, 68, 0, 110, 61, 0, 110, 61, 0, 167, 101, 13, 255, 182, 60, 255, 178, 51, 255, 178, 51, 255,
            178, 51, 255, 178, 51, 255, 178, 51, 255, 178, 51, 255, 172, 34, 254, 168, 22, 112, 63, 0, 230, 230, 230, 148, 83,
            0, 217, 126, 0, 221, 128, 0, 221, 128, 0, 243, 156, 28, 255, 219, 161, 255, 243, 223, 255, 216, 153, 255, 216, 153,
            255, 208, 130, 255, 205, 122, 255, 200, 110, 254, 198, 105, 254, 198, 105, 241, 171, 58, 222, 155, 48, 222, 155, 48, 222,
            155, 48, 222, 155, 48, 241, 171, 58, 255, 192, 85, 255, 192, 85, 255, 192, 85, 255, 182, 60, 225, 142, 29, 227, 147,
            33, 234, 154, 36, 242, 165, 45, 242, 165, 45, 251, 161, 13, 112, 63, 0, 230, 230, 230, 148, 83, 0, 221, 128, 0,
            221, 128, 0, 221, 128, 0, 221, 128, 0, 243, 156, 28, 255, 219, 161, 255, 224, 172, 254, 187, 75, 225, 144, 29, 255,
            205, 122, 255, 208, 130, 255, 200, 110, 254, 198, 105, 255, 196, 99, 255, 196, 99, 250, 189, 91, 255, 192, 85, 255, 192,
            85, 255, 192, 85, 254, 187, 75, 255, 192, 85, 255, 192, 85, 255, 190, 83, 225, 142, 29, 157, 88, 0, 179, 100, 0,
            195, 107, 0, 212, 121, 0, 110, 61, 0, 230, 230, 230, 230, 230, 230, 148, 83, 0, 182, 106, 1, 217, 126, 0, 221,
            128, 0, 221, 128, 0, 221, 128, 0, 243, 156, 28, 225, 144, 29, 185, 100, 0, 148, 83, 0, 242, 165, 45, 255, 216,
            153, 255, 208, 130, 255, 205, 122, 254, 198, 105, 255, 196, 99, 255, 193, 92, 255, 193, 92, 255, 192, 85, 255, 192, 85,
            255, 192, 85, 255, 192, 85, 255, 192, 85, 255, 196, 99, 244, 173, 67, 195, 107, 0, 148, 83, 0, 157, 88, 0, 185,
            100, 0, 112, 63, 0, 230, 230, 230, 230, 230, 230, 230, 230, 230, 144, 79, 0, 221, 128, 0, 221, 128, 0, 221, 128,
            0, 221, 128, 0, 203, 115, 0, 185, 100, 0, 122, 68, 0, 148, 83, 0, 227, 147, 33, 255, 224, 172, 255, 216, 153,
            255, 208, 130, 255, 205, 122, 255, 202, 114, 255, 196, 99, 254, 198, 105, 254, 198, 105, 255, 196, 99, 255, 196, 99, 255,
            196, 99, 255, 196, 99, 255, 196, 99, 255, 211, 139, 227, 147, 33, 195, 107, 0, 110, 61, 0, 110, 61, 0, 230, 230,
            230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 139, 76, 0, 221, 128, 0, 221, 128, 0, 203, 115, 0,
            139, 76, 0, 139, 76, 0, 230, 230, 230, 130, 72, 0, 208, 123, 11, 255, 229, 188, 255, 216, 153, 255, 216, 153, 255,
            211, 139, 255, 205, 122, 255, 202, 114, 254, 199, 112, 255, 192, 85, 242, 165, 45, 254, 199, 112, 255, 208, 130, 255, 211,
            139, 255, 211, 139, 255, 208, 130, 255, 184, 67, 227, 149, 43, 110, 61, 0, 230, 230, 230, 230, 230, 230, 230, 230, 230,
            230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 139, 76, 0, 179, 100, 0, 139, 76, 0, 230, 230, 230, 230,
            230, 230, 230, 230, 230, 122, 68, 0, 208, 123, 11, 255, 211, 139, 255, 229, 188, 255, 229, 188, 255, 216, 153, 255, 216,
            153, 255, 211, 139, 255, 202, 114, 208, 123, 11, 217, 126, 0, 236, 149, 12, 255, 192, 85, 255, 229, 188, 255, 219, 161,
            250, 189, 91, 217, 132, 20, 179, 100, 0, 110, 61, 0, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230,
            230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 139, 76, 0, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230,
            230, 130, 72, 0, 212, 121, 0, 231, 145, 7, 254, 187, 75, 255, 208, 130, 255, 229, 188, 255, 229, 188, 255, 227, 179,
            255, 211, 139, 185, 100, 0, 221, 128, 0, 221, 128, 0, 232, 137, 3, 242, 165, 45, 225, 142, 29, 203, 115, 0, 185,
            100, 0, 185, 100, 0, 117, 65, 0, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230,
            230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 130, 72, 0, 154, 86, 0,
            217, 126, 0, 221, 128, 0, 221, 128, 0, 217, 126, 0, 236, 143, 10, 243, 156, 28, 186, 124, 31, 122, 68, 0, 122,
            68, 0, 203, 115, 0, 221, 128, 0, 221, 128, 0, 185, 100, 0, 185, 100, 0, 185, 100, 0, 185, 100, 0, 164, 91,
            0, 110, 61, 0, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230,
            230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 130, 72, 0, 172, 99, 0, 221, 128, 0, 221,
            128, 0, 221, 128, 0, 221, 128, 0, 221, 128, 0, 221, 128, 0, 155, 96, 13, 122, 68, 0, 230, 230, 230, 117, 65,
            0, 217, 126, 0, 221, 128, 0, 195, 107, 0, 185, 100, 0, 185, 100, 0, 148, 83, 0, 110, 61, 0, 230, 230, 230,
            230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230,
            230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 130, 72, 0, 193, 113, 1, 221, 128, 0, 221, 128, 0, 221, 128,
            0, 221, 128, 0, 221, 128, 0, 221, 128, 0, 122, 68, 0, 230, 230, 230, 230, 230, 230, 230, 230, 230, 117, 65, 0,
            221, 128, 0, 203, 115, 0, 168, 93, 0, 110, 61, 0, 110, 61, 0, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230,
            230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230,
            230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 122, 68, 0, 122, 68, 0, 122, 68, 0, 172, 99, 0, 191, 114, 4,
            203, 115, 0, 212, 121, 0, 117, 65, 0, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 110, 61, 0, 117,
            65, 0, 110, 61, 0, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230,
            230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230,
            230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 122, 68, 0, 122, 68, 0, 122, 68, 0, 117,
            65, 0, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230,
            230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230
                };
        wxImage image(32, 32, (unsigned char *) data, true);
        image.SetMaskColour(230, 230, 230);
        wxBitmap bitmap(image);
        return bitmap;
    }
    if (index == 6)
    {
        static const unsigned char data[] =
        {
            230, 230, 230, 86, 102, 117, 86, 102, 117, 86, 102, 117, 86, 102, 117, 86, 102, 117, 76, 93, 108, 76, 93, 108, 76,
            93, 108, 76, 93, 108, 67, 79, 91, 67, 79, 91, 67, 79, 91, 57, 68, 78, 48, 57, 65, 230, 230, 230, 230, 230,
            230, 86, 102, 117, 172, 195, 217, 172, 195, 217, 172, 195, 217, 172, 195, 217, 172, 195, 217, 164, 188, 211, 164, 188, 211,
            164, 188, 211, 164, 188, 211, 164, 188, 211, 158, 183, 209, 150, 179, 207, 48, 57, 65, 230, 230, 230, 230, 230, 230, 86,
            102, 117, 172, 195, 217, 245, 248, 250, 200, 215, 229, 181, 201, 220, 181, 201, 220, 181, 201, 220, 172, 195, 217, 164, 188,
            211, 158, 183, 209, 150, 179, 207, 150, 179, 207, 150, 179, 207, 48, 57, 65, 230, 230, 230, 230, 230, 230, 86, 102, 117,
            172, 194, 215, 213, 224, 235, 65, 255, 65, 207, 255, 207, 91, 227, 76, 115, 135, 155, 172, 194, 215, 164, 188, 211, 155,
            180, 204, 150, 179, 207, 143, 172, 200, 141, 170, 198, 48, 57, 65, 230, 230, 230, 230, 230, 230, 86, 102, 117, 171, 191,
            211, 198, 212, 226, 93, 227, 93, 93, 227, 93, 103, 217, 102, 106, 126, 146, 172, 194, 215, 164, 188, 211, 155, 180, 204,
            141, 170, 198, 137, 167, 196, 135, 165, 194, 48, 57, 65, 230, 230, 230, 230, 230, 230, 86, 102, 117, 164, 188, 211, 182,
            197, 211, 76, 93, 108, 76, 93, 108, 76, 93, 108, 87, 105, 123, 171, 191, 211, 155, 180, 204, 150, 179, 207, 135, 165,
            194, 132, 162, 191, 132, 162, 191, 48, 57, 65, 230, 230, 230, 230, 230, 230, 86, 102, 117, 164, 188, 211, 245, 247, 250,
            194, 209, 223, 172, 194, 215, 171, 191, 211, 171, 191, 211, 164, 188, 211, 155, 180, 204, 146, 171, 195, 129, 158, 188, 126,
            156, 186, 126, 156, 186, 48, 57, 65, 230, 230, 230, 230, 230, 230, 76, 93, 108, 164, 184, 203, 220, 228, 236, 255, 255,
            0, 255, 255, 191, 211, 221, 70, 106, 126, 146, 155, 180, 204, 150, 179, 207, 137, 167, 196, 124, 153, 181, 116, 149, 179,
            116, 149, 179, 48, 57, 65, 230, 230, 230, 230, 230, 230, 76, 93, 108, 164, 184, 203, 190, 205, 219, 211, 221, 70, 211,
            221, 70, 193, 207, 93, 93, 113, 133, 155, 180, 204, 137, 167, 196, 129, 158, 188, 116, 149, 179, 116, 149, 179, 101, 133,
            162, 48, 57, 65, 230, 230, 230, 230, 230, 230, 76, 93, 108, 155, 178, 198, 164, 184, 203, 67, 82, 98, 67, 82, 98,
            67, 82, 98, 67, 82, 98, 146, 171, 195, 137, 163, 189, 124, 153, 181, 109, 140, 169, 97, 128, 157, 78, 97, 116, 48,
            57, 65, 230, 230, 230, 230, 230, 230, 76, 93, 108, 146, 171, 195, 232, 237, 242, 182, 197, 211, 155, 178, 198, 155, 178,
            198, 146, 171, 195, 146, 171, 195, 86, 102, 117, 86, 102, 117, 67, 79, 91, 57, 68, 78, 48, 57, 65, 48, 57, 65,
            230, 230, 230, 230, 230, 230, 67, 79, 91, 142, 163, 182, 212, 221, 229, 255, 124, 124, 255, 222, 222, 195, 63, 76, 93,
            113, 133, 129, 158, 188, 86, 102, 117, 181, 201, 220, 164, 184, 203, 106, 132, 156, 68, 86, 104, 68, 86, 104, 230, 230,
            230, 230, 230, 230, 67, 79, 91, 126, 152, 175, 175, 191, 205, 195, 63, 76, 195, 63, 76, 175, 84, 101, 78, 97, 116,
            124, 153, 181, 67, 79, 91, 164, 184, 203, 116, 140, 163, 87, 115, 143, 48, 57, 65, 230, 230, 230, 230, 230, 230, 230,
            230, 230, 67, 79, 91, 116, 140, 163, 142, 163, 182, 50, 62, 74, 50, 62, 74, 50, 62, 74, 50, 62, 74, 82, 108,
            138, 57, 68, 78, 106, 132, 156, 87, 115, 143, 48, 57, 65, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230,
            57, 68, 78, 106, 132, 156, 96, 124, 151, 93, 121, 149, 90, 118, 146, 87, 115, 143, 80, 105, 132, 67, 82, 98, 48,
            57, 65, 68, 86, 104, 48, 57, 65, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 48, 57,
            65, 48, 57, 65, 48, 57, 65, 48, 57, 65, 48, 57, 65, 48, 57, 65, 48, 57, 65, 48, 57, 65, 48, 57, 65,
            68, 86, 104, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230
                };
        wxImage image(16, 16, (unsigned char *) data, true);
        image.SetMaskColour(230, 230, 230);
        wxBitmap bitmap(image);
        return bitmap;
    }
    if (index == 7)
    {
        static const unsigned char data[] =
        {
            137, 170, 33, 137, 170, 33, 137, 170, 33, 137, 170, 33, 137, 170, 33, 121, 151, 29, 121, 151, 29, 121, 151, 29, 121,
            151, 29, 107, 133, 26, 107, 133, 26, 107, 133, 26, 91, 113, 22, 75, 93, 22, 230, 230, 230, 230, 230, 230, 137, 170,
            33, 210, 233, 138, 210, 233, 138, 210, 233, 138, 210, 233, 138, 210, 233, 138, 210, 233, 138, 210, 233, 138, 210, 233, 138,
            208, 232, 133, 208, 232, 133, 207, 231, 131, 204, 230, 123, 75, 93, 22, 230, 230, 230, 230, 230, 230, 137, 170, 33, 208,
            232, 133, 208, 232, 133, 208, 232, 133, 164, 183, 112, 66, 77, 91, 66, 77, 91, 66, 77, 91, 120, 137, 106, 164, 185,
            117, 204, 230, 123, 204, 230, 123, 202, 229, 118, 75, 93, 22, 230, 230, 230, 230, 230, 230, 137, 170, 33, 207, 231, 131,
            207, 231, 131, 164, 185, 117, 69, 81, 95, 88, 118, 138, 100, 147, 170, 98, 138, 162, 80, 104, 123, 67, 71, 82, 136,
            152, 92, 197, 226, 117, 200, 228, 111, 75, 93, 22, 230, 230, 230, 230, 230, 230, 137, 170, 33, 207, 231, 131, 204, 230,
            123, 75, 93, 109, 108, 123, 138, 100, 147, 170, 143, 211, 236, 139, 202, 231, 111, 165, 193, 118, 150, 174, 83, 98, 112,
            136, 152, 92, 191, 220, 102, 75, 93, 22, 230, 230, 230, 230, 230, 230, 137, 170, 33, 204, 230, 123, 204, 230, 123, 83,
            98, 112, 177, 189, 204, 84, 142, 168, 213, 255, 255, 228, 248, 255, 139, 225, 255, 117, 190, 222, 114, 155, 181, 75, 93,
            109, 169, 198, 93, 75, 93, 22, 230, 230, 230, 230, 230, 230, 137, 170, 33, 202, 229, 118, 202, 229, 118, 83, 98, 112,
            217, 227, 241, 119, 141, 157, 121, 192, 222, 213, 255, 255, 193, 238, 255, 130, 220, 255, 122, 194, 226, 91, 127, 149, 127,
            150, 91, 75, 93, 22, 230, 230, 230, 230, 230, 230, 121, 151, 29, 202, 229, 118, 202, 229, 118, 83, 98, 112, 200, 207,
            222, 185, 194, 209, 86, 135, 161, 127, 200, 224, 176, 238, 255, 153, 230, 255, 134, 212, 244, 121, 179, 208, 75, 93, 109,
            75, 92, 29, 230, 230, 230, 230, 230, 230, 121, 151, 29, 198, 227, 108, 198, 227, 108, 155, 182, 100, 128, 140, 154, 225,
            234, 249, 177, 189, 204, 98, 138, 162, 103, 157, 182, 130, 193, 220, 126, 199, 232, 111, 163, 191, 75, 93, 109, 75, 92,
            29, 230, 230, 230, 230, 230, 230, 121, 151, 29, 198, 227, 108, 192, 224, 94, 190, 223, 89, 140, 166, 96, 135, 149, 164,
            210, 218, 235, 193, 201, 218, 147, 163, 180, 120, 147, 167, 109, 140, 161, 95, 121, 139, 119, 141, 157, 80, 94, 24, 230,
            230, 230, 230, 230, 230, 121, 151, 29, 188, 222, 84, 188, 222, 84, 186, 221, 76, 186, 221, 76, 142, 170, 86, 106, 116,
            130, 137, 150, 166, 173, 183, 199, 143, 152, 169, 106, 116, 130, 106, 116, 130, 222, 245, 249, 139, 96, 85, 230, 230, 230,
            230, 230, 230, 107, 133, 26, 186, 221, 76, 186, 221, 76, 182, 219, 67, 182, 219, 67, 180, 218, 60, 161, 196, 63, 129,
            157, 80, 92, 106, 120, 89, 103, 117, 152, 175, 112, 101, 107, 83, 161, 131, 156, 243, 178, 184, 189, 54, 95, 230, 230,
            230, 107, 133, 26, 182, 219, 67, 180, 218, 60, 178, 217, 55, 178, 217, 55, 170, 212, 41, 170, 212, 41, 164, 204, 42,
            100, 124, 34, 184, 212, 104, 178, 215, 61, 150, 185, 41, 79, 54, 62, 194, 63, 99, 252, 171, 180, 189, 54, 95, 107,
            133, 26, 178, 217, 55, 170, 212, 41, 170, 212, 41, 170, 212, 41, 165, 205, 39, 165, 205, 39, 149, 185, 36, 91, 113,
            22, 170, 212, 41, 155, 193, 37, 75, 93, 22, 230, 230, 230, 102, 24, 56, 185, 42, 83, 245, 151, 164, 91, 113, 22,
            170, 212, 41, 164, 204, 42, 165, 205, 39, 155, 193, 37, 155, 193, 37, 143, 178, 34, 115, 143, 28, 75, 93, 22, 117,
            145, 28, 75, 93, 22, 230, 230, 230, 230, 230, 230, 230, 230, 230, 110, 26, 58, 185, 42, 83, 75, 93, 22, 75, 93,
            22, 75, 93, 22, 75, 93, 22, 75, 93, 22, 75, 93, 22, 75, 93, 22, 75, 93, 22, 75, 93, 22, 117, 145, 28,
            230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 127, 7, 46
                };
        wxImage image(16, 16, (unsigned char *) data, true);
        image.SetMaskColour(230, 230, 230);
        wxBitmap bitmap(image);
        return bitmap;
    }
    if (index == 8)
    {
        static const unsigned char data[] =
        {
            230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 80, 95, 109, 80, 95, 109, 76, 90, 102, 76, 90, 102, 65,
            77, 88, 65, 77, 88, 65, 77, 88, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230,
            230, 86, 102, 117, 86, 102, 117, 86, 102, 117, 102, 117, 130, 102, 117, 130, 95, 110, 122, 95, 110, 122, 95, 110, 122,
            86, 102, 117, 80, 95, 109, 65, 77, 88, 65, 77, 88, 65, 77, 88, 230, 230, 230, 230, 230, 230, 86, 102, 117, 141,
            153, 164, 125, 139, 150, 109, 121, 132, 109, 121, 132, 109, 121, 132, 102, 117, 130, 102, 117, 130, 102, 117, 130, 101, 113,
            124, 95, 110, 122, 88, 102, 113, 76, 90, 102, 48, 57, 65, 230, 230, 230, 230, 230, 230, 86, 102, 117, 255, 255, 255,
            204, 212, 219, 180, 190, 198, 141, 153, 164, 118, 133, 147, 109, 121, 132, 109, 121, 132, 109, 121, 132, 102, 117, 130, 90,
            105, 118, 76, 90, 102, 63, 75, 86, 48, 57, 65, 230, 230, 230, 230, 230, 230, 80, 95, 109, 255, 255, 255, 230, 234,
            237, 196, 204, 211, 181, 190, 200, 161, 173, 185, 125, 139, 150, 101, 113, 124, 126, 141, 154, 118, 130, 143, 76, 90, 102,
            69, 82, 94, 63, 75, 86, 48, 57, 65, 230, 230, 230, 230, 230, 230, 80, 95, 109, 243, 245, 246, 230, 234, 237, 196,
            204, 211, 181, 190, 200, 161, 173, 185, 125, 139, 150, 90, 105, 118, 161, 172, 182, 118, 130, 143, 76, 90, 102, 69, 82,
            94, 63, 75, 86, 48, 57, 65, 230, 230, 230, 230, 230, 230, 80, 95, 109, 243, 245, 246, 196, 204, 211, 196, 204, 211,
            181, 190, 200, 161, 173, 185, 125, 139, 150, 78, 93, 106, 212, 219, 225, 126, 141, 154, 76, 90, 102, 69, 82, 94, 63,
            75, 86, 48, 57, 65, 230, 230, 230, 230, 230, 230, 80, 95, 109, 230, 234, 237, 76, 90, 102, 224, 228, 233, 171, 181,
            189, 161, 173, 185, 125, 139, 150, 76, 90, 102, 212, 219, 225, 118, 130, 143, 76, 90, 102, 69, 82, 94, 63, 75, 86,
            48, 57, 65, 230, 230, 230, 230, 230, 230, 76, 90, 102, 230, 234, 237, 180, 190, 198, 196, 204, 211, 65, 77, 88, 208,
            214, 220, 76, 146, 96, 21, 198, 29, 175, 228, 185, 109, 121, 132, 27, 20, 100, 27, 20, 100, 27, 20, 100, 22, 16,
            81, 230, 230, 230, 230, 230, 230, 76, 90, 102, 217, 223, 228, 58, 70, 79, 217, 223, 228, 158, 168, 178, 161, 173, 185,
            63, 167, 81, 65, 255, 65, 148, 204, 165, 27, 20, 100, 73, 120, 255, 97, 138, 255, 73, 120, 255, 14, 43, 177, 20,
            15, 75, 230, 230, 230, 76, 90, 102, 217, 223, 228, 180, 190, 198, 196, 204, 211, 45, 53, 61, 196, 204, 211, 65, 146,
            87, 48, 143, 65, 27, 20, 100, 73, 120, 255, 97, 138, 255, 255, 255, 255, 255, 255, 255, 49, 102, 255, 14, 43, 177,
            20, 15, 75, 76, 90, 102, 217, 223, 228, 45, 53, 61, 212, 219, 225, 158, 168, 178, 161, 173, 185, 114, 105, 105, 202,
            79, 85, 27, 20, 100, 97, 138, 255, 97, 138, 255, 97, 138, 255, 97, 138, 255, 73, 120, 255, 0, 66, 255, 20, 15,
            75, 76, 90, 102, 171, 181, 189, 204, 212, 219, 196, 204, 211, 45, 53, 61, 187, 196, 204, 126, 88, 99, 255, 0, 10,
            27, 20, 100, 49, 102, 255, 97, 138, 255, 255, 255, 255, 255, 255, 255, 49, 102, 255, 0, 66, 255, 20, 15, 75, 76,
            90, 102, 76, 90, 102, 109, 121, 132, 141, 153, 164, 161, 173, 185, 161, 173, 185, 114, 105, 105, 138, 84, 93, 22, 16,
            81, 14, 43, 177, 37, 93, 255, 255, 255, 255, 255, 255, 255, 0, 66, 255, 14, 43, 177, 20, 15, 75, 230, 230, 230,
            230, 230, 230, 65, 77, 88, 65, 77, 88, 65, 77, 88, 101, 113, 124, 118, 130, 143, 76, 90, 102, 118, 133, 147, 20,
            15, 75, 14, 43, 177, 0, 66, 255, 0, 66, 255, 14, 43, 177, 20, 15, 75, 230, 230, 230, 230, 230, 230, 230, 230,
            230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 65, 77, 88, 65, 77, 88, 65, 77, 88, 65, 77, 88, 65, 77, 88,
            25, 21, 67, 20, 15, 75, 20, 15, 75, 20, 15, 75, 230, 230, 230, 230, 230, 230
                };
        wxImage image(16, 16, (unsigned char *) data, true);
        image.SetMaskColour(230, 230, 230);
        wxBitmap bitmap(image);
        return bitmap;
    }
    if (index == 9)
    {
        static const unsigned char data[] =
        {
            230, 230, 230, 0, 81, 156, 0, 81, 156, 0, 81, 156, 230, 230, 230, 0, 81, 156, 0, 81, 156, 0, 81, 156, 230,
            230, 230, 0, 71, 139, 0, 71, 139, 0, 71, 139, 230, 230, 230, 0, 71, 139, 0, 64, 125, 0, 53, 107, 230, 230,
            230, 0, 81, 156, 168, 199, 228, 184, 207, 227, 0, 81, 156, 180, 205, 227, 168, 199, 228, 174, 202, 228, 0, 81, 156,
            168, 199, 228, 168, 199, 228, 160, 196, 228, 0, 71, 139, 160, 196, 228, 168, 199, 228, 0, 53, 107, 230, 230, 230, 0,
            81, 156, 228, 237, 245, 0, 81, 156, 230, 230, 230, 0, 81, 156, 219, 233, 246, 0, 81, 156, 230, 230, 230, 0, 81,
            156, 206, 227, 246, 0, 71, 139, 230, 230, 230, 0, 71, 139, 191, 220, 247, 0, 53, 107, 230, 230, 230, 0, 81, 156,
            228, 237, 245, 152, 188, 220, 0, 81, 156, 149, 187, 220, 236, 244, 252, 149, 187, 220, 0, 81, 156, 143, 184, 221, 220,
            237, 252, 140, 182, 221, 0, 71, 139, 140, 182, 221, 196, 228, 252, 0, 53, 107, 230, 230, 230, 0, 81, 156, 243, 247,
            251, 243, 247, 251, 189, 214, 236, 236, 244, 252, 236, 244, 252, 230, 242, 252, 180, 210, 237, 220, 237, 252, 220, 237, 252,
            213, 235, 252, 170, 205, 237, 204, 229, 253, 196, 228, 252, 0, 53, 107, 230, 230, 230, 0, 81, 156, 236, 244, 252, 236,
            244, 252, 236, 244, 252, 236, 244, 252, 230, 242, 252, 230, 242, 252, 220, 237, 252, 220, 237, 252, 213, 235, 252, 209, 231,
            253, 204, 229, 253, 196, 228, 252, 188, 223, 253, 0, 53, 107, 230, 230, 230, 0, 81, 156, 236, 244, 252, 129, 178, 222,
            44, 125, 199, 124, 178, 226, 91, 154, 212, 44, 125, 199, 44, 125, 199, 44, 125, 199, 84, 151, 212, 112, 171, 221, 132,
            184, 230, 196, 228, 252, 181, 221, 252, 0, 53, 107, 230, 230, 230, 0, 81, 156, 230, 242, 252, 230, 242, 252, 230, 242,
            252, 230, 242, 252, 220, 237, 252, 220, 237, 252, 213, 235, 252, 213, 235, 252, 204, 229, 253, 196, 228, 252, 196, 228, 252,
            188, 223, 253, 174, 219, 251, 0, 53, 107, 230, 230, 230, 0, 81, 156, 220, 237, 252, 123, 175, 222, 91, 154, 212, 44,
            125, 199, 44, 125, 199, 44, 125, 199, 84, 151, 212, 153, 198, 236, 196, 228, 252, 189, 226, 250, 188, 223, 253, 181, 221,
            252, 163, 212, 250, 0, 53, 107, 230, 230, 230, 0, 71, 139, 213, 235, 252, 213, 235, 252, 213, 235, 252, 207, 232, 251,
            204, 229, 253, 204, 229, 253, 196, 228, 252, 196, 228, 252, 189, 226, 250, 181, 221, 252, 181, 221, 252, 171, 215, 252, 155,
            210, 250, 0, 53, 107, 230, 230, 230, 0, 71, 139, 204, 229, 253, 112, 171, 221, 84, 151, 212, 36, 122, 199, 36, 122,
            199, 76, 148, 212, 36, 122, 199, 36, 122, 199, 70, 146, 212, 96, 163, 222, 139, 195, 239, 163, 212, 250, 146, 206, 250,
            0, 53, 107, 230, 230, 230, 0, 71, 139, 196, 228, 252, 189, 226, 250, 189, 226, 250, 188, 223, 253, 181, 221, 252, 181,
            221, 252, 174, 219, 251, 174, 219, 251, 163, 212, 250, 163, 212, 250, 163, 212, 250, 155, 210, 250, 137, 202, 250, 0, 53,
            107, 230, 230, 230, 0, 62, 122, 181, 221, 252, 70, 146, 212, 36, 122, 199, 36, 122, 199, 70, 146, 212, 107, 175, 228,
            64, 143, 212, 31, 120, 199, 30, 119, 199, 61, 141, 212, 81, 158, 221, 93, 167, 228, 124, 195, 248, 0, 53, 107, 230,
            230, 230, 0, 62, 122, 149, 208, 248, 146, 206, 250, 137, 202, 250, 139, 203, 247, 139, 203, 247, 134, 203, 249, 134, 203,
            249, 134, 203, 249, 130, 199, 249, 130, 199, 249, 124, 195, 248, 117, 191, 246, 100, 179, 243, 0, 53, 107, 230, 230, 230,
            0, 62, 122, 109, 185, 242, 109, 185, 242, 109, 185, 242, 104, 181, 239, 104, 181, 239, 109, 185, 242, 109, 185, 242, 109,
            185, 242, 105, 183, 243, 100, 179, 243, 100, 179, 243, 94, 173, 241, 87, 168, 238, 0, 53, 107, 230, 230, 230, 0, 53,
            107, 0, 53, 107, 0, 53, 107, 0, 53, 107, 0, 53, 107, 0, 53, 107, 0, 53, 107, 0, 53, 107, 0, 53, 107,
            0, 53, 107, 0, 53, 107, 0, 53, 107, 0, 53, 107, 0, 53, 107, 0, 53, 107
                };
        wxImage image(16, 16, (unsigned char *) data, true);
        image.SetMaskColour(230, 230, 230);
        wxBitmap bitmap(image);
        return bitmap;
    }
    if (index == 10)
    {
        static const unsigned char data[] =
        {
            230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 36, 93, 43, 34, 83, 40, 32,
            73, 37, 32, 73, 37, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230,
            230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 36, 93, 43, 76, 161, 115, 76, 190, 130, 40, 178, 106,
            0, 114, 54, 28, 54, 31, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230,
            230, 230, 230, 230, 230, 230, 230, 230, 36, 93, 43, 76, 161, 115, 255, 255, 255, 161, 215, 181, 109, 199, 126, 0, 166,
            81, 0, 114, 54, 28, 54, 31, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230,
            230, 230, 230, 230, 230, 230, 36, 93, 43, 76, 190, 130, 185, 225, 200, 130, 202, 156, 109, 199, 126, 57, 181, 74, 0,
            166, 81, 28, 54, 31, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230,
            230, 230, 230, 230, 24, 81, 41, 40, 178, 106, 109, 199, 126, 109, 199, 126, 83, 190, 101, 57, 181, 74, 0, 166, 81,
            28, 54, 31, 28, 54, 31, 28, 54, 31, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230,
            230, 230, 13, 70, 40, 17, 131, 61, 29, 174, 77, 57, 181, 74, 57, 181, 74, 0, 166, 81, 0, 114, 54, 28, 54,
            31, 7, 92, 47, 18, 80, 43, 28, 54, 31, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 36, 93, 43,
            9, 83, 44, 28, 54, 31, 4, 127, 62, 0, 166, 81, 0, 166, 81, 0, 114, 54, 28, 54, 31, 2, 108, 52, 4,
            127, 62, 11, 105, 51, 28, 54, 31, 230, 230, 230, 230, 230, 230, 230, 230, 230, 36, 93, 43, 29, 140, 62, 10, 126,
            57, 5, 95, 48, 28, 54, 31, 28, 54, 31, 28, 54, 31, 28, 54, 31, 2, 108, 52, 29, 140, 62, 11, 105, 51,
            4, 127, 62, 28, 54, 31, 230, 230, 230, 230, 230, 230, 36, 93, 43, 118, 203, 130, 138, 211, 149, 44, 159, 67, 22,
            139, 61, 0, 114, 54, 0, 114, 54, 0, 114, 54, 22, 139, 61, 44, 159, 67, 29, 140, 62, 15, 88, 46, 4, 127,
            62, 28, 54, 31, 230, 230, 230, 230, 230, 230, 36, 93, 43, 202, 235, 208, 105, 199, 119, 50, 143, 62, 64, 175, 84,
            119, 186, 135, 92, 176, 111, 68, 168, 89, 78, 181, 96, 57, 181, 74, 29, 140, 62, 18, 80, 43, 4, 127, 62, 28,
            54, 31, 230, 230, 230, 230, 230, 230, 36, 93, 43, 138, 211, 149, 83, 190, 101, 42, 104, 50, 83, 190, 101, 236, 248,
            239, 146, 213, 159, 109, 199, 126, 88, 193, 103, 57, 181, 74, 29, 140, 62, 28, 54, 31, 4, 127, 62, 28, 54, 31,
            230, 230, 230, 230, 230, 230, 36, 93, 43, 118, 203, 130, 57, 181, 74, 34, 65, 38, 83, 190, 101, 236, 248, 239, 146,
            213, 159, 109, 199, 126, 88, 193, 103, 57, 181, 74, 29, 140, 62, 28, 54, 31, 28, 54, 31, 28, 54, 31, 230, 230,
            230, 230, 230, 230, 36, 93, 43, 91, 193, 105, 57, 181, 74, 28, 54, 31, 83, 190, 101, 218, 241, 223, 130, 207, 144,
            109, 199, 126, 88, 193, 103, 57, 181, 74, 29, 140, 62, 28, 54, 31, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230,
            230, 230, 36, 93, 43, 57, 181, 74, 57, 181, 74, 28, 54, 31, 83, 190, 101, 164, 220, 175, 118, 203, 130, 88, 193,
            103, 88, 193, 103, 53, 162, 68, 28, 54, 31, 28, 54, 31, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230,
            32, 73, 37, 57, 181, 74, 57, 181, 74, 28, 54, 31, 57, 181, 74, 124, 205, 138, 99, 195, 115, 73, 158, 85, 28,
            54, 31, 28, 54, 31, 28, 54, 31, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 32, 73,
            37, 28, 54, 31, 28, 54, 31, 230, 230, 230, 28, 54, 31, 28, 54, 31, 28, 54, 31, 28, 54, 31, 230, 230, 230,
            230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230
                };
        wxImage image(16, 16, (unsigned char *) data, true);
        image.SetMaskColour(230, 230, 230);
        wxBitmap bitmap(image);
        return bitmap;
    }
    if (index == 11)
    {
        static const unsigned char data[] =
        {
            230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230,
            230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230,
            230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230,
            142, 2, 62, 87, 2, 62, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230,
            230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 142, 2, 62, 204, 0,
            0, 191, 0, 0, 87, 2, 62, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230,
            230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 142, 2, 62, 204, 0, 0, 168, 2, 62, 168,
            2, 62, 191, 0, 0, 87, 2, 62, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230,
            230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 129, 2, 62, 178, 0, 0, 155, 2, 62, 58, 44, 104, 58, 44, 104,
            155, 2, 62, 165, 0, 0, 87, 2, 62, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230,
            230, 230, 230, 230, 230, 60, 8, 248, 158, 30, 150, 158, 30, 150, 81, 55, 175, 102, 102, 102, 102, 102, 102, 81, 55,
            175, 158, 30, 150, 158, 30, 150, 60, 8, 248, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230,
            230, 230, 230, 230, 230, 230, 60, 8, 248, 230, 230, 230, 60, 8, 248, 136, 136, 136, 136, 136, 136, 60, 8, 248, 230,
            230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230,
            230, 56, 30, 150, 51, 51, 51, 56, 30, 150, 60, 8, 248, 102, 102, 102, 102, 102, 102, 60, 8, 248, 230, 230, 230,
            230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 81,
            55, 175, 102, 102, 102, 81, 55, 175, 60, 8, 248, 51, 51, 51, 51, 51, 51, 60, 8, 248, 230, 230, 230, 230, 230,
            230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 98, 72, 192,
            136, 136, 136, 98, 72, 192, 230, 230, 230, 60, 8, 248, 60, 8, 248, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230,
            230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 62, 6, 186, 64, 4, 124, 62, 6, 186, 102, 102, 102, 102, 102,
            102, 102, 102, 102, 62, 6, 186, 64, 4, 124, 62, 6, 186, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230,
            230, 230, 230, 230, 230, 230, 230, 230, 230, 125, 22, 182, 191, 13, 13, 178, 0, 0, 98, 21, 141, 51, 51, 51, 98,
            21, 141, 178, 0, 0, 131, 0, 0, 63, 5, 165, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230,
            230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 125, 22, 182, 217, 13, 13, 204, 0, 0, 132, 4, 124, 204, 0, 0,
            144, 0, 0, 63, 5, 165, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230,
            230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 125, 22, 182, 217, 13, 13, 204, 0, 0, 144, 0, 0, 63, 5,
            165, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230,
            230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 125, 22, 182, 170, 13, 13, 63, 5, 165, 230, 230, 230, 230,
            230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230,
            230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 60, 8, 248, 230, 230, 230, 230, 230, 230, 230, 230, 230,
            230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230
                };
        wxImage image(16, 16, (unsigned char *) data, true);
        image.SetMaskColour(230, 230, 230);
        wxBitmap bitmap(image);
        return bitmap;
    }
    if (index == 12)
    {
        static const unsigned char data[] =
        {
            230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230,
            230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230,
            230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230,
            142, 2, 62, 87, 2, 62, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230,
            230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 142, 2, 62, 204, 0,
            0, 191, 0, 0, 87, 2, 62, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230,
            230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 142, 2, 62, 204, 0, 0, 168, 2, 62, 168,
            2, 62, 191, 0, 0, 87, 2, 62, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230,
            230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 129, 2, 62, 178, 0, 0, 155, 2, 62, 58, 44, 104, 58, 44, 104,
            155, 2, 62, 165, 0, 0, 87, 2, 62, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230,
            230, 230, 230, 230, 230, 60, 8, 248, 158, 30, 150, 158, 30, 150, 81, 55, 175, 102, 102, 102, 102, 102, 102, 81, 55,
            175, 158, 30, 150, 158, 30, 150, 60, 8, 248, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230,
            230, 230, 230, 230, 230, 230, 60, 8, 248, 230, 230, 230, 60, 8, 248, 136, 136, 136, 136, 136, 136, 60, 8, 248, 230,
            230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230,
            230, 56, 30, 150, 51, 51, 51, 56, 30, 150, 60, 8, 248, 102, 102, 102, 102, 102, 102, 60, 8, 248, 230, 230, 230,
            230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 81,
            55, 175, 102, 102, 102, 81, 55, 175, 60, 8, 248, 51, 51, 51, 51, 51, 51, 60, 8, 248, 230, 230, 230, 230, 230,
            230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 98, 72, 192,
            136, 136, 136, 98, 72, 192, 230, 230, 230, 60, 8, 248, 60, 8, 248, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230,
            230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 45, 27, 186, 30, 46, 124, 45, 27, 186, 102, 102, 102, 102, 102,
            102, 102, 102, 102, 45, 27, 186, 30, 46, 124, 45, 27, 186, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230,
            230, 230, 230, 230, 230, 230, 230, 230, 230, 40, 85, 165, 0, 204, 0, 0, 204, 0, 47, 80, 141, 51, 51, 51, 47,
            80, 141, 0, 204, 0, 0, 148, 0, 40, 33, 165, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230,
            230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 40, 85, 165, 0, 238, 0, 0, 238, 0, 30, 123, 124, 0, 238, 0,
            0, 166, 0, 40, 33, 165, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230,
            230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 40, 85, 165, 0, 238, 0, 0, 238, 0, 0, 166, 0, 40, 33,
            165, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230,
            230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 40, 85, 165, 0, 182, 0, 40, 33, 165, 230, 230, 230, 230,
            230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230,
            230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 60, 8, 248, 230, 230, 230, 230, 230, 230, 230, 230, 230,
            230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230
                };
        wxImage image(16, 16, (unsigned char *) data, true);
        image.SetMaskColour(230, 230, 230);
        wxBitmap bitmap(image);
        return bitmap;
    }
    if (index == 13)
    {
        static const unsigned char data[] =
        {
            230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230,
            230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230,
            230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230,
            15, 154, 62, 49, 48, 62, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230,
            230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 15, 154, 62, 0, 238,
            0, 0, 225, 0, 49, 48, 62, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230,
            230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 15, 154, 62, 0, 238, 0, 15, 154, 62, 15,
            168, 62, 0, 225, 0, 49, 48, 62, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230,
            230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 15, 142, 62, 0, 212, 0, 15, 154, 62, 58, 44, 104, 58, 44, 104,
            15, 168, 62, 0, 199, 0, 49, 48, 62, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230,
            230, 230, 230, 230, 230, 60, 8, 248, 30, 123, 124, 30, 123, 124, 81, 55, 175, 102, 102, 102, 102, 102, 102, 81, 55,
            175, 30, 123, 124, 30, 123, 124, 60, 8, 248, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230,
            230, 230, 230, 230, 230, 230, 60, 8, 248, 230, 230, 230, 60, 8, 248, 136, 136, 136, 136, 136, 136, 60, 8, 248, 230,
            230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230,
            230, 56, 30, 150, 51, 51, 51, 56, 30, 150, 60, 8, 248, 102, 102, 102, 102, 102, 102, 60, 8, 248, 230, 230, 230,
            230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 81,
            55, 175, 102, 102, 102, 81, 55, 175, 60, 8, 248, 51, 51, 51, 51, 51, 51, 60, 8, 248, 230, 230, 230, 230, 230,
            230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 98, 72, 192,
            136, 136, 136, 98, 72, 192, 230, 230, 230, 60, 8, 248, 60, 8, 248, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230,
            230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 62, 6, 186, 64, 4, 124, 62, 6, 186, 102, 102, 102, 102, 102,
            102, 102, 102, 102, 62, 6, 186, 64, 4, 124, 62, 6, 186, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230,
            230, 230, 230, 230, 230, 230, 230, 230, 230, 125, 22, 182, 191, 13, 13, 178, 0, 0, 98, 21, 141, 51, 51, 51, 98,
            21, 141, 178, 0, 0, 131, 0, 0, 63, 5, 165, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230,
            230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 125, 22, 182, 217, 13, 13, 204, 0, 0, 132, 4, 124, 204, 0, 0,
            144, 0, 0, 63, 5, 165, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230,
            230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 125, 22, 182, 217, 13, 13, 204, 0, 0, 144, 0, 0, 63, 5,
            165, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230,
            230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 125, 22, 182, 170, 13, 13, 63, 5, 165, 230, 230, 230, 230,
            230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230,
            230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 60, 8, 248, 230, 230, 230, 230, 230, 230, 230, 230, 230,
            230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230
                };
        wxImage image(16, 16, (unsigned char *) data, true);
        image.SetMaskColour(230, 230, 230);
        wxBitmap bitmap(image);
        return bitmap;
    }
    if (index == 14)
    {
        static const unsigned char data[] =
        {
            230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230,
            230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230,
            230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230,
            15, 154, 62, 49, 48, 62, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230,
            230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 15, 154, 62, 0, 238,
            0, 0, 225, 0, 49, 48, 62, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230,
            230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 15, 154, 62, 0, 238, 0, 15, 154, 62, 15,
            168, 62, 0, 225, 0, 49, 48, 62, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230,
            230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 15, 142, 62, 0, 212, 0, 15, 154, 62, 58, 44, 104, 58, 44, 104,
            15, 168, 62, 0, 199, 0, 49, 48, 62, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230,
            230, 230, 230, 230, 230, 60, 8, 248, 30, 123, 124, 30, 123, 124, 81, 55, 175, 102, 102, 102, 102, 102, 102, 81, 55,
            175, 30, 123, 124, 30, 123, 124, 60, 8, 248, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230,
            230, 230, 230, 230, 230, 230, 60, 8, 248, 230, 230, 230, 60, 8, 248, 136, 136, 136, 136, 136, 136, 60, 8, 248, 230,
            230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230,
            230, 56, 30, 150, 51, 51, 51, 56, 30, 150, 60, 8, 248, 102, 102, 102, 102, 102, 102, 60, 8, 248, 230, 230, 230,
            230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 81,
            55, 175, 102, 102, 102, 81, 55, 175, 60, 8, 248, 51, 51, 51, 51, 51, 51, 60, 8, 248, 230, 230, 230, 230, 230,
            230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 98, 72, 192,
            136, 136, 136, 98, 72, 192, 230, 230, 230, 60, 8, 248, 60, 8, 248, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230,
            230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 45, 27, 186, 30, 46, 124, 45, 27, 186, 102, 102, 102, 102, 102,
            102, 102, 102, 102, 45, 27, 186, 30, 46, 124, 45, 27, 186, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230,
            230, 230, 230, 230, 230, 230, 230, 230, 230, 40, 85, 165, 0, 212, 0, 0, 212, 0, 47, 80, 141, 51, 51, 51, 47,
            80, 141, 0, 212, 0, 0, 160, 0, 40, 33, 165, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230,
            230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 40, 85, 165, 0, 238, 0, 0, 238, 0, 30, 123, 124, 0, 238, 0,
            0, 174, 0, 40, 33, 165, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230,
            230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 40, 85, 165, 0, 238, 0, 0, 238, 0, 0, 186, 0, 40, 33,
            165, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230,
            230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 40, 85, 165, 0, 186, 0, 40, 33, 165, 230, 230, 230, 230,
            230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230,
            230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 60, 8, 248, 230, 230, 230, 230, 230, 230, 230, 230, 230,
            230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230
                };
        wxImage image(16, 16, (unsigned char *) data, true);
        image.SetMaskColour(230, 230, 230);
        wxBitmap bitmap(image);
        return bitmap;
    }
    if (index == 15)
    {
    /* XPM */
        static const char *xpm_data[] =
        {
    /* columns rows colors chars-per-pixel */
            "16 16 8 1",
            "  c None",
            "a c #808000",
            "b c #C0C0C0",
            "d c #800000",
            "e c #FFF0D4",
            "f c #FFAA25",
            "g c #008000",
            "h c #232375",
    /* pixels */
            "                ",
            "  d          dd ",
            " ddd  bbbbb dddd",
            " ddddbeebgddddd ",
            "  ddddgggdddddf ",
            "aaaddddhddddgae ",
            "  efdddddddhaef ",
            "   efdddddeaeff ",
            " aeffdddddfeff  ",
            "aeffdddddddff   ",
            "affddddhddddff  ",
            "afdddd  hdddd   ",
            "afdddg hhhddd   ",
            " dddd hhhhdddd  ",
            "  dd       dddd ",
            "             d  "
                };
        wxBitmap bitmap(xpm_data);
        return bitmap;
    }
    if (index == 16)
    {
        static const unsigned char data[] =
        {
            230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230,
            230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230,
            230, 230, 230, 230, 230, 230, 230, 55, 101, 59, 55, 101, 59, 55, 101, 59, 55, 101, 59, 55, 101, 59, 55, 101, 59,
            55, 101, 59, 55, 101, 59, 46, 69, 56, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230,
            230, 230, 230, 230, 230, 230, 230, 230, 55, 101, 59, 89, 204, 87, 202, 250, 201, 66, 211, 63, 65, 186, 63, 58, 142,
            60, 46, 69, 56, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230,
            230, 230, 230, 230, 230, 230, 230, 230, 230, 55, 101, 59, 98, 205, 96, 67, 235, 63, 58, 142, 60, 46, 69, 56, 230,
            230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 55, 101,
            59, 55, 101, 59, 55, 101, 59, 51, 87, 58, 55, 101, 59, 63, 173, 62, 46, 69, 56, 51, 87, 58, 55, 101, 59,
            55, 101, 59, 46, 69, 56, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 55,
            101, 59, 63, 173, 62, 157, 245, 155, 77, 164, 79, 46, 69, 56, 58, 142, 60, 65, 186, 63, 64, 159, 62, 46, 69,
            56, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230,
            55, 101, 59, 63, 173, 62, 202, 250, 201, 83, 165, 86, 65, 186, 63, 64, 159, 62, 46, 69, 56, 230, 230, 230, 230,
            230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 55, 101, 59, 55, 101, 59, 55, 101, 59, 55, 101, 59, 52, 89,
            58, 55, 101, 59, 63, 173, 62, 134, 242, 132, 64, 159, 62, 46, 69, 56, 52, 89, 58, 55, 101, 59, 55, 101, 59,
            57, 91, 60, 46, 69, 56, 230, 230, 230, 230, 230, 230, 55, 101, 59, 60, 158, 61, 66, 211, 63, 169, 255, 167, 104,
            184, 107, 55, 101, 59, 63, 173, 62, 46, 69, 56, 58, 142, 60, 65, 186, 63, 65, 186, 63, 64, 133, 62, 46, 69,
            56, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 55, 101, 59, 60, 158, 61, 67, 235, 63, 202, 250, 201,
            120, 184, 122, 46, 69, 56, 58, 142, 60, 65, 186, 63, 65, 186, 63, 64, 133, 62, 46, 69, 56, 230, 230, 230, 230,
            230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 55, 101, 59, 60, 158, 61, 67, 235, 63, 247, 255,
            246, 115, 181, 118, 65, 186, 63, 65, 186, 63, 64, 133, 62, 46, 69, 56, 230, 230, 230, 230, 230, 230, 230, 230, 230,
            230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 55, 101, 59, 60, 158, 61, 66, 211, 63, 188,
            249, 186, 65, 186, 63, 64, 133, 62, 46, 69, 56, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230,
            230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 55, 101, 59, 60, 158, 61, 66, 204, 63,
            65, 151, 62, 46, 69, 56, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230,
            230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 55, 101, 59, 60, 158, 61, 46, 69,
            56, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230,
            230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 46, 69, 56, 230, 230, 230, 230,
            230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230,
            230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230,
            230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230
                };
        wxImage image(16, 16, (unsigned char *) data, true);
        image.SetMaskColour(230, 230, 230);
        wxBitmap bitmap(image);
        return bitmap;
    }
    if (index == 17)
    {
        static const unsigned char data[] =
        {
            230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230,
            230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230,
            230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 46, 69, 56,
            230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230,
            230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 46, 69, 56, 60, 158, 61, 55, 101,
            59, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230,
            230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 46, 69, 56, 65, 151, 62, 66, 204, 63, 60, 158, 61, 55,
            101, 59, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230,
            230, 230, 230, 230, 230, 230, 230, 46, 69, 56, 64, 133, 62, 65, 186, 63, 188, 249, 186, 66, 211, 63, 60, 158, 61,
            55, 101, 59, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230,
            230, 230, 46, 69, 56, 64, 133, 62, 65, 186, 63, 65, 186, 63, 115, 181, 118, 247, 255, 246, 67, 235, 63, 60, 158,
            61, 55, 101, 59, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 46, 69, 56,
            64, 133, 62, 65, 186, 63, 65, 186, 63, 58, 142, 60, 46, 69, 56, 120, 184, 122, 202, 250, 201, 67, 235, 63, 60,
            158, 61, 55, 101, 59, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 46, 69, 56, 64, 133, 62, 65, 186,
            63, 65, 186, 63, 58, 142, 60, 46, 69, 56, 63, 173, 62, 55, 101, 59, 104, 184, 107, 169, 255, 167, 66, 211, 63,
            60, 158, 61, 55, 101, 59, 230, 230, 230, 230, 230, 230, 46, 69, 56, 57, 91, 60, 55, 101, 59, 55, 101, 59, 52,
            89, 58, 46, 69, 56, 64, 159, 62, 134, 242, 132, 63, 173, 62, 55, 101, 59, 52, 89, 58, 55, 101, 59, 55, 101,
            59, 55, 101, 59, 55, 101, 59, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 46, 69, 56,
            64, 159, 62, 65, 186, 63, 83, 165, 86, 202, 250, 201, 63, 173, 62, 55, 101, 59, 230, 230, 230, 230, 230, 230, 230,
            230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 46, 69, 56, 64, 159, 62, 65, 186,
            63, 58, 142, 60, 46, 69, 56, 77, 164, 79, 157, 245, 155, 63, 173, 62, 55, 101, 59, 230, 230, 230, 230, 230, 230,
            230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 46, 69, 56, 55, 101, 59, 55, 101, 59, 51, 87, 58, 46,
            69, 56, 63, 173, 62, 55, 101, 59, 51, 87, 58, 55, 101, 59, 55, 101, 59, 55, 101, 59, 230, 230, 230, 230, 230,
            230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 46, 69, 56, 58, 142, 60,
            67, 235, 63, 98, 205, 96, 55, 101, 59, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230,
            230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 46, 69, 56, 58, 142, 60, 65, 186, 63, 66, 211,
            63, 202, 250, 201, 89, 204, 87, 55, 101, 59, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230,
            230, 230, 230, 230, 230, 230, 230, 230, 230, 46, 69, 56, 55, 101, 59, 55, 101, 59, 55, 101, 59, 55, 101, 59, 55,
            101, 59, 55, 101, 59, 55, 101, 59, 55, 101, 59, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230,
            230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230,
            230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230
                };
        wxImage image(16, 16, (unsigned char *) data, true);
        image.SetMaskColour(230, 230, 230);
        wxBitmap bitmap(image);
        return bitmap;
    }
    if (index == 18)
    {
        static const unsigned char data[] =
        {
            230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230,
            230, 230, 230, 230, 230, 230, 230, 230, 13, 76, 126, 13, 76, 126, 1, 105, 180, 1, 122, 211, 0, 138, 226, 0, 138,
            226, 0, 138, 226, 1, 122, 211, 1, 105, 180, 13, 76, 126, 13, 76, 126, 230, 230, 230, 230, 230, 230, 230, 230, 230,
            230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230,
            230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230,
            230, 17, 77, 126, 0, 119, 181, 0, 138, 226, 0, 159, 255, 0, 159, 255, 173, 238, 188, 97, 219, 124, 72, 196, 96,
            0, 148, 254, 134, 217, 151, 36, 142, 135, 23, 112, 115, 17, 77, 126, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230,
            230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230,
            230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 17, 79, 128, 22, 136, 130,
            134, 217, 151, 39, 183, 104, 0, 170, 253, 0, 170, 253, 0, 165, 255, 37, 173, 108, 0, 159, 255, 134, 217, 151, 134,
            217, 151, 72, 196, 96, 92, 188, 109, 22, 136, 130, 17, 77, 126, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230,
            230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230,
            230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 17, 79, 128, 22, 136, 130, 203, 245, 212, 43, 209, 108, 0,
            197, 250, 0, 190, 251, 0, 177, 249, 135, 231, 157, 37, 173, 108, 0, 159, 255, 135, 231, 157, 50, 186, 77, 50, 181,
            75, 49, 173, 75, 43, 153, 79, 7, 103, 147, 17, 77, 126, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230,
            230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230,
            230, 230, 230, 230, 230, 230, 230, 230, 17, 77, 126, 203, 245, 212, 43, 209, 108, 23, 170, 177, 0, 207, 250, 0, 211,
            249, 0, 200, 246, 43, 209, 108, 0, 177, 249, 0, 170, 253, 173, 238, 188, 50, 199, 82, 50, 186, 77, 50, 181, 75,
            33, 142, 101, 23, 112, 115, 7, 76, 127, 79, 57, 36, 110, 58, 6, 110, 58, 6, 110, 58, 6, 230, 230, 230, 230,
            230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230,
            230, 17, 79, 128, 103, 157, 163, 43, 209, 108, 23, 170, 177, 0, 228, 251, 18, 223, 250, 4, 221, 249, 0, 211, 249,
            0, 197, 250, 0, 181, 247, 147, 249, 172, 135, 231, 157, 50, 199, 82, 50, 199, 82, 50, 186, 77, 42, 159, 88, 1,
            122, 211, 0, 84, 151, 4, 60, 108, 87, 46, 7, 87, 46, 7, 115, 61, 11, 110, 58, 6, 230, 230, 230, 230, 230,
            230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 8, 82, 134,
            72, 196, 96, 23, 170, 177, 0, 209, 247, 0, 228, 251, 163, 241, 253, 63, 226, 250, 0, 211, 249, 0, 200, 246, 0,
            184, 246, 0, 177, 249, 97, 219, 124, 37, 173, 108, 44, 181, 92, 50, 186, 77, 49, 173, 75, 33, 142, 101, 1, 105,
            180, 4, 57, 97, 72, 51, 31, 108, 57, 9, 151, 99, 44, 170, 116, 59, 110, 58, 6, 230, 230, 230, 230, 230, 230,
            230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 74, 69, 60, 2, 107, 161, 41, 176, 97, 0,
            197, 250, 0, 207, 250, 4, 221, 249, 46, 222, 250, 18, 223, 250, 0, 211, 249, 203, 245, 212, 147, 249, 172, 173, 238,
            188, 50, 229, 94, 22, 136, 130, 0, 148, 254, 33, 142, 101, 42, 159, 88, 43, 153, 79, 0, 84, 158, 4, 57, 97,
            79, 57, 36, 163, 107, 53, 181, 128, 68, 181, 128, 68, 110, 58, 6, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230,
            230, 230, 230, 230, 230, 230, 230, 230, 133, 74, 20, 70, 74, 74, 1, 93, 157, 0, 160, 238, 0, 190, 251, 0, 200,
            246, 0, 211, 249, 0, 211, 249, 0, 211, 249, 0, 211, 249, 147, 249, 172, 51, 239, 96, 50, 229, 94, 31, 160, 121,
            0, 159, 255, 0, 148, 254, 0, 137, 246, 0, 119, 226, 37, 127, 55, 23, 86, 45, 36, 60, 80, 163, 107, 53, 190,
            140, 78, 181, 128, 68, 181, 128, 68, 159, 104, 49, 110, 58, 6, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230,
            230, 138, 83, 30, 179, 123, 67, 44, 45, 43, 2, 67, 115, 71, 142, 91, 0, 153, 211, 0, 183, 236, 0, 197, 241,
            0, 197, 241, 0, 200, 246, 0, 200, 246, 93, 241, 128, 50, 229, 94, 39, 183, 104, 22, 136, 130, 0, 147, 239, 0,
            134, 230, 0, 119, 200, 0, 84, 158, 4, 57, 97, 50, 70, 48, 170, 116, 59, 197, 142, 84, 195, 140, 79, 187, 132,
            74, 181, 128, 68, 181, 128, 68, 110, 58, 6, 230, 230, 230, 230, 230, 230, 230, 230, 230, 147, 92, 38, 187, 132, 74,
            110, 58, 6, 44, 45, 43, 0, 25, 43, 23, 86, 45, 26, 106, 51, 0, 119, 181, 0, 140, 191, 0, 152, 202, 0,
            152, 202, 0, 153, 211, 0, 153, 211, 33, 142, 101, 23, 112, 115, 0, 119, 200, 1, 105, 180, 1, 93, 157, 4, 57,
            97, 0, 45, 87, 36, 60, 80, 179, 123, 67, 212, 156, 94, 203, 148, 87, 203, 148, 87, 190, 140, 78, 187, 132, 74,
            110, 58, 6, 230, 230, 230, 230, 230, 230, 230, 230, 230, 147, 92, 38, 197, 150, 86, 110, 58, 6, 125, 72, 20, 44,
            45, 43, 2, 42, 70, 60, 89, 65, 23, 86, 45, 26, 106, 51, 7, 103, 147, 2, 107, 161, 0, 119, 171, 0, 119,
            171, 0, 119, 171, 0, 119, 171, 2, 107, 161, 0, 92, 150, 7, 76, 127, 2, 67, 115, 4, 57, 97, 36, 60, 80,
            170, 116, 59, 218, 170, 117, 212, 156, 94, 202, 157, 91, 203, 148, 87, 197, 142, 84, 110, 58, 6, 230, 230, 230, 230,
            230, 230, 230, 230, 230, 147, 92, 38, 207, 157, 99, 133, 74, 20, 197, 142, 84, 197, 142, 84, 197, 142, 84, 197, 142,
            84, 197, 142, 84, 195, 140, 79, 195, 140, 79, 190, 140, 78, 195, 140, 79, 195, 140, 79, 195, 140, 79, 195, 140, 79,
            187, 132, 74, 195, 140, 79, 195, 140, 79, 195, 140, 79, 195, 140, 79, 187, 132, 74, 151, 99, 44, 218, 170, 117, 224,
            183, 138, 216, 164, 107, 212, 156, 94, 197, 142, 84, 110, 58, 6, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230,
            230, 230, 230, 230, 133, 74, 20, 218, 170, 117, 218, 170, 117, 218, 170, 117, 216, 164, 107, 216, 164, 107, 214, 161, 101,
            214, 161, 101, 214, 161, 101, 214, 161, 101, 212, 156, 94, 212, 156, 94, 212, 156, 94, 212, 156, 94, 212, 156, 94, 212,
            156, 94, 212, 156, 94, 212, 156, 94, 187, 132, 74, 110, 58, 6, 110, 58, 6, 202, 157, 91, 229, 199, 159, 218, 170,
            117, 203, 148, 87, 110, 58, 6, 110, 58, 6, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 133, 74, 20,
            218, 170, 117, 227, 189, 147, 218, 170, 117, 218, 170, 117, 218, 170, 117, 216, 164, 107, 216, 164, 107, 214, 161, 101, 214,
            161, 101, 214, 161, 101, 214, 161, 101, 212, 156, 94, 212, 156, 94, 212, 156, 94, 212, 156, 94, 212, 156, 94, 212, 156,
            94, 187, 132, 74, 110, 58, 6, 142, 86, 33, 124, 67, 11, 134, 81, 28, 218, 170, 117, 214, 161, 101, 110, 58, 6,
            125, 72, 20, 110, 58, 6, 230, 230, 230, 230, 230, 230, 230, 230, 230, 133, 74, 20, 218, 181, 124, 242, 224, 204, 255,
            255, 255, 242, 224, 204, 229, 199, 159, 227, 189, 147, 227, 189, 147, 227, 189, 147, 218, 181, 124, 218, 181, 124, 218, 181,
            124, 218, 170, 117, 218, 170, 117, 218, 170, 117, 218, 170, 117, 218, 170, 117, 216, 164, 107, 202, 149, 90, 110, 58, 6,
            147, 92, 38, 170, 116, 59, 131, 76, 25, 110, 58, 6, 214, 161, 101, 110, 58, 6, 125, 72, 20, 131, 76, 25, 110,
            58, 6, 230, 230, 230, 230, 230, 230, 230, 230, 230, 133, 74, 20, 133, 74, 20, 133, 74, 20, 124, 67, 11, 124, 67,
            11, 124, 67, 11, 124, 67, 11, 124, 67, 11, 115, 61, 11, 115, 61, 11, 115, 61, 11, 115, 61, 11, 115, 61, 11,
            115, 61, 11, 110, 58, 6, 113, 58, 5, 110, 58, 6, 110, 58, 6, 110, 58, 6, 153, 97, 43, 163, 107, 53, 159,
            104, 49, 153, 97, 43, 115, 61, 11, 110, 58, 6, 125, 72, 20, 131, 76, 25, 142, 86, 33, 110, 58, 6, 230, 230,
            230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 110, 58, 6, 170, 116, 59, 170, 116, 59,
            170, 116, 59, 170, 116, 59, 170, 116, 59, 170, 116, 59, 170, 116, 59, 170, 116, 59, 170, 116, 59, 170, 116, 59, 170,
            116, 59, 170, 116, 59, 170, 116, 59, 170, 116, 59, 170, 116, 59, 170, 116, 59, 163, 107, 53, 163, 107, 53, 153, 97,
            43, 131, 76, 25, 125, 72, 20, 131, 76, 25, 142, 86, 33, 142, 86, 33, 110, 58, 6, 230, 230, 230, 230, 230, 230,
            230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 124, 67, 11, 179, 123, 67, 181, 128, 68, 179, 123, 67, 179,
            123, 67, 179, 123, 67, 179, 123, 67, 179, 123, 67, 179, 123, 67, 153, 100, 51, 153, 100, 51, 179, 123, 67, 170, 116,
            59, 170, 116, 59, 170, 116, 59, 170, 116, 59, 170, 116, 59, 170, 116, 59, 163, 107, 53, 153, 97, 43, 153, 97, 43,
            131, 76, 25, 147, 92, 38, 142, 86, 33, 142, 86, 33, 110, 58, 6, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230,
            230, 230, 230, 230, 230, 230, 230, 230, 133, 74, 20, 187, 132, 74, 190, 140, 78, 190, 140, 78, 190, 140, 78, 190, 140,
            78, 187, 132, 74, 170, 116, 59, 110, 58, 6, 230, 230, 230, 113, 58, 5, 98, 55, 23, 156, 109, 59, 181, 128, 68,
            179, 123, 67, 179, 123, 67, 179, 123, 67, 179, 123, 67, 163, 107, 53, 153, 97, 43, 153, 97, 43, 147, 92, 38, 147,
            92, 38, 142, 86, 33, 142, 86, 33, 110, 58, 6, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230,
            230, 230, 230, 230, 131, 76, 25, 190, 140, 78, 196, 149, 89, 195, 140, 79, 190, 140, 78, 190, 140, 78, 190, 140, 78,
            113, 58, 5, 98, 55, 23, 118, 73, 34, 137, 90, 46, 113, 58, 5, 181, 128, 68, 181, 128, 68, 181, 128, 68, 181,
            128, 68, 179, 123, 67, 179, 123, 67, 163, 107, 53, 153, 97, 43, 153, 97, 43, 147, 92, 38, 147, 92, 38, 142, 86,
            33, 142, 86, 33, 110, 58, 6, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230,
            138, 83, 30, 190, 140, 78, 207, 166, 104, 197, 150, 86, 197, 150, 86, 197, 142, 84, 195, 140, 79, 110, 58, 6, 230,
            230, 230, 146, 99, 52, 181, 128, 68, 187, 132, 74, 181, 128, 68, 181, 128, 68, 181, 128, 68, 181, 128, 68, 179, 123,
            67, 179, 123, 67, 163, 107, 53, 153, 97, 43, 153, 97, 43, 147, 92, 38, 147, 92, 38, 142, 86, 33, 142, 86, 33,
            110, 58, 6, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 138, 83, 30, 197,
            150, 86, 212, 176, 123, 202, 157, 91, 199, 153, 89, 197, 152, 87, 197, 150, 86, 135, 90, 46, 113, 58, 5, 110, 67,
            30, 113, 58, 5, 141, 93, 48, 187, 132, 74, 187, 132, 74, 187, 132, 74, 187, 132, 74, 187, 132, 74, 187, 132, 74,
            163, 107, 53, 153, 97, 43, 153, 97, 43, 147, 92, 38, 147, 92, 38, 142, 86, 33, 131, 76, 25, 110, 58, 6, 230,
            230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 138, 83, 30, 197, 150, 86, 219, 185,
            132, 202, 157, 91, 202, 157, 91, 202, 157, 91, 199, 153, 89, 197, 152, 87, 166, 118, 65, 146, 99, 52, 230, 230, 230,
            124, 67, 11, 146, 99, 52, 187, 132, 74, 187, 132, 74, 187, 132, 74, 187, 132, 74, 187, 132, 74, 163, 107, 53, 153,
            97, 43, 153, 97, 43, 147, 92, 38, 147, 92, 38, 131, 76, 25, 110, 58, 6, 230, 230, 230, 230, 230, 230, 230, 230,
            230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 138, 83, 30, 207, 157, 99, 224, 194, 146, 212, 170, 109,
            207, 166, 104, 205, 162, 98, 205, 162, 98, 178, 133, 78, 196, 149, 89, 197, 152, 87, 159, 114, 64, 230, 230, 230, 146,
            99, 52, 190, 140, 78, 190, 140, 78, 190, 140, 78, 190, 140, 78, 187, 132, 74, 163, 107, 53, 153, 97, 43, 153, 97,
            43, 147, 92, 38, 131, 76, 25, 110, 58, 6, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230,
            230, 230, 230, 230, 230, 230, 230, 230, 230, 144, 83, 24, 215, 177, 119, 229, 199, 159, 218, 181, 124, 212, 170, 109, 212,
            170, 109, 207, 157, 99, 151, 99, 44, 143, 100, 54, 156, 109, 59, 135, 90, 46, 230, 230, 230, 166, 118, 65, 197, 142,
            84, 190, 140, 78, 190, 140, 78, 190, 140, 78, 187, 132, 74, 163, 107, 53, 153, 97, 43, 153, 97, 43, 131, 76, 25,
            110, 58, 6, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230,
            230, 230, 230, 230, 230, 138, 83, 30, 222, 190, 138, 234, 214, 181, 222, 190, 138, 219, 184, 126, 214, 174, 113, 207, 166,
            104, 183, 140, 84, 230, 230, 230, 113, 58, 5, 230, 230, 230, 176, 127, 73, 197, 142, 84, 197, 142, 84, 197, 142, 84,
            197, 142, 84, 197, 142, 84, 197, 142, 84, 163, 107, 53, 153, 97, 43, 131, 76, 25, 110, 58, 6, 230, 230, 230, 230,
            230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230,
            230, 144, 83, 24, 229, 199, 159, 245, 234, 217, 229, 199, 159, 219, 185, 132, 218, 181, 124, 214, 174, 113, 212, 170, 109,
            212, 170, 109, 214, 161, 101, 207, 157, 99, 202, 157, 91, 202, 149, 90, 202, 149, 90, 197, 150, 86, 197, 150, 86, 197,
            150, 86, 197, 142, 84, 113, 58, 5, 113, 58, 5, 110, 58, 6, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230,
            230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 139, 78, 21,
            113, 58, 5, 113, 58, 5, 113, 58, 5, 113, 58, 5, 113, 58, 5, 113, 58, 5, 113, 58, 5, 113, 58, 5, 113,
            58, 5, 113, 58, 5, 113, 58, 5, 113, 58, 5, 113, 58, 5, 113, 58, 5, 113, 58, 5, 113, 58, 5, 113, 58,
            5, 113, 58, 5, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230,
            230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230,
            230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230,
            230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230,
            230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230,
            230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230,
            230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230,
            230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230,
            230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230,
            230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230,
            230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230,
            230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230,
            230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230
                };
        wxImage image(32, 32, (unsigned char *) data, true);
        image.SetMaskColour(230, 230, 230);
        wxBitmap bitmap(image);
        return bitmap;
    }
    if (index == 19)
    {
        static const unsigned char data[] =
        {
            230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230,
            230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230,
            230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230,
            230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230,
            230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230,
            230, 230, 230, 230, 0, 60, 131, 0, 60, 131, 0, 60, 131, 0, 60, 131, 0, 60, 131, 0, 57, 124, 0, 57, 124,
            0, 57, 124, 0, 57, 124, 0, 57, 124, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230,
            230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230,
            230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 0, 60, 131, 0, 60, 131, 0, 60, 131,
            21, 88, 167, 59, 149, 219, 84, 175, 237, 116, 194, 250, 126, 198, 251, 131, 201, 251, 126, 198, 251, 117, 184, 238, 113,
            166, 218, 36, 95, 159, 0, 57, 124, 0, 53, 114, 0, 53, 114, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230,
            230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230,
            230, 230, 230, 230, 230, 230, 0, 63, 138, 0, 60, 131, 27, 101, 174, 73, 151, 216, 117, 188, 243, 149, 204, 251, 156,
            209, 251, 190, 225, 253, 190, 225, 253, 190, 225, 253, 190, 225, 253, 190, 225, 253, 190, 225, 253, 180, 217, 247, 175, 213,
            243, 157, 197, 238, 113, 166, 218, 52, 101, 155, 0, 53, 114, 0, 53, 114, 230, 230, 230, 230, 230, 230, 230, 230, 230,
            230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 0, 64, 139, 0,
            63, 138, 39, 116, 196, 73, 151, 216, 142, 195, 253, 181, 220, 251, 212, 235, 254, 231, 244, 255, 253, 255, 255, 253, 255,
            255, 253, 255, 255, 253, 255, 255, 253, 255, 255, 253, 255, 255, 253, 255, 255, 253, 255, 255, 253, 255, 255, 234, 246, 255,
            212, 235, 254, 190, 225, 253, 149, 179, 215, 63, 110, 162, 0, 53, 114, 0, 50, 108, 230, 230, 230, 230, 230, 230, 230,
            230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 0, 64, 139, 21, 88, 167, 59, 149, 219, 116, 194,
            250, 181, 220, 251, 212, 235, 254, 253, 255, 255, 253, 255, 255, 253, 255, 255, 253, 255, 255, 253, 255, 255, 253, 255, 255,
            253, 255, 255, 253, 255, 255, 253, 255, 255, 253, 255, 255, 253, 255, 255, 253, 255, 255, 253, 255, 255, 253, 255, 255, 238,
            248, 255, 212, 235, 254, 195, 229, 255, 149, 179, 215, 35, 85, 141, 0, 50, 108, 230, 230, 230, 230, 230, 230, 230, 230,
            230, 230, 230, 230, 230, 230, 230, 0, 64, 139, 39, 107, 184, 59, 149, 219, 116, 194, 250, 181, 220, 251, 242, 242, 241,
            227, 229, 234, 222, 224, 230, 212, 220, 230, 202, 218, 234, 202, 218, 234, 202, 218, 234, 198, 214, 230, 198, 214, 230, 198,
            214, 230, 198, 214, 230, 202, 218, 234, 202, 218, 234, 202, 218, 234, 212, 220, 230, 212, 220, 230, 222, 224, 230, 227, 229,
            234, 205, 226, 244, 189, 222, 251, 157, 197, 238, 63, 110, 162, 0, 50, 108, 230, 230, 230, 230, 230, 230, 230, 230, 230,
            0, 63, 138, 27, 101, 174, 59, 149, 219, 126, 198, 251, 190, 225, 253, 242, 242, 241, 123, 151, 186, 0, 63, 138, 0,
            63, 138, 0, 63, 138, 0, 63, 138, 100, 133, 174, 0, 63, 138, 0, 63, 138, 0, 63, 138, 0, 63, 138, 0, 63,
            138, 0, 63, 138, 100, 133, 174, 0, 63, 138, 0, 63, 138, 0, 63, 138, 0, 63, 138, 0, 63, 138, 123, 151, 186,
            205, 226, 244, 189, 222, 251, 113, 166, 218, 35, 85, 141, 0, 50, 108, 230, 230, 230, 230, 230, 230, 0, 64, 139, 65,
            130, 199, 116, 194, 250, 189, 222, 251, 253, 255, 255, 202, 218, 234, 0, 63, 138, 255, 128, 128, 255, 128, 128, 255, 128,
            128, 217, 0, 0, 0, 63, 138, 255, 128, 128, 255, 128, 128, 255, 128, 128, 255, 128, 128, 255, 128, 128, 217, 0, 0,
            0, 63, 138, 255, 255, 224, 255, 255, 224, 255, 255, 224, 255, 255, 224, 217, 217, 0, 0, 63, 138, 227, 229, 234, 212,
            235, 254, 158, 203, 252, 83, 132, 189, 0, 50, 108, 230, 230, 230, 0, 64, 139, 39, 107, 184, 91, 164, 225, 181, 220,
            251, 234, 246, 255, 238, 248, 255, 183, 207, 230, 0, 63, 138, 255, 128, 128, 253, 255, 255, 255, 5, 4, 181, 0, 1,
            0, 63, 138, 255, 128, 128, 253, 255, 255, 255, 5, 4, 255, 5, 4, 255, 5, 4, 188, 0, 3, 0, 63, 138, 255,
            255, 0, 255, 255, 0, 255, 255, 0, 255, 255, 0, 178, 178, 0, 0, 63, 138, 212, 220, 230, 238, 248, 255, 181, 220,
            251, 121, 174, 233, 24, 82, 156, 0, 50, 108, 0, 64, 139, 65, 130, 199, 142, 195, 253, 189, 222, 251, 243, 250, 255,
            212, 235, 254, 183, 207, 230, 0, 63, 138, 255, 98, 98, 181, 0, 1, 181, 0, 1, 181, 0, 1, 0, 63, 138, 255,
            128, 128, 255, 5, 4, 255, 5, 4, 181, 0, 1, 181, 0, 1, 188, 0, 3, 0, 63, 138, 255, 255, 0, 178, 178,
            0, 178, 178, 0, 178, 178, 0, 178, 178, 0, 0, 63, 138, 202, 218, 234, 243, 250, 255, 181, 220, 251, 138, 191, 251,
            39, 107, 184, 0, 50, 108, 0, 63, 138, 91, 164, 225, 149, 204, 251, 189, 222, 251, 243, 250, 255, 206, 233, 255, 173,
            202, 230, 0, 63, 138, 0, 63, 138, 0, 63, 138, 0, 63, 138, 0, 63, 138, 0, 63, 138, 255, 128, 128, 255, 5,
            4, 255, 5, 4, 181, 0, 1, 0, 63, 138, 0, 63, 138, 0, 63, 138, 255, 255, 0, 0, 63, 138, 0, 63, 138,
            0, 63, 138, 0, 63, 138, 104, 141, 186, 193, 221, 244, 238, 248, 255, 172, 214, 254, 131, 187, 249, 65, 130, 199, 0,
            50, 108, 0, 63, 138, 117, 184, 238, 158, 203, 252, 189, 222, 251, 238, 248, 255, 195, 229, 255, 173, 202, 230, 0, 63,
            138, 255, 128, 128, 255, 128, 128, 255, 128, 128, 194, 0, 0, 0, 63, 138, 255, 128, 128, 255, 5, 4, 255, 5, 4,
            181, 0, 1, 0, 63, 138, 255, 255, 224, 255, 255, 0, 255, 255, 0, 0, 63, 138, 138, 162, 193, 149, 175, 206, 149,
            179, 215, 172, 203, 233, 189, 222, 251, 231, 244, 255, 172, 214, 254, 118, 177, 247, 58, 133, 232, 0, 50, 108, 0, 63,
            138, 91, 164, 225, 166, 210, 254, 172, 214, 254, 206, 233, 255, 190, 225, 253, 165, 198, 230, 0, 63, 138, 255, 128, 128,
            253, 255, 255, 255, 5, 4, 181, 0, 1, 0, 63, 138, 255, 128, 128, 255, 5, 4, 255, 5, 4, 181, 0, 1, 0,
            63, 138, 255, 255, 224, 255, 255, 0, 255, 255, 0, 0, 63, 138, 0, 63, 138, 0, 63, 138, 0, 63, 138, 77, 121,
            175, 179, 212, 243, 203, 231, 255, 149, 198, 252, 99, 164, 246, 55, 127, 230, 0, 45, 98, 0, 60, 131, 83, 132, 189,
            158, 203, 252, 166, 210, 254, 190, 225, 253, 189, 222, 251, 165, 198, 230, 0, 63, 138, 255, 128, 128, 255, 5, 4, 255,
            5, 4, 181, 0, 1, 0, 63, 138, 255, 128, 128, 255, 5, 4, 255, 5, 4, 181, 0, 1, 0, 63, 138, 255, 255,
            224, 255, 255, 0, 255, 255, 0, 255, 255, 224, 255, 255, 224, 255, 255, 224, 217, 217, 0, 0, 63, 138, 172, 203, 233,
            190, 225, 253, 123, 180, 249, 78, 148, 242, 37, 108, 208, 0, 45, 98, 0, 63, 138, 36, 95, 159, 113, 166, 218, 166,
            210, 254, 181, 220, 251, 189, 222, 251, 165, 198, 230, 0, 63, 138, 255, 128, 128, 255, 5, 4, 255, 5, 4, 181, 0,
            1, 0, 63, 138, 255, 128, 128, 255, 5, 4, 255, 5, 4, 181, 0, 1, 0, 63, 138, 255, 255, 224, 255, 255, 0,
            255, 255, 0, 255, 255, 0, 255, 255, 0, 255, 255, 0, 178, 178, 0, 0, 63, 138, 165, 198, 230, 166, 210, 254, 108,
            169, 247, 62, 137, 237, 17, 77, 156, 0, 50, 108, 230, 230, 230, 0, 60, 131, 65, 130, 199, 100, 41, 9, 100, 41,
            9, 100, 41, 9, 163, 197, 234, 0, 63, 138, 100, 41, 9, 100, 41, 9, 100, 41, 9, 100, 41, 9, 100, 41, 9,
            100, 41, 9, 100, 41, 9, 181, 0, 1, 181, 0, 1, 0, 63, 138, 255, 255, 168, 160, 165, 11, 165, 170, 11, 165,
            170, 11, 165, 170, 11, 165, 170, 11, 169, 172, 11, 0, 63, 138, 163, 197, 234, 138, 191, 251, 91, 157, 244, 47, 118,
            215, 0, 45, 98, 230, 230, 230, 230, 230, 230, 0, 60, 131, 100, 41, 9, 212, 141, 78, 100, 41, 9, 158, 203, 252,
            100, 41, 9, 100, 41, 9, 218, 161, 108, 212, 141, 78, 206, 130, 64, 206, 130, 64, 174, 99, 39, 100, 41, 9, 0,
            63, 138, 0, 63, 138, 0, 63, 138, 77, 121, 175, 0, 63, 138, 0, 63, 138, 0, 63, 138, 0, 63, 138, 0, 63,
            138, 0, 63, 138, 0, 63, 138, 83, 132, 189, 141, 187, 240, 91, 157, 244, 62, 137, 237, 17, 77, 156, 0, 45, 98,
            230, 230, 230, 230, 230, 230, 100, 41, 9, 198, 117, 48, 180, 104, 44, 100, 41, 9, 100, 41, 9, 235, 201, 153, 228,
            184, 134, 211, 142, 82, 206, 130, 64, 155, 85, 34, 100, 41, 9, 100, 41, 9, 157, 197, 238, 150, 190, 230, 150, 190,
            230, 157, 197, 238, 157, 197, 238, 163, 197, 234, 165, 198, 230, 165, 198, 230, 165, 198, 230, 165, 198, 230, 158, 194, 230,
            157, 197, 238, 141, 187, 240, 91, 157, 244, 67, 137, 242, 45, 112, 205, 0, 45, 98, 230, 230, 230, 230, 230, 230, 230,
            230, 230, 100, 41, 9, 180, 104, 44, 120, 57, 16, 206, 130, 64, 224, 174, 125, 214, 149, 87, 212, 141, 78, 134, 70,
            26, 100, 41, 9, 133, 133, 136, 158, 203, 252, 166, 210, 254, 166, 210, 254, 166, 210, 254, 166, 210, 254, 166, 210, 254,
            166, 210, 254, 166, 210, 254, 181, 220, 251, 189, 222, 251, 189, 222, 251, 189, 222, 251, 172, 214, 254, 149, 198, 252, 78,
            148, 242, 55, 127, 230, 45, 112, 205, 24, 82, 156, 0, 45, 98, 230, 230, 230, 230, 230, 230, 100, 41, 9, 100, 41,
            9, 142, 75, 27, 206, 130, 64, 212, 141, 78, 206, 130, 64, 174, 99, 39, 100, 41, 9, 103, 91, 99, 129, 146, 175,
            123, 180, 249, 142, 195, 253, 142, 195, 253, 142, 195, 253, 142, 195, 253, 142, 195, 253, 142, 195, 253, 142, 195, 253, 149,
            198, 252, 160, 206, 253, 181, 220, 251, 181, 220, 251, 181, 220, 251, 127, 189, 249, 91, 157, 244, 66, 137, 236, 39, 107,
            184, 17, 77, 156, 0, 45, 98, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 100, 41, 9, 145, 76, 27,
            186, 108, 44, 174, 99, 39, 174, 99, 39, 120, 57, 16, 155, 85, 34, 100, 41, 9, 39, 116, 196, 62, 137, 237, 99,
            164, 246, 103, 169, 248, 109, 170, 248, 108, 169, 247, 109, 170, 248, 109, 170, 248, 109, 170, 248, 123, 180, 249, 138, 191,
            251, 158, 203, 252, 172, 214, 254, 131, 187, 249, 78, 148, 242, 66, 137, 236, 24, 87, 177, 10, 64, 131, 0, 50, 108,
            230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 100, 41, 9, 100, 41, 9, 165, 92, 37, 186, 108, 44, 198,
            117, 48, 90, 45, 18, 224, 174, 125, 238, 210, 174, 182, 112, 56, 100, 41, 9, 0, 53, 114, 13, 81, 165, 20, 98,
            210, 33, 113, 232, 47, 130, 240, 54, 132, 241, 54, 132, 241, 68, 144, 242, 99, 164, 246, 119, 178, 249, 149, 198, 252,
            138, 191, 251, 78, 148, 242, 55, 127, 230, 21, 88, 167, 0, 50, 108, 0, 50, 108, 230, 230, 230, 230, 230, 230, 230,
            230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 100, 41, 9, 186, 108, 44, 198, 117, 48, 198, 117, 48, 218, 161,
            108, 253, 255, 255, 221, 219, 215, 230, 230, 230, 142, 75, 27, 100, 41, 9, 69, 49, 42, 50, 55, 62, 50, 55, 62,
            0, 53, 114, 0, 50, 108, 0, 50, 108, 1, 68, 153, 6, 87, 198, 99, 164, 246, 131, 187, 249, 99, 164, 246, 33,
            113, 232, 21, 88, 167, 0, 50, 108, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230,
            230, 230, 230, 230, 100, 41, 9, 111, 49, 13, 198, 117, 48, 206, 130, 64, 198, 117, 48, 207, 135, 74, 246, 231, 218,
            154, 151, 148, 72, 73, 76, 167, 96, 42, 209, 178, 139, 229, 220, 210, 242, 242, 241, 189, 189, 182, 50, 55, 62, 230,
            230, 230, 230, 230, 230, 0, 50, 108, 1, 68, 153, 20, 98, 210, 91, 157, 244, 54, 132, 241, 21, 88, 167, 0, 50,
            108, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230,
            100, 41, 9, 145, 76, 27, 212, 141, 78, 220, 162, 92, 214, 149, 87, 202, 123, 56, 207, 135, 74, 214, 149, 87, 194,
            119, 57, 198, 131, 56, 209, 178, 139, 104, 106, 109, 23, 22, 20, 242, 242, 241, 180, 180, 177, 50, 55, 62, 230, 230,
            230, 230, 230, 230, 0, 50, 108, 6, 87, 198, 54, 132, 241, 6, 87, 198, 0, 45, 98, 230, 230, 230, 230, 230, 230,
            230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 100, 41, 9, 174,
            99, 39, 212, 141, 78, 238, 210, 174, 224, 174, 125, 212, 141, 78, 202, 123, 56, 180, 104, 44, 173, 98, 40, 190, 125,
            63, 180, 180, 177, 170, 170, 167, 160, 160, 158, 242, 242, 241, 227, 227, 224, 50, 55, 62, 230, 230, 230, 230, 230, 230,
            0, 50, 108, 6, 87, 198, 20, 98, 210, 0, 50, 108, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230,
            230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 100, 41, 9, 145, 76, 27, 205, 129,
            63, 217, 154, 97, 218, 161, 108, 212, 141, 78, 202, 123, 56, 186, 108, 44, 173, 98, 40, 182, 112, 56, 212, 205, 194,
            232, 232, 230, 242, 242, 241, 253, 255, 255, 239, 239, 237, 50, 55, 62, 230, 230, 230, 230, 230, 230, 0, 50, 108, 5,
            78, 176, 0, 50, 108, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230,
            230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 100, 41, 9, 111, 49, 13, 180, 104, 44, 205, 129, 63,
            205, 129, 63, 216, 156, 71, 198, 117, 48, 186, 108, 44, 165, 92, 37, 182, 139, 103, 201, 194, 185, 221, 219, 215, 232,
            232, 230, 239, 239, 237, 232, 232, 230, 50, 55, 62, 230, 230, 230, 230, 230, 230, 0, 45, 98, 0, 50, 108, 230, 230,
            230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230,
            230, 230, 230, 230, 230, 230, 230, 230, 230, 100, 41, 9, 120, 57, 16, 100, 41, 9, 165, 92, 37, 165, 92, 37, 165,
            92, 37, 165, 92, 37, 155, 85, 34, 124, 77, 45, 160, 160, 158, 203, 203, 199, 104, 106, 109, 203, 203, 199, 221, 219,
            215, 133, 133, 136, 50, 55, 62, 230, 230, 230, 230, 230, 230, 0, 50, 108, 230, 230, 230, 230, 230, 230, 230, 230, 230,
            230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230,
            230, 230, 230, 230, 230, 111, 49, 13, 142, 75, 27, 151, 81, 30, 131, 63, 20, 104, 43, 9, 100, 41, 9, 90, 45,
            18, 63, 51, 48, 50, 55, 62, 109, 112, 114, 154, 151, 148, 180, 180, 177, 72, 73, 76, 50, 55, 62, 50, 55, 62,
            230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230,
            230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230,
            230, 111, 49, 13, 145, 76, 27, 195, 122, 49, 228, 156, 63, 212, 140, 56, 173, 98, 40, 100, 41, 9, 230, 230, 230,
            230, 230, 230, 50, 55, 62, 50, 55, 62, 50, 55, 62, 50, 55, 62, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230,
            230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230,
            230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230
                };
        wxImage image(32, 32, (unsigned char *) data, true);
        image.SetMaskColour(230, 230, 230);
        wxBitmap bitmap(image);
        return bitmap;
    }
    if (index == 20)
    {
        static const unsigned char data[] =
        {
            230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 0, 59, 110, 0, 54, 110, 0, 54, 110, 0,
            54, 110, 0, 54, 110, 0, 57, 113, 230, 230, 230, 0, 46, 90, 0, 24, 45, 230, 230, 230, 230, 230, 230, 230, 230,
            230, 230, 230, 230, 230, 230, 230, 0, 57, 113, 0, 53, 112, 6, 95, 163, 12, 147, 232, 125, 209, 191, 60, 190, 123,
            13, 140, 211, 4, 87, 148, 0, 46, 90, 98, 11, 11, 98, 11, 11, 0, 24, 45, 230, 230, 230, 230, 230, 230, 230,
            230, 230, 0, 53, 112, 46, 127, 99, 104, 229, 123, 0, 149, 194, 2, 182, 255, 75, 205, 175, 16, 169, 151, 0, 64,
            129, 0, 64, 129, 47, 124, 71, 0, 46, 90, 151, 16, 16, 122, 13, 13, 0, 24, 45, 230, 230, 230, 0, 53, 112,
            61, 116, 106, 242, 255, 221, 20, 210, 175, 0, 161, 222, 14, 201, 241, 88, 214, 97, 0, 106, 188, 0, 64, 129, 243,
            127, 127, 0, 46, 90, 98, 11, 11, 208, 23, 23, 151, 16, 16, 0, 24, 45, 230, 230, 230, 0, 53, 112, 148, 220,
            148, 28, 207, 135, 0, 164, 210, 0, 211, 253, 0, 219, 242, 0, 142, 186, 20, 132, 186, 0, 64, 129, 251, 219, 219,
            241, 96, 96, 236, 27, 27, 237, 33, 33, 168, 19, 19, 0, 24, 45, 0, 57, 113, 0, 100, 144, 60, 218, 133, 0,
            161, 222, 13, 208, 243, 90, 236, 255, 0, 211, 253, 5, 192, 255, 35, 169, 223, 0, 64, 129, 255, 255, 255, 246, 163,
            163, 241, 88, 88, 219, 25, 25, 0, 24, 45, 0, 27, 49, 0, 51, 101, 0, 122, 137, 0, 138, 171, 0, 142, 186,
            14, 198, 223, 78, 206, 223, 8, 202, 231, 247, 247, 218, 131, 223, 126, 0, 64, 129, 248, 179, 179, 241, 96, 96, 228,
            26, 26, 160, 18, 18, 0, 24, 45, 0, 32, 58, 0, 64, 129, 0, 64, 129, 0, 64, 129, 0, 64, 129, 0, 64,
            129, 0, 64, 129, 0, 24, 45, 111, 231, 84, 34, 208, 30, 0, 64, 129, 240, 81, 81, 228, 26, 26, 201, 22, 22,
            186, 21, 21, 122, 13, 13, 0, 24, 45, 0, 64, 129, 240, 81, 81, 247, 173, 173, 255, 255, 255, 251, 219, 219, 240,
            81, 81, 0, 24, 45, 10, 170, 157, 8, 129, 82, 0, 64, 129, 0, 24, 45, 0, 24, 45, 0, 24, 45, 0, 24,
            45, 0, 24, 45, 0, 24, 45, 0, 46, 90, 0, 64, 129, 239, 72, 72, 245, 145, 145, 239, 72, 72, 228, 26, 26,
            0, 24, 45, 0, 141, 223, 20, 133, 207, 14, 123, 183, 0, 84, 159, 0, 84, 159, 0, 74, 147, 0, 64, 129, 0,
            59, 110, 0, 32, 58, 0, 46, 90, 0, 64, 129, 237, 33, 33, 239, 72, 72, 228, 26, 26, 201, 22, 22, 0, 24,
            45, 138, 198, 217, 237, 247, 201, 77, 189, 66, 38, 150, 157, 20, 126, 206, 0, 90, 204, 0, 87, 166, 3, 68, 119,
            0, 32, 58, 0, 64, 129, 178, 20, 20, 219, 25, 25, 194, 21, 21, 122, 13, 13, 168, 19, 19, 0, 24, 45, 160,
            206, 114, 40, 186, 55, 36, 177, 46, 80, 196, 31, 61, 163, 74, 2, 103, 188, 3, 100, 179, 0, 32, 58, 230, 230,
            230, 0, 64, 129, 106, 11, 11, 194, 21, 21, 122, 13, 13, 0, 24, 45, 122, 13, 13, 0, 24, 45, 69, 171, 44,
            40, 177, 40, 54, 178, 52, 49, 164, 56, 32, 124, 96, 3, 100, 179, 2, 78, 136, 0, 36, 72, 230, 230, 230, 0,
            64, 129, 106, 11, 11, 156, 16, 16, 0, 24, 45, 0, 74, 147, 0, 24, 45, 0, 24, 45, 53, 150, 114, 49, 157,
            56, 50, 155, 73, 32, 123, 110, 2, 91, 175, 0, 64, 129, 0, 42, 73, 230, 230, 230, 230, 230, 230, 230, 230, 230,
            0, 24, 45, 86, 9, 9, 106, 11, 11, 0, 24, 45, 0, 54, 110, 0, 86, 179, 1, 92, 180, 9, 93, 143, 7,
            94, 152, 3, 68, 119, 0, 36, 72, 0, 36, 72, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230,
            230, 0, 24, 45, 0, 24, 45, 230, 230, 230, 0, 35, 67, 0, 42, 73, 0, 32, 58, 0, 42, 73, 0, 42, 73,
            0, 36, 72, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230
                };
        wxImage image(16, 16, (unsigned char *) data, true);
        image.SetMaskColour(230, 230, 230);
        wxBitmap bitmap(image);
        return bitmap;
    }
    if (index == 21)
    {
        static const unsigned char data[] =
        {
            230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230,
            230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230,
            230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230,
            230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230,
            230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230,
            230, 230, 230, 230, 0, 63, 137, 0, 60, 132, 0, 60, 132, 0, 57, 124, 0, 57, 124, 0, 57, 124, 0, 57, 124,
            0, 57, 124, 0, 57, 124, 0, 57, 124, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230,
            230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230,
            230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 0, 60, 132, 0, 60, 132, 0, 60, 132,
            21, 88, 167, 59, 149, 219, 84, 175, 237, 116, 194, 250, 131, 201, 251, 131, 201, 251, 131, 201, 251, 117, 188, 243, 113,
            166, 218, 36, 95, 159, 0, 55, 120, 0, 53, 115, 0, 53, 115, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230,
            230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230,
            230, 230, 230, 230, 230, 230, 0, 63, 137, 0, 63, 137, 27, 101, 174, 73, 151, 216, 117, 188, 243, 149, 204, 251, 156,
            209, 251, 189, 225, 254, 185, 222, 254, 189, 225, 254, 189, 225, 254, 185, 222, 254, 189, 225, 254, 180, 217, 247, 175, 213,
            243, 155, 196, 232, 113, 166, 218, 52, 101, 155, 0, 53, 115, 0, 53, 115, 230, 230, 230, 230, 230, 230, 230, 230, 230,
            230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 0, 63, 137, 0,
            63, 137, 39, 116, 196, 73, 151, 216, 131, 201, 251, 185, 222, 254, 211, 236, 254, 234, 246, 255, 253, 253, 254, 253, 253,
            254, 253, 253, 254, 253, 253, 254, 253, 253, 254, 253, 253, 254, 253, 253, 254, 253, 253, 254, 253, 253, 254, 238, 248, 255,
            211, 236, 254, 189, 225, 254, 146, 178, 216, 63, 110, 162, 0, 53, 115, 0, 48, 106, 230, 230, 230, 230, 230, 230, 230,
            230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 0, 63, 137, 21, 88, 167, 59, 149, 219, 116, 194,
            250, 180, 219, 254, 211, 236, 254, 253, 253, 254, 253, 253, 254, 253, 253, 254, 253, 253, 254, 253, 253, 254, 253, 253, 254,
            253, 253, 254, 253, 253, 254, 253, 253, 254, 253, 253, 254, 253, 253, 254, 253, 253, 254, 253, 253, 254, 253, 253, 254, 242,
            249, 255, 219, 240, 255, 196, 228, 255, 146, 178, 216, 35, 85, 141, 0, 48, 106, 230, 230, 230, 230, 230, 230, 230, 230,
            230, 230, 230, 230, 230, 230, 230, 0, 63, 137, 39, 107, 184, 59, 149, 219, 116, 194, 250, 180, 219, 254, 253, 253, 254,
            253, 253, 254, 253, 253, 254, 242, 249, 255, 227, 243, 255, 227, 243, 255, 226, 212, 226, 226, 212, 226, 226, 212, 226, 226,
            212, 226, 226, 212, 226, 227, 243, 255, 227, 243, 255, 227, 243, 255, 242, 249, 255, 242, 249, 255, 253, 253, 254, 253, 253,
            254, 211, 236, 254, 189, 225, 254, 155, 196, 232, 63, 110, 162, 0, 48, 106, 230, 230, 230, 230, 230, 230, 230, 230, 230,
            0, 63, 137, 27, 101, 174, 59, 149, 219, 125, 198, 250, 189, 225, 254, 253, 253, 254, 238, 248, 255, 227, 243, 255, 227,
            243, 255, 227, 243, 255, 227, 243, 255, 227, 243, 255, 226, 201, 217, 226, 189, 205, 226, 189, 205, 226, 189, 205, 226, 201,
            217, 227, 243, 255, 227, 243, 255, 227, 243, 255, 227, 243, 255, 227, 243, 255, 227, 243, 255, 242, 249, 255, 253, 253, 254,
            219, 240, 255, 180, 219, 254, 113, 166, 218, 35, 85, 141, 0, 48, 106, 230, 230, 230, 230, 230, 230, 0, 64, 139, 65,
            130, 199, 116, 194, 250, 185, 222, 254, 253, 253, 254, 227, 243, 255, 211, 236, 254, 211, 236, 254, 211, 236, 254, 211, 236,
            254, 211, 236, 254, 211, 236, 254, 209, 167, 190, 212, 157, 180, 212, 157, 180, 212, 157, 180, 209, 186, 208, 219, 240, 255,
            219, 240, 255, 219, 240, 255, 219, 240, 255, 219, 240, 255, 227, 243, 255, 227, 243, 255, 227, 243, 255, 253, 253, 254, 211,
            236, 254, 160, 206, 253, 81, 133, 191, 0, 48, 106, 230, 230, 230, 0, 64, 139, 39, 107, 184, 91, 164, 225, 180, 219,
            254, 234, 246, 255, 242, 249, 255, 211, 236, 254, 211, 236, 254, 211, 236, 254, 211, 236, 254, 211, 236, 254, 211, 236, 254,
            211, 236, 254, 209, 167, 190, 212, 135, 160, 212, 135, 160, 212, 135, 160, 208, 180, 203, 211, 236, 254, 219, 240, 255, 211,
            236, 254, 211, 236, 254, 211, 236, 254, 211, 236, 254, 219, 240, 255, 227, 243, 255, 234, 246, 255, 234, 246, 255, 180, 219,
            254, 121, 174, 233, 24, 82, 156, 0, 48, 106, 0, 63, 137, 65, 130, 199, 131, 201, 251, 185, 222, 254, 242, 249, 255,
            211, 236, 254, 211, 236, 254, 211, 236, 254, 202, 232, 255, 202, 232, 255, 202, 232, 255, 202, 232, 255, 202, 232, 255, 209,
            167, 190, 206, 109, 135, 206, 109, 135, 206, 109, 135, 208, 180, 203, 202, 232, 255, 202, 232, 255, 202, 232, 255, 202, 232,
            255, 202, 232, 255, 202, 232, 255, 211, 236, 254, 202, 232, 255, 227, 243, 255, 242, 249, 255, 180, 219, 254, 138, 191, 251,
            39, 107, 184, 0, 46, 102, 0, 63, 137, 91, 164, 225, 149, 204, 251, 185, 222, 254, 242, 249, 255, 201, 231, 255, 196,
            228, 255, 201, 231, 255, 202, 232, 255, 202, 232, 255, 202, 232, 255, 202, 232, 255, 202, 232, 255, 209, 186, 208, 204, 87,
            115, 204, 87, 115, 204, 87, 115, 202, 211, 234, 202, 232, 255, 202, 232, 255, 202, 232, 255, 202, 232, 255, 202, 232, 255,
            202, 232, 255, 202, 232, 255, 211, 236, 254, 202, 232, 255, 242, 249, 255, 171, 213, 253, 131, 186, 249, 65, 130, 199, 0,
            48, 106, 0, 63, 137, 117, 184, 238, 157, 204, 252, 180, 219, 254, 238, 248, 255, 196, 228, 255, 196, 228, 255, 196, 228,
            255, 202, 232, 255, 202, 232, 255, 202, 232, 255, 202, 232, 255, 201, 231, 255, 202, 211, 234, 202, 63, 92, 202, 63, 92,
            202, 63, 92, 202, 232, 255, 201, 231, 255, 201, 231, 255, 201, 231, 255, 201, 231, 255, 201, 231, 255, 196, 228, 255, 196,
            228, 255, 196, 228, 255, 196, 228, 255, 234, 246, 255, 171, 213, 253, 118, 177, 247, 58, 133, 232, 0, 46, 102, 0, 63,
            137, 91, 164, 225, 164, 209, 254, 171, 213, 253, 202, 232, 255, 189, 225, 254, 189, 225, 254, 196, 228, 255, 196, 228, 255,
            196, 228, 255, 196, 228, 255, 196, 228, 255, 196, 228, 255, 196, 228, 255, 199, 98, 127, 199, 51, 81, 199, 98, 127, 202,
            232, 255, 196, 228, 255, 201, 231, 255, 196, 228, 255, 196, 228, 255, 196, 228, 255, 196, 228, 255, 196, 228, 255, 196, 228,
            255, 185, 222, 254, 202, 232, 255, 138, 191, 251, 99, 163, 246, 53, 127, 230, 0, 46, 102, 0, 63, 137, 81, 133, 191,
            157, 204, 252, 164, 209, 254, 189, 225, 254, 180, 219, 254, 180, 219, 254, 185, 222, 254, 189, 225, 254, 189, 225, 254, 189,
            225, 254, 189, 225, 254, 189, 225, 254, 189, 225, 254, 182, 118, 152, 191, 43, 74, 182, 118, 152, 189, 225, 254, 189, 225,
            254, 189, 225, 254, 189, 225, 254, 189, 225, 254, 196, 228, 255, 196, 228, 255, 185, 222, 254, 196, 228, 255, 196, 228, 255,
            189, 225, 254, 123, 180, 249, 78, 148, 242, 37, 108, 208, 0, 46, 102, 0, 63, 137, 36, 95, 159, 113, 166, 218, 164,
            209, 254, 180, 219, 254, 185, 222, 254, 185, 222, 254, 185, 222, 254, 180, 219, 254, 126, 94, 80, 100, 41, 9, 100, 41,
            9, 100, 41, 9, 189, 225, 254, 181, 175, 209, 181, 143, 177, 181, 175, 209, 189, 225, 254, 189, 225, 254, 189, 225, 254,
            189, 225, 254, 185, 222, 254, 185, 222, 254, 189, 225, 254, 185, 222, 254, 185, 222, 254, 185, 222, 254, 164, 209, 254, 108,
            169, 247, 66, 137, 236, 17, 77, 156, 0, 48, 106, 230, 230, 230, 0, 60, 132, 59, 149, 219, 100, 41, 9, 100, 41,
            9, 100, 41, 9, 189, 225, 254, 126, 94, 80, 116, 54, 15, 182, 112, 56, 220, 162, 92, 122, 59, 18, 134, 112, 105,
            185, 222, 254, 183, 212, 245, 181, 143, 177, 183, 205, 238, 185, 222, 254, 180, 219, 254, 189, 225, 254, 185, 222, 254, 185,
            222, 254, 185, 222, 254, 189, 225, 254, 189, 225, 254, 185, 222, 254, 185, 222, 254, 138, 191, 251, 90, 157, 243, 47, 118,
            215, 0, 46, 102, 230, 230, 230, 230, 230, 230, 0, 55, 120, 100, 41, 9, 211, 140, 77, 100, 41, 9, 157, 204, 252,
            100, 41, 9, 184, 107, 44, 228, 183, 133, 217, 155, 98, 162, 93, 41, 116, 54, 15, 146, 178, 216, 181, 175, 209, 177,
            64, 98, 177, 64, 98, 172, 76, 111, 180, 183, 218, 180, 219, 254, 180, 219, 254, 185, 222, 254, 185, 222, 254, 185, 222,
            254, 185, 222, 254, 189, 225, 254, 171, 213, 253, 147, 196, 251, 90, 157, 243, 62, 137, 237, 17, 77, 156, 0, 46, 102,
            230, 230, 230, 230, 230, 230, 100, 41, 9, 198, 117, 48, 182, 105, 43, 100, 41, 9, 116, 54, 15, 237, 207, 167, 228,
            183, 133, 218, 161, 108, 205, 136, 56, 116, 54, 15, 134, 112, 105, 171, 213, 253, 181, 143, 177, 172, 76, 111, 172, 76,
            111, 172, 76, 111, 181, 175, 209, 180, 219, 254, 189, 225, 254, 185, 222, 254, 185, 222, 254, 185, 222, 254, 180, 219, 254,
            171, 213, 253, 147, 196, 251, 90, 157, 243, 67, 137, 242, 45, 112, 205, 0, 46, 102, 230, 230, 230, 230, 230, 230, 230,
            230, 230, 100, 41, 9, 182, 105, 43, 116, 54, 15, 206, 130, 64, 224, 174, 125, 214, 150, 88, 211, 140, 77, 162, 93,
            41, 90, 45, 18, 163, 93, 130, 160, 206, 253, 160, 206, 253, 181, 175, 209, 163, 93, 130, 163, 93, 130, 182, 118, 152,
            180, 183, 218, 164, 209, 254, 171, 213, 253, 185, 222, 254, 185, 222, 254, 185, 222, 254, 171, 213, 253, 149, 204, 251, 78,
            148, 242, 53, 127, 230, 45, 112, 205, 24, 82, 156, 0, 48, 106, 230, 230, 230, 230, 230, 230, 100, 41, 9, 100, 41,
            9, 143, 75, 27, 206, 130, 64, 211, 140, 77, 205, 136, 56, 173, 98, 40, 100, 41, 9, 103, 91, 99, 113, 166, 218,
            121, 174, 233, 147, 196, 251, 139, 195, 252, 139, 195, 252, 171, 179, 219, 172, 152, 187, 171, 179, 219, 139, 195, 252, 147,
            196, 251, 164, 209, 254, 180, 219, 254, 171, 213, 253, 180, 219, 254, 127, 189, 249, 99, 163, 246, 66, 137, 236, 39, 107,
            184, 17, 77, 156, 0, 46, 102, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 100, 41, 9, 149, 79, 29,
            184, 107, 44, 173, 98, 39, 173, 98, 39, 122, 59, 18, 156, 86, 34, 100, 41, 9, 39, 107, 184, 58, 133, 232, 99,
            163, 246, 103, 169, 248, 108, 169, 247, 108, 169, 247, 108, 169, 247, 108, 169, 247, 108, 169, 247, 119, 178, 249, 139, 195,
            252, 164, 209, 254, 171, 213, 253, 131, 186, 249, 78, 148, 242, 66, 137, 236, 24, 87, 177, 0, 60, 132, 0, 48, 106,
            230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 100, 41, 9, 100, 41, 9, 164, 91, 36, 184, 107, 44, 198,
            117, 48, 90, 45, 18, 224, 174, 125, 237, 207, 167, 182, 112, 56, 100, 41, 9, 0, 53, 115, 17, 77, 156, 20, 98,
            210, 33, 113, 232, 54, 132, 241, 54, 132, 241, 54, 132, 241, 67, 137, 242, 99, 163, 246, 119, 178, 249, 139, 195, 252,
            138, 191, 251, 78, 148, 242, 53, 127, 230, 21, 88, 167, 0, 46, 102, 0, 48, 106, 230, 230, 230, 230, 230, 230, 230,
            230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 100, 41, 9, 184, 107, 44, 189, 112, 49, 198, 117, 48, 218, 161,
            108, 242, 249, 255, 223, 219, 214, 12, 11, 10, 143, 75, 27, 104, 43, 9, 69, 49, 42, 50, 55, 62, 50, 55, 62,
            0, 53, 115, 0, 48, 106, 0, 53, 115, 1, 68, 153, 6, 87, 198, 99, 163, 246, 131, 186, 249, 99, 163, 246, 33,
            113, 232, 21, 88, 167, 0, 48, 106, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230,
            230, 230, 230, 230, 100, 41, 9, 111, 49, 13, 198, 117, 48, 206, 130, 64, 198, 117, 48, 211, 140, 77, 246, 231, 218,
            154, 151, 148, 50, 55, 62, 162, 93, 41, 209, 178, 139, 223, 219, 214, 241, 241, 239, 180, 180, 176, 50, 55, 62, 230,
            230, 230, 230, 230, 230, 0, 48, 106, 1, 68, 153, 20, 98, 210, 90, 157, 243, 54, 132, 241, 21, 88, 167, 0, 48,
            106, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230,
            100, 41, 9, 149, 79, 29, 211, 140, 77, 220, 162, 92, 214, 150, 88, 202, 123, 56, 207, 135, 74, 214, 150, 88, 202,
            123, 56, 202, 123, 56, 209, 178, 139, 105, 108, 111, 12, 11, 10, 253, 253, 254, 180, 180, 176, 50, 55, 62, 230, 230,
            230, 230, 230, 230, 0, 48, 106, 6, 87, 198, 54, 132, 241, 6, 87, 198, 0, 46, 102, 230, 230, 230, 230, 230, 230,
            230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 100, 41, 9, 173,
            98, 39, 211, 140, 77, 237, 207, 167, 224, 174, 125, 211, 140, 77, 202, 123, 56, 182, 105, 43, 162, 93, 41, 192, 122,
            60, 180, 180, 176, 180, 180, 176, 160, 160, 159, 241, 241, 239, 231, 231, 229, 50, 55, 62, 230, 230, 230, 230, 230, 230,
            0, 48, 106, 6, 87, 198, 20, 98, 210, 0, 48, 106, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230,
            230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 100, 41, 9, 149, 79, 29, 206, 130,
            64, 217, 155, 98, 218, 161, 108, 211, 140, 77, 202, 123, 56, 184, 107, 44, 173, 98, 39, 182, 112, 56, 212, 205, 194,
            231, 231, 229, 253, 253, 254, 241, 241, 239, 241, 241, 239, 50, 55, 62, 230, 230, 230, 230, 230, 230, 0, 48, 106, 5,
            78, 176, 0, 48, 106, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230,
            230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 100, 41, 9, 111, 49, 13, 182, 105, 43, 206, 130, 64,
            205, 136, 56, 216, 156, 71, 198, 117, 48, 184, 107, 44, 164, 91, 36, 182, 139, 103, 202, 200, 194, 223, 219, 214, 231,
            231, 229, 241, 241, 239, 231, 231, 229, 50, 55, 62, 230, 230, 230, 230, 230, 230, 0, 46, 102, 0, 48, 106, 230, 230,
            230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230,
            230, 230, 230, 230, 230, 230, 230, 230, 230, 100, 41, 9, 122, 59, 18, 100, 41, 9, 162, 93, 41, 164, 91, 36, 164,
            91, 36, 164, 91, 36, 156, 86, 34, 124, 77, 45, 160, 160, 159, 202, 200, 194, 105, 108, 111, 202, 200, 194, 223, 219,
            214, 131, 129, 134, 50, 55, 62, 230, 230, 230, 230, 230, 230, 0, 48, 106, 230, 230, 230, 230, 230, 230, 230, 230, 230,
            230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230,
            230, 230, 230, 230, 230, 111, 49, 13, 143, 75, 27, 156, 86, 34, 131, 63, 20, 104, 43, 9, 100, 41, 9, 90, 45,
            18, 69, 49, 42, 50, 55, 62, 105, 108, 111, 154, 151, 148, 180, 180, 176, 72, 73, 76, 50, 55, 62, 50, 55, 62,
            230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230,
            230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230,
            230, 111, 49, 13, 143, 75, 27, 195, 122, 49, 228, 156, 63, 206, 130, 64, 173, 98, 40, 100, 41, 9, 230, 230, 230,
            230, 230, 230, 50, 55, 62, 50, 55, 62, 50, 55, 62, 50, 55, 62, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230,
            230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230,
            230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230
                };
        wxImage image(32, 32, (unsigned char *) data, true);
        image.SetMaskColour(230, 230, 230);
        wxBitmap bitmap(image);
        return bitmap;
    }
    if (index == 22)
    {
        static const unsigned char data[] =
        {
            255, 0, 255, 255, 0, 255, 255, 0, 255, 255, 0, 255, 255, 0, 255, 9, 84, 125, 8, 73, 108, 7, 65, 97, 7,
            65, 97, 255, 0, 255, 255, 0, 255, 255, 0, 255, 255, 0, 255, 255, 0, 255, 255, 0, 255, 255, 0, 255, 255, 0,
            255, 255, 0, 255, 255, 0, 255, 255, 0, 255, 9, 84, 125, 16, 149, 221, 27, 164, 239, 15, 139, 206, 10, 90, 133,
            6, 52, 77, 255, 0, 255, 255, 0, 255, 255, 0, 255, 255, 0, 255, 255, 0, 255, 255, 0, 255, 255, 0, 255, 255,
            0, 255, 255, 0, 255, 9, 84, 125, 16, 149, 221, 255, 255, 255, 130, 205, 246, 67, 180, 242, 14, 132, 196, 10, 94,
            140, 6, 52, 77, 255, 0, 255, 255, 0, 255, 255, 0, 255, 255, 0, 255, 255, 0, 255, 255, 0, 255, 255, 0, 255,
            255, 0, 255, 9, 84, 125, 27, 164, 239, 162, 218, 249, 93, 191, 244, 67, 180, 242, 16, 149, 221, 13, 121, 180, 6,
            52, 77, 255, 0, 255, 255, 0, 255, 255, 0, 255, 255, 0, 255, 255, 0, 255, 255, 0, 255, 255, 0, 255, 255, 0,
            255, 7, 65, 97, 15, 139, 206, 67, 180, 242, 67, 180, 242, 33, 167, 240, 16, 149, 221, 13, 121, 180, 6, 52, 77,
            6, 52, 77, 6, 52, 77, 255, 0, 255, 255, 0, 255, 255, 0, 255, 255, 0, 255, 255, 0, 255, 255, 0, 255, 6,
            52, 77, 10, 94, 140, 15, 139, 206, 16, 149, 221, 16, 149, 221, 13, 126, 187, 10, 90, 133, 6, 52, 77, 8, 73,
            108, 7, 65, 97, 6, 52, 77, 255, 0, 255, 255, 0, 255, 255, 0, 255, 255, 0, 255, 9, 84, 125, 6, 58, 86,
            6, 52, 77, 9, 84, 125, 12, 116, 172, 12, 116, 172, 10, 90, 133, 6, 52, 77, 9, 78, 116, 10, 90, 133, 9,
            84, 125, 6, 52, 77, 255, 0, 255, 255, 0, 255, 255, 0, 255, 9, 84, 125, 12, 111, 165, 10, 94, 140, 7, 62,
            92, 6, 52, 77, 6, 52, 77, 6, 52, 77, 6, 52, 77, 121, 0, 0, 121, 0, 0, 9, 84, 125, 121, 0, 0,
            121, 0, 0, 255, 0, 255, 255, 0, 255, 9, 84, 125, 78, 185, 243, 104, 195, 244, 14, 132, 196, 12, 116, 172, 10,
            94, 140, 10, 94, 140, 10, 94, 140, 121, 0, 0, 242, 84, 90, 237, 28, 36, 121, 0, 0, 237, 28, 36, 237, 28,
            36, 68, 1, 0, 255, 0, 255, 9, 84, 125, 186, 227, 250, 63, 179, 242, 13, 121, 180, 16, 149, 221, 63, 179, 242,
            27, 164, 239, 121, 0, 0, 242, 84, 90, 251, 199, 201, 245, 122, 126, 239, 49, 56, 245, 117, 122, 243, 100, 105, 237,
            28, 36, 68, 1, 0, 9, 84, 125, 104, 195, 244, 27, 164, 239, 10, 94, 140, 33, 167, 240, 231, 245, 253, 113, 198,
            245, 121, 0, 0, 245, 130, 134, 254, 241, 241, 248, 170, 173, 244, 109, 113, 248, 167, 170, 245, 117, 122, 226, 26, 34,
            68, 1, 0, 9, 84, 125, 78, 185, 243, 16, 149, 221, 7, 62, 92, 33, 167, 240, 231, 245, 253, 113, 198, 245, 121,
            0, 0, 242, 84, 90, 251, 199, 201, 247, 156, 160, 246, 145, 149, 245, 122, 126, 242, 89, 95, 195, 21, 27, 68, 1,
            0, 9, 84, 125, 44, 171, 240, 16, 149, 221, 6, 52, 77, 33, 167, 240, 207, 236, 252, 93, 191, 244, 67, 180, 242,
            121, 0, 0, 241, 67, 74, 247, 156, 160, 245, 132, 136, 243, 97, 103, 219, 25, 33, 68, 1, 0, 255, 0, 255, 9,
            84, 125, 16, 149, 221, 16, 149, 221, 6, 52, 77, 33, 167, 240, 138, 209, 247, 72, 182, 242, 44, 171, 240, 44, 171,
            240, 121, 0, 0, 237, 28, 36, 245, 126, 130, 219, 25, 33, 68, 1, 0, 255, 0, 255, 255, 0, 255, 7, 65, 97,
            16, 149, 221, 16, 149, 221, 6, 52, 77, 16, 149, 221, 85, 187, 243, 54, 175, 241, 15, 144, 215, 6, 52, 77, 6,
            52, 77, 121, 0, 0, 179, 14, 18, 68, 1, 0, 255, 0, 255, 255, 0, 255, 255, 0, 255, 7, 65, 97, 6, 52,
            77, 6, 52, 77, 255, 0, 255, 6, 52, 77, 6, 52, 77, 6, 52, 77, 6, 52, 77, 255, 0, 255, 255, 0, 255,
            255, 0, 255, 68, 1, 0, 255, 0, 255, 255, 0, 255, 255, 0, 255, 255, 0, 255
                };
        wxImage image(16, 16, (unsigned char *) data, true);
        image.SetMaskColour(255, 0, 255);
        wxBitmap bitmap(image);
        return bitmap;
    }
    if (index == 23)
    {
        static const unsigned char data[] =
        {
            231, 231, 231, 231, 231, 231, 231, 231, 231, 231, 231, 231, 231, 231, 231, 231, 231, 231, 231, 231, 231, 231, 231, 231, 231,
            231, 231, 231, 231, 231, 231, 231, 231, 231, 231, 231, 231, 231, 231, 231, 231, 231, 231, 231, 231, 231, 231, 231, 231, 231,
            231, 231, 231, 231, 231, 231, 231, 231, 231, 231, 231, 231, 231, 231, 231, 231, 231, 231, 231, 231, 231, 231, 231, 231, 231,
            231, 231, 231, 231, 231, 231, 231, 231, 231, 231, 231, 231, 231, 231, 231, 231, 231, 231, 231, 231, 231, 231, 231, 231, 231,
            231, 231, 231, 231, 231, 231, 231, 231, 231, 231, 231, 231, 231, 231, 231, 231, 231, 231, 231, 231, 231, 231, 231, 231, 231,
            231, 231, 231, 231, 231, 231, 231, 231, 231, 231, 231, 231, 231, 231, 231, 231, 231, 231, 231, 231, 231, 231, 231, 231, 231,
            231, 231, 231, 231, 231, 231, 231, 231, 231, 231, 231, 231, 231, 231, 231, 231, 231, 231, 231, 231, 231, 231, 231, 231, 231,
            231, 231, 231, 231, 231, 231, 231, 231, 231, 231, 231, 231, 231, 231, 231, 231, 231, 231, 231, 231, 231, 231, 231, 231, 231,
            231, 231, 231, 231, 231, 231, 231, 231, 231, 231, 231, 231, 231, 231, 231, 231, 231, 231, 231, 231, 231, 231, 231, 231, 231,
            231, 231, 231, 231, 231, 231, 231, 231, 231, 231, 231, 231, 231, 231, 231, 165, 121, 54, 165, 121, 54, 165, 121, 54, 165,
            121, 54, 165, 121, 54, 165, 121, 54, 165, 121, 54, 165, 121, 54, 165, 121, 54, 165, 121, 54, 165, 121, 54, 165, 121,
            54, 165, 121, 54, 165, 121, 54, 165, 121, 54, 152, 106, 46, 165, 121, 54, 255, 255, 255, 255, 255, 255, 254, 251, 221,
            254, 246, 188, 254, 244, 172, 254, 243, 155, 254, 243, 155, 253, 238, 121, 253, 238, 121, 253, 238, 121, 253, 238, 121, 253,
            238, 121, 253, 238, 121, 245, 227, 114, 138, 90, 37, 165, 121, 54, 255, 255, 255, 254, 251, 221, 254, 246, 188, 254, 246,
            188, 254, 243, 155, 254, 243, 155, 254, 243, 155, 253, 238, 121, 253, 238, 121, 253, 238, 121, 253, 238, 121, 253, 238, 121,
            253, 238, 121, 245, 227, 114, 138, 90, 37, 165, 121, 54, 254, 251, 221, 237, 222, 159, 221, 198, 131, 221, 197, 123, 205,
            172, 90, 205, 172, 90, 205, 172, 90, 221, 194, 97, 199, 130, 68, 192, 153, 75, 192, 153, 75, 204, 151, 76, 224, 189,
            95, 245, 227, 114, 138, 90, 37, 165, 121, 54, 254, 246, 188, 254, 246, 188, 254, 244, 172, 254, 243, 155, 254, 243, 155,
            254, 243, 155, 253, 238, 121, 253, 238, 121, 253, 238, 121, 253, 238, 121, 253, 238, 121, 253, 238, 121, 245, 227, 114, 239,
            218, 109, 138, 90, 37, 165, 121, 54, 254, 244, 172, 231, 210, 126, 209, 178, 98, 198, 162, 85, 192, 153, 75, 198, 162,
            85, 220, 192, 94, 253, 238, 121, 192, 153, 75, 192, 153, 75, 192, 153, 75, 192, 153, 75, 224, 189, 95, 239, 218, 109,
            138, 90, 37, 165, 121, 54, 254, 243, 155, 254, 243, 155, 254, 243, 155, 254, 243, 155, 254, 241, 138, 253, 238, 121, 253,
            238, 121, 253, 238, 121, 253, 238, 121, 253, 238, 121, 253, 238, 121, 253, 238, 121, 253, 238, 121, 239, 218, 109, 138, 90,
            37, 165, 121, 54, 254, 243, 155, 231, 210, 126, 208, 175, 81, 189, 149, 66, 189, 149, 66, 208, 175, 81, 208, 175, 81,
            192, 153, 68, 192, 153, 75, 192, 153, 75, 192, 153, 75, 192, 153, 75, 216, 177, 87, 239, 218, 109, 138, 90, 37, 165,
            121, 54, 253, 238, 121, 253, 238, 121, 253, 238, 121, 253, 238, 121, 253, 238, 121, 253, 238, 121, 253, 238, 121, 253, 238,
            121, 253, 238, 121, 253, 238, 121, 253, 238, 121, 253, 238, 121, 253, 238, 121, 239, 218, 109, 138, 90, 37, 165, 121, 54,
            253, 238, 121, 253, 238, 121, 253, 238, 121, 253, 238, 121, 253, 238, 121, 253, 238, 121, 249, 232, 117, 245, 227, 114, 245,
            227, 114, 245, 227, 114, 253, 238, 121, 253, 238, 121, 253, 238, 121, 239, 218, 109, 138, 90, 37, 152, 106, 46, 138, 90,
            37, 138, 90, 37, 138, 90, 37, 138, 90, 37, 138, 90, 37, 138, 90, 37, 138, 90, 37, 138, 90, 37, 138, 90, 37,
            138, 90, 37, 138, 90, 37, 138, 90, 37, 138, 90, 37, 138, 90, 37, 138, 90, 37
                };
        wxImage image(16, 16, (unsigned char *) data, true);
        image.SetMaskColour(231, 231, 231);
        wxBitmap bitmap(image);
        return bitmap;
    }
    return wxNullBitmap;
}

wxBitmap dlStatusImages(size_t index)
{
    if (index == 0)
    {
        static const unsigned char data[] =
        {
            230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230,
            230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230,
            230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230,
            142, 2, 62, 87, 2, 62, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230,
            230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 142, 2, 62, 204, 0,
            0, 191, 0, 0, 87, 2, 62, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230,
            230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 142, 2, 62, 204, 0, 0, 168, 2, 62, 168,
            2, 62, 191, 0, 0, 87, 2, 62, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230,
            230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 129, 2, 62, 178, 0, 0, 155, 2, 62, 58, 44, 104, 58, 44, 104,
            155, 2, 62, 165, 0, 0, 87, 2, 62, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230,
            230, 230, 230, 230, 230, 60, 8, 248, 158, 30, 150, 158, 30, 150, 81, 55, 175, 102, 102, 102, 102, 102, 102, 81, 55,
            175, 158, 30, 150, 158, 30, 150, 60, 8, 248, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230,
            230, 230, 230, 230, 230, 230, 60, 8, 248, 230, 230, 230, 60, 8, 248, 136, 136, 136, 136, 136, 136, 60, 8, 248, 230,
            230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230,
            230, 56, 30, 150, 51, 51, 51, 56, 30, 150, 60, 8, 248, 102, 102, 102, 102, 102, 102, 60, 8, 248, 230, 230, 230,
            230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 81,
            55, 175, 102, 102, 102, 81, 55, 175, 60, 8, 248, 51, 51, 51, 51, 51, 51, 60, 8, 248, 230, 230, 230, 230, 230,
            230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 98, 72, 192,
            136, 136, 136, 98, 72, 192, 230, 230, 230, 60, 8, 248, 60, 8, 248, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230,
            230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 62, 6, 186, 64, 4, 124, 62, 6, 186, 102, 102, 102, 102, 102,
            102, 102, 102, 102, 62, 6, 186, 64, 4, 124, 62, 6, 186, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230,
            230, 230, 230, 230, 230, 230, 230, 230, 230, 125, 22, 182, 191, 13, 13, 178, 0, 0, 98, 21, 141, 51, 51, 51, 98,
            21, 141, 178, 0, 0, 131, 0, 0, 63, 5, 165, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230,
            230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 125, 22, 182, 217, 13, 13, 204, 0, 0, 132, 4, 124, 204, 0, 0,
            144, 0, 0, 63, 5, 165, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230,
            230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 125, 22, 182, 217, 13, 13, 204, 0, 0, 144, 0, 0, 63, 5,
            165, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230,
            230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 125, 22, 182, 170, 13, 13, 63, 5, 165, 230, 230, 230, 230,
            230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230,
            230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 60, 8, 248, 230, 230, 230, 230, 230, 230, 230, 230, 230,
            230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230
                };
        wxImage image(16, 16, (unsigned char *) data, true);
        image.SetMaskColour(230, 230, 230);
        wxBitmap bitmap(image);
        return bitmap;
    }
    if (index == 1)
    {
        static const unsigned char data[] =
        {
            230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230,
            230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230,
            230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230,
            142, 2, 62, 87, 2, 62, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230,
            230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 142, 2, 62, 204, 0,
            0, 191, 0, 0, 87, 2, 62, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230,
            230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 142, 2, 62, 204, 0, 0, 168, 2, 62, 168,
            2, 62, 191, 0, 0, 87, 2, 62, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230,
            230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 129, 2, 62, 178, 0, 0, 155, 2, 62, 58, 44, 104, 58, 44, 104,
            155, 2, 62, 165, 0, 0, 87, 2, 62, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230,
            230, 230, 230, 230, 230, 60, 8, 248, 158, 30, 150, 158, 30, 150, 81, 55, 175, 102, 102, 102, 102, 102, 102, 81, 55,
            175, 158, 30, 150, 158, 30, 150, 60, 8, 248, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230,
            230, 230, 230, 230, 230, 230, 60, 8, 248, 230, 230, 230, 60, 8, 248, 136, 136, 136, 136, 136, 136, 60, 8, 248, 230,
            230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230,
            230, 56, 30, 150, 51, 51, 51, 56, 30, 150, 60, 8, 248, 102, 102, 102, 102, 102, 102, 60, 8, 248, 230, 230, 230,
            230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 81,
            55, 175, 102, 102, 102, 81, 55, 175, 60, 8, 248, 51, 51, 51, 51, 51, 51, 60, 8, 248, 230, 230, 230, 230, 230,
            230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 98, 72, 192,
            136, 136, 136, 98, 72, 192, 230, 230, 230, 60, 8, 248, 60, 8, 248, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230,
            230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 45, 27, 186, 30, 46, 124, 45, 27, 186, 102, 102, 102, 102, 102,
            102, 102, 102, 102, 45, 27, 186, 30, 46, 124, 45, 27, 186, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230,
            230, 230, 230, 230, 230, 230, 230, 230, 230, 40, 85, 165, 0, 204, 0, 0, 204, 0, 47, 80, 141, 51, 51, 51, 47,
            80, 141, 0, 204, 0, 0, 148, 0, 40, 33, 165, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230,
            230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 40, 85, 165, 0, 238, 0, 0, 238, 0, 30, 123, 124, 0, 238, 0,
            0, 166, 0, 40, 33, 165, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230,
            230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 40, 85, 165, 0, 238, 0, 0, 238, 0, 0, 166, 0, 40, 33,
            165, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230,
            230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 40, 85, 165, 0, 182, 0, 40, 33, 165, 230, 230, 230, 230,
            230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230,
            230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 60, 8, 248, 230, 230, 230, 230, 230, 230, 230, 230, 230,
            230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230
                };
        wxImage image(16, 16, (unsigned char *) data, true);
        image.SetMaskColour(230, 230, 230);
        wxBitmap bitmap(image);
        return bitmap;
    }
    if (index == 2)
    {
        static const unsigned char data[] =
        {
            230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230,
            230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230,
            230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230,
            15, 154, 62, 49, 48, 62, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230,
            230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 15, 154, 62, 0, 238,
            0, 0, 225, 0, 49, 48, 62, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230,
            230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 15, 154, 62, 0, 238, 0, 15, 154, 62, 15,
            168, 62, 0, 225, 0, 49, 48, 62, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230,
            230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 15, 142, 62, 0, 212, 0, 15, 154, 62, 58, 44, 104, 58, 44, 104,
            15, 168, 62, 0, 199, 0, 49, 48, 62, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230,
            230, 230, 230, 230, 230, 60, 8, 248, 30, 123, 124, 30, 123, 124, 81, 55, 175, 102, 102, 102, 102, 102, 102, 81, 55,
            175, 30, 123, 124, 30, 123, 124, 60, 8, 248, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230,
            230, 230, 230, 230, 230, 230, 60, 8, 248, 230, 230, 230, 60, 8, 248, 136, 136, 136, 136, 136, 136, 60, 8, 248, 230,
            230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230,
            230, 56, 30, 150, 51, 51, 51, 56, 30, 150, 60, 8, 248, 102, 102, 102, 102, 102, 102, 60, 8, 248, 230, 230, 230,
            230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 81,
            55, 175, 102, 102, 102, 81, 55, 175, 60, 8, 248, 51, 51, 51, 51, 51, 51, 60, 8, 248, 230, 230, 230, 230, 230,
            230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 98, 72, 192,
            136, 136, 136, 98, 72, 192, 230, 230, 230, 60, 8, 248, 60, 8, 248, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230,
            230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 62, 6, 186, 64, 4, 124, 62, 6, 186, 102, 102, 102, 102, 102,
            102, 102, 102, 102, 62, 6, 186, 64, 4, 124, 62, 6, 186, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230,
            230, 230, 230, 230, 230, 230, 230, 230, 230, 125, 22, 182, 191, 13, 13, 178, 0, 0, 98, 21, 141, 51, 51, 51, 98,
            21, 141, 178, 0, 0, 131, 0, 0, 63, 5, 165, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230,
            230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 125, 22, 182, 217, 13, 13, 204, 0, 0, 132, 4, 124, 204, 0, 0,
            144, 0, 0, 63, 5, 165, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230,
            230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 125, 22, 182, 217, 13, 13, 204, 0, 0, 144, 0, 0, 63, 5,
            165, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230,
            230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 125, 22, 182, 170, 13, 13, 63, 5, 165, 230, 230, 230, 230,
            230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230,
            230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 60, 8, 248, 230, 230, 230, 230, 230, 230, 230, 230, 230,
            230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230
                };
        wxImage image(16, 16, (unsigned char *) data, true);
        image.SetMaskColour(230, 230, 230);
        wxBitmap bitmap(image);
        return bitmap;
    }
    if (index == 3)
    {
        static const unsigned char data[] =
        {
            230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230,
            230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230,
            230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230,
            15, 154, 62, 49, 48, 62, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230,
            230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 15, 154, 62, 0, 238,
            0, 0, 225, 0, 49, 48, 62, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230,
            230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 15, 154, 62, 0, 238, 0, 15, 154, 62, 15,
            168, 62, 0, 225, 0, 49, 48, 62, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230,
            230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 15, 142, 62, 0, 212, 0, 15, 154, 62, 58, 44, 104, 58, 44, 104,
            15, 168, 62, 0, 199, 0, 49, 48, 62, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230,
            230, 230, 230, 230, 230, 60, 8, 248, 30, 123, 124, 30, 123, 124, 81, 55, 175, 102, 102, 102, 102, 102, 102, 81, 55,
            175, 30, 123, 124, 30, 123, 124, 60, 8, 248, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230,
            230, 230, 230, 230, 230, 230, 60, 8, 248, 230, 230, 230, 60, 8, 248, 136, 136, 136, 136, 136, 136, 60, 8, 248, 230,
            230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230,
            230, 56, 30, 150, 51, 51, 51, 56, 30, 150, 60, 8, 248, 102, 102, 102, 102, 102, 102, 60, 8, 248, 230, 230, 230,
            230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 81,
            55, 175, 102, 102, 102, 81, 55, 175, 60, 8, 248, 51, 51, 51, 51, 51, 51, 60, 8, 248, 230, 230, 230, 230, 230,
            230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 98, 72, 192,
            136, 136, 136, 98, 72, 192, 230, 230, 230, 60, 8, 248, 60, 8, 248, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230,
            230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 45, 27, 186, 30, 46, 124, 45, 27, 186, 102, 102, 102, 102, 102,
            102, 102, 102, 102, 45, 27, 186, 30, 46, 124, 45, 27, 186, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230,
            230, 230, 230, 230, 230, 230, 230, 230, 230, 40, 85, 165, 0, 212, 0, 0, 212, 0, 47, 80, 141, 51, 51, 51, 47,
            80, 141, 0, 212, 0, 0, 160, 0, 40, 33, 165, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230,
            230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 40, 85, 165, 0, 238, 0, 0, 238, 0, 30, 123, 124, 0, 238, 0,
            0, 174, 0, 40, 33, 165, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230,
            230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 40, 85, 165, 0, 238, 0, 0, 238, 0, 0, 186, 0, 40, 33,
            165, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230,
            230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 40, 85, 165, 0, 186, 0, 40, 33, 165, 230, 230, 230, 230,
            230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230,
            230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 60, 8, 248, 230, 230, 230, 230, 230, 230, 230, 230, 230,
            230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230
                };
        wxImage image(16, 16, (unsigned char *) data, true);
        image.SetMaskColour(230, 230, 230);
        wxBitmap bitmap(image);
        return bitmap;
    }
    return wxNullBitmap;
}

wxBitmap connImages(size_t index)
{
    if (index == 0)
    {
        static const unsigned char data[] =
        {
            231, 231, 231, 231, 231, 231, 231, 231, 231, 231, 231, 231, 231, 231, 231, 0, 59, 110, 0, 54, 110, 0, 54, 110, 0,
            54, 110, 0, 54, 110, 0, 57, 113, 231, 231, 231, 0, 46, 90, 0, 24, 45, 231, 231, 231, 231, 231, 231, 231, 231,
            231, 231, 231, 231, 231, 231, 231, 0, 57, 113, 0, 53, 112, 6, 95, 163, 12, 147, 232, 125, 209, 191, 60, 190, 123,
            13, 140, 211, 4, 87, 148, 0, 46, 90, 98, 11, 11, 98, 11, 11, 0, 24, 45, 231, 231, 231, 231, 231, 231, 231,
            231, 231, 0, 53, 112, 46, 127, 99, 104, 229, 123, 0, 149, 194, 2, 182, 255, 75, 205, 175, 16, 169, 151, 0, 64,
            129, 0, 64, 129, 47, 124, 71, 0, 46, 90, 151, 16, 16, 122, 13, 13, 0, 24, 45, 231, 231, 231, 0, 53, 112,
            61, 116, 106, 242, 255, 221, 20, 210, 175, 0, 161, 222, 14, 201, 241, 88, 214, 97, 0, 106, 188, 0, 64, 129, 243,
            127, 127, 0, 46, 90, 98, 11, 11, 208, 23, 23, 151, 16, 16, 0, 24, 45, 231, 231, 231, 0, 53, 112, 148, 220,
            148, 28, 207, 135, 0, 164, 210, 0, 211, 253, 0, 219, 242, 0, 142, 186, 20, 132, 186, 0, 64, 129, 251, 219, 219,
            241, 96, 96, 236, 27, 27, 237, 33, 33, 168, 19, 19, 0, 24, 45, 0, 57, 113, 0, 100, 144, 60, 218, 133, 0,
            161, 222, 13, 208, 243, 90, 236, 255, 0, 211, 253, 5, 192, 255, 35, 169, 223, 0, 64, 129, 255, 255, 255, 246, 163,
            163, 241, 88, 88, 219, 25, 25, 0, 24, 45, 0, 27, 49, 0, 51, 101, 0, 122, 137, 0, 138, 171, 0, 142, 186,
            14, 198, 223, 78, 206, 223, 8, 202, 231, 247, 247, 218, 131, 223, 126, 0, 64, 129, 248, 179, 179, 241, 96, 96, 228,
            26, 26, 160, 18, 18, 0, 24, 45, 0, 32, 58, 0, 64, 129, 0, 64, 129, 0, 64, 129, 0, 64, 129, 0, 64,
            129, 0, 64, 129, 0, 24, 45, 111, 231, 84, 34, 208, 30, 0, 64, 129, 240, 81, 81, 228, 26, 26, 201, 22, 22,
            186, 21, 21, 122, 13, 13, 0, 24, 45, 0, 64, 129, 240, 81, 81, 247, 173, 173, 255, 255, 255, 251, 219, 219, 240,
            81, 81, 0, 24, 45, 10, 170, 157, 8, 129, 82, 0, 64, 129, 0, 24, 45, 0, 24, 45, 0, 24, 45, 0, 24,
            45, 0, 24, 45, 0, 24, 45, 0, 46, 90, 0, 64, 129, 239, 72, 72, 245, 145, 145, 239, 72, 72, 228, 26, 26,
            0, 24, 45, 0, 141, 223, 20, 133, 207, 14, 123, 183, 0, 84, 159, 0, 84, 159, 0, 74, 147, 0, 64, 129, 0,
            59, 110, 0, 32, 58, 0, 46, 90, 0, 64, 129, 237, 33, 33, 239, 72, 72, 228, 26, 26, 201, 22, 22, 0, 24,
            45, 138, 198, 217, 237, 247, 201, 77, 189, 66, 38, 150, 157, 20, 126, 206, 0, 90, 204, 0, 87, 166, 3, 68, 119,
            0, 32, 58, 0, 64, 129, 178, 20, 20, 219, 25, 25, 194, 21, 21, 122, 13, 13, 168, 19, 19, 0, 24, 45, 160,
            206, 114, 40, 186, 55, 36, 177, 46, 80, 196, 31, 61, 163, 74, 2, 103, 188, 3, 100, 179, 0, 32, 58, 231, 231,
            231, 0, 64, 129, 106, 11, 11, 194, 21, 21, 122, 13, 13, 0, 24, 45, 122, 13, 13, 0, 24, 45, 69, 171, 44,
            40, 177, 40, 54, 178, 52, 49, 164, 56, 32, 124, 96, 3, 100, 179, 2, 78, 136, 0, 36, 72, 231, 231, 231, 0,
            64, 129, 106, 11, 11, 156, 16, 16, 0, 24, 45, 0, 74, 147, 0, 24, 45, 0, 24, 45, 53, 150, 114, 49, 157,
            56, 50, 155, 73, 32, 123, 110, 2, 91, 175, 0, 64, 129, 0, 42, 73, 231, 231, 231, 231, 231, 231, 231, 231, 231,
            0, 24, 45, 86, 9, 9, 106, 11, 11, 0, 24, 45, 0, 54, 110, 0, 86, 179, 1, 92, 180, 9, 93, 143, 7,
            94, 152, 3, 68, 119, 0, 36, 72, 0, 36, 72, 231, 231, 231, 231, 231, 231, 231, 231, 231, 231, 231, 231, 231, 231,
            231, 0, 24, 45, 0, 24, 45, 231, 231, 231, 0, 35, 67, 0, 42, 73, 0, 32, 58, 0, 42, 73, 0, 42, 73,
            0, 36, 72, 231, 231, 231, 231, 231, 231, 231, 231, 231, 231, 231, 231, 231, 231, 231
                };
        wxImage image(16, 16, (unsigned char *) data, true);
        image.SetMaskColour(231, 231, 231);
        wxBitmap bitmap(image);
        return bitmap;
    }
    if (index == 1)
    {
        static const unsigned char data[] =
        {
            231, 231, 231, 231, 231, 231, 231, 231, 231, 231, 231, 231, 231, 231, 231, 0, 57, 108, 0, 55, 110, 0, 55, 110, 0,
            55, 110, 0, 55, 110, 0, 60, 115, 231, 231, 231, 0, 45, 91, 0, 24, 45, 231, 231, 231, 231, 231, 231, 231, 231,
            231, 231, 231, 231, 231, 231, 231, 0, 60, 115, 0, 55, 110, 6, 95, 163, 12, 147, 232, 125, 209, 191, 60, 190, 123,
            13, 140, 211, 4, 87, 148, 0, 45, 91, 91, 87, 8, 85, 82, 7, 0, 24, 45, 231, 231, 231, 231, 231, 231, 231,
            231, 231, 0, 54, 113, 46, 127, 99, 104, 229, 123, 0, 148, 197, 2, 182, 255, 75, 205, 175, 16, 169, 151, 2, 70,
            127, 2, 70, 127, 47, 124, 71, 0, 45, 91, 240, 233, 68, 240, 233, 68, 0, 24, 45, 231, 231, 231, 0, 54, 113,
            61, 116, 106, 242, 255, 221, 20, 210, 175, 0, 161, 222, 13, 208, 243, 88, 214, 97, 0, 106, 188, 2, 70, 127, 243,
            237, 111, 0, 45, 91, 91, 87, 8, 240, 233, 68, 240, 233, 68, 0, 24, 45, 231, 231, 231, 0, 54, 113, 148, 220,
            148, 28, 207, 135, 0, 164, 210, 0, 211, 252, 0, 219, 242, 0, 142, 186, 20, 132, 186, 2, 70, 127, 253, 252, 226,
            241, 234, 82, 235, 226, 19, 240, 233, 68, 240, 233, 68, 0, 24, 45, 0, 60, 115, 0, 100, 144, 60, 218, 133, 0,
            159, 216, 13, 208, 243, 90, 236, 255, 0, 211, 252, 5, 192, 255, 35, 169, 223, 2, 70, 127, 240, 233, 68, 240, 233,
            68, 240, 233, 68, 240, 233, 68, 0, 24, 45, 0, 30, 49, 0, 51, 101, 0, 122, 137, 0, 138, 171, 0, 148, 197,
            14, 198, 223, 78, 206, 223, 8, 202, 231, 247, 247, 218, 131, 223, 126, 2, 70, 127, 251, 249, 204, 240, 233, 68, 157,
            151, 13, 148, 142, 12, 0, 24, 45, 0, 32, 58, 2, 70, 127, 2, 70, 127, 2, 70, 127, 2, 70, 127, 2, 70,
            127, 2, 70, 127, 0, 24, 45, 111, 231, 84, 34, 208, 30, 2, 70, 127, 240, 233, 68, 228, 219, 19, 240, 233, 68,
            178, 171, 15, 109, 105, 9, 0, 24, 45, 2, 70, 127, 240, 233, 68, 250, 248, 193, 255, 255, 255, 240, 233, 68, 240,
            233, 68, 0, 24, 45, 10, 170, 157, 8, 129, 82, 2, 70, 127, 0, 24, 45, 0, 24, 45, 0, 24, 45, 0, 24,
            45, 0, 24, 45, 0, 24, 45, 0, 45, 91, 2, 70, 127, 239, 231, 59, 240, 233, 68, 239, 231, 59, 228, 219, 19,
            0, 24, 45, 0, 141, 223, 20, 133, 207, 14, 123, 183, 0, 82, 159, 0, 82, 159, 0, 75, 148, 2, 70, 127, 0,
            60, 115, 0, 30, 49, 0, 45, 91, 2, 70, 127, 236, 227, 26, 239, 231, 59, 228, 219, 19, 240, 233, 68, 0, 24,
            45, 138, 198, 217, 237, 247, 201, 77, 189, 66, 38, 150, 157, 20, 126, 206, 0, 90, 204, 0, 87, 166, 0, 57, 108,
            0, 35, 67, 2, 70, 127, 240, 233, 68, 240, 233, 68, 240, 233, 68, 109, 105, 9, 218, 209, 18, 0, 24, 45, 160,
            206, 114, 40, 186, 55, 36, 177, 46, 80, 196, 31, 61, 163, 74, 2, 103, 188, 1, 92, 180, 0, 41, 67, 231, 231,
            231, 2, 70, 127, 94, 90, 8, 240, 233, 68, 109, 105, 9, 0, 24, 45, 218, 209, 18, 0, 24, 45, 69, 171, 44,
            40, 177, 40, 54, 178, 52, 49, 164, 56, 32, 124, 96, 3, 100, 179, 2, 78, 136, 0, 37, 74, 231, 231, 231, 2,
            70, 127, 96, 92, 8, 240, 233, 68, 0, 24, 45, 0, 75, 148, 0, 24, 45, 0, 24, 45, 53, 150, 114, 49, 157,
            56, 50, 155, 73, 32, 123, 110, 2, 91, 175, 2, 70, 127, 0, 35, 67, 231, 231, 231, 231, 231, 231, 231, 231, 231,
            0, 24, 45, 76, 73, 7, 94, 90, 8, 0, 24, 45, 0, 57, 108, 0, 86, 181, 0, 86, 181, 9, 93, 143, 7,
            94, 152, 3, 68, 119, 0, 37, 74, 0, 37, 74, 231, 231, 231, 231, 231, 231, 231, 231, 231, 231, 231, 231, 231, 231,
            231, 0, 24, 45, 0, 24, 45, 231, 231, 231, 0, 35, 67, 0, 41, 67, 0, 41, 67, 0, 41, 67, 0, 42, 73,
            0, 37, 74, 231, 231, 231, 231, 231, 231, 231, 231, 231, 231, 231, 231, 231, 231, 231
                };
        wxImage image(16, 16, (unsigned char *) data, true);
        image.SetMaskColour(231, 231, 231);
        wxBitmap bitmap(image);
        return bitmap;
    }
    if (index == 2)
    {
        static const unsigned char data[] =
        {
            230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 0, 57, 108, 0, 55, 110, 0, 55, 110, 0,
            55, 110, 0, 55, 110, 0, 60, 115, 230, 230, 230, 0, 45, 91, 0, 24, 45, 230, 230, 230, 230, 230, 230, 230, 230,
            230, 230, 230, 230, 230, 230, 230, 0, 60, 115, 0, 55, 110, 6, 95, 163, 12, 147, 232, 125, 209, 191, 60, 190, 123,
            13, 140, 211, 4, 87, 148, 0, 45, 91, 91, 87, 8, 85, 82, 7, 0, 24, 45, 230, 230, 230, 230, 230, 230, 230,
            230, 230, 0, 54, 113, 46, 127, 99, 104, 229, 123, 0, 148, 197, 2, 182, 255, 75, 205, 175, 16, 169, 151, 2, 70,
            127, 2, 70, 127, 47, 124, 71, 0, 45, 91, 240, 233, 68, 240, 233, 68, 0, 24, 45, 230, 230, 230, 0, 54, 113,
            61, 116, 106, 242, 255, 221, 20, 210, 175, 0, 161, 222, 13, 208, 243, 88, 214, 97, 0, 106, 188, 2, 70, 127, 243,
            237, 111, 0, 45, 91, 91, 87, 8, 240, 233, 68, 240, 233, 68, 0, 24, 45, 230, 230, 230, 0, 54, 113, 148, 220,
            148, 28, 207, 135, 0, 164, 210, 0, 211, 252, 0, 219, 242, 0, 142, 186, 20, 132, 186, 2, 70, 127, 253, 252, 226,
            241, 234, 82, 235, 226, 19, 240, 233, 68, 240, 233, 68, 0, 24, 45, 0, 60, 115, 0, 100, 144, 60, 218, 133, 0,
            159, 216, 13, 208, 243, 90, 236, 255, 0, 211, 252, 5, 192, 255, 35, 169, 223, 2, 70, 127, 240, 233, 68, 240, 233,
            68, 240, 233, 68, 240, 233, 68, 0, 24, 45, 0, 30, 49, 0, 51, 101, 0, 122, 137, 0, 138, 171, 0, 148, 197,
            14, 198, 223, 78, 206, 223, 8, 202, 231, 247, 247, 218, 131, 223, 126, 2, 70, 127, 251, 249, 204, 240, 233, 68, 157,
            151, 13, 148, 142, 12, 0, 24, 45, 0, 32, 58, 2, 70, 127, 2, 70, 127, 2, 70, 127, 2, 70, 127, 2, 70,
            127, 2, 70, 127, 0, 24, 45, 111, 231, 84, 34, 208, 30, 2, 70, 127, 240, 233, 68, 228, 219, 19, 240, 233, 68,
            178, 171, 15, 109, 105, 9, 0, 24, 45, 2, 70, 127, 240, 233, 68, 250, 248, 193, 255, 255, 255, 240, 233, 68, 240,
            233, 68, 0, 24, 45, 10, 170, 157, 8, 129, 82, 2, 70, 127, 0, 24, 45, 0, 24, 45, 0, 24, 45, 0, 24,
            45, 0, 24, 45, 0, 24, 45, 0, 45, 91, 2, 70, 127, 239, 231, 59, 240, 233, 68, 239, 231, 59, 228, 219, 19,
            0, 24, 45, 0, 141, 223, 20, 133, 207, 14, 123, 183, 0, 82, 159, 0, 82, 159, 0, 75, 148, 2, 70, 127, 0,
            60, 115, 0, 30, 49, 0, 45, 91, 2, 70, 127, 236, 227, 26, 239, 231, 59, 228, 219, 19, 240, 233, 68, 0, 24,
            45, 138, 198, 217, 237, 247, 201, 77, 189, 66, 38, 150, 157, 20, 126, 206, 0, 90, 204, 0, 87, 166, 0, 57, 108,
            0, 35, 67, 2, 70, 127, 240, 233, 68, 240, 233, 68, 240, 233, 68, 109, 105, 9, 218, 209, 18, 0, 24, 45, 160,
            206, 114, 40, 186, 55, 36, 177, 46, 80, 196, 31, 61, 163, 74, 2, 103, 188, 1, 92, 180, 0, 41, 67, 230, 230,
            230, 2, 70, 127, 94, 90, 8, 240, 233, 68, 109, 105, 9, 0, 24, 45, 218, 209, 18, 0, 24, 45, 69, 171, 44,
            40, 177, 40, 54, 178, 52, 49, 164, 56, 32, 124, 96, 3, 100, 179, 2, 78, 136, 0, 37, 74, 230, 230, 230, 2,
            70, 127, 96, 92, 8, 240, 233, 68, 0, 24, 45, 0, 75, 148, 0, 24, 45, 0, 24, 45, 53, 150, 114, 49, 157,
            56, 50, 155, 73, 32, 123, 110, 2, 91, 175, 2, 70, 127, 0, 35, 67, 230, 230, 230, 230, 230, 230, 230, 230, 230,
            0, 24, 45, 76, 73, 7, 94, 90, 8, 0, 24, 45, 0, 57, 108, 0, 86, 181, 0, 86, 181, 9, 93, 143, 7,
            94, 152, 3, 68, 119, 0, 37, 74, 0, 37, 74, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230,
            230, 0, 24, 45, 0, 24, 45, 230, 230, 230, 0, 35, 67, 0, 41, 67, 0, 41, 67, 0, 41, 67, 0, 42, 73,
            0, 37, 74, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230
                };
        wxImage image(16, 16, (unsigned char *) data, true);
        image.SetMaskColour(230, 230, 230);
        wxBitmap bitmap(image);
        return bitmap;
    }
    if (index == 3)
    {
        static const unsigned char data[] =
        {
            230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 0, 57, 108, 0, 55, 110, 0, 55, 110, 0,
            55, 110, 0, 55, 110, 0, 60, 115, 230, 230, 230, 0, 45, 91, 0, 24, 45, 230, 230, 230, 230, 230, 230, 230, 230,
            230, 230, 230, 230, 230, 230, 230, 0, 60, 115, 0, 55, 110, 6, 95, 163, 12, 147, 232, 125, 209, 191, 60, 190, 123,
            13, 140, 211, 4, 87, 148, 0, 45, 91, 14, 82, 69, 19, 73, 67, 0, 24, 45, 230, 230, 230, 230, 230, 230, 230,
            230, 230, 0, 54, 113, 46, 127, 99, 104, 229, 123, 0, 148, 197, 2, 182, 255, 75, 205, 175, 16, 169, 151, 2, 70,
            127, 2, 70, 127, 47, 124, 71, 0, 45, 91, 67, 252, 63, 49, 169, 65, 0, 24, 45, 230, 230, 230, 0, 54, 113,
            61, 116, 106, 242, 255, 221, 20, 210, 175, 0, 161, 222, 13, 208, 243, 88, 214, 97, 0, 106, 188, 2, 70, 127, 67,
            252, 63, 0, 45, 91, 67, 252, 63, 67, 252, 63, 67, 252, 63, 0, 24, 45, 230, 230, 230, 0, 54, 113, 148, 220,
            148, 28, 207, 135, 0, 164, 210, 0, 211, 252, 0, 219, 242, 0, 142, 186, 20, 132, 186, 2, 70, 127, 67, 252, 63,
            42, 203, 42, 67, 252, 63, 67, 252, 63, 37, 133, 60, 0, 24, 45, 0, 60, 115, 0, 100, 144, 60, 218, 133, 0,
            159, 216, 13, 208, 243, 90, 236, 255, 0, 211, 252, 5, 192, 255, 35, 169, 223, 2, 70, 127, 67, 252, 63, 67, 252,
            63, 67, 252, 63, 67, 252, 63, 0, 24, 45, 0, 30, 49, 0, 51, 101, 0, 122, 137, 0, 138, 171, 0, 148, 197,
            14, 198, 223, 78, 206, 223, 8, 202, 231, 247, 247, 218, 131, 223, 126, 2, 70, 127, 67, 252, 63, 67, 252, 63, 42,
            203, 42, 31, 129, 47, 0, 24, 45, 0, 32, 58, 2, 70, 127, 2, 70, 127, 2, 70, 127, 2, 70, 127, 2, 70,
            127, 2, 70, 127, 0, 24, 45, 111, 231, 84, 34, 208, 30, 2, 70, 127, 67, 252, 63, 67, 252, 63, 67, 252, 63,
            67, 252, 63, 22, 99, 47, 0, 24, 45, 2, 70, 127, 42, 203, 42, 203, 255, 188, 67, 252, 63, 67, 252, 63, 67,
            252, 63, 0, 24, 45, 10, 170, 157, 8, 129, 82, 2, 70, 127, 0, 24, 45, 0, 24, 45, 0, 24, 45, 0, 24,
            45, 0, 24, 45, 0, 24, 45, 0, 45, 91, 2, 70, 127, 56, 246, 57, 67, 252, 63, 67, 252, 63, 67, 252, 63,
            0, 24, 45, 0, 141, 223, 20, 133, 207, 14, 123, 183, 0, 82, 159, 0, 82, 159, 0, 75, 148, 2, 70, 127, 0,
            60, 115, 0, 30, 49, 0, 45, 91, 2, 70, 127, 67, 252, 63, 67, 252, 63, 42, 203, 42, 67, 252, 63, 0, 24,
            45, 138, 198, 217, 237, 247, 201, 77, 189, 66, 38, 150, 157, 20, 126, 206, 0, 90, 204, 0, 87, 166, 0, 57, 108,
            0, 35, 67, 2, 70, 127, 37, 146, 48, 67, 252, 63, 67, 252, 63, 22, 99, 47, 67, 252, 63, 0, 24, 45, 160,
            206, 114, 40, 186, 55, 36, 177, 46, 80, 196, 31, 61, 163, 74, 2, 103, 188, 1, 92, 180, 0, 41, 67, 230, 230,
            230, 2, 70, 127, 18, 84, 47, 67, 252, 63, 18, 101, 71, 0, 24, 45, 42, 203, 42, 0, 24, 45, 69, 171, 44,
            40, 177, 40, 54, 178, 52, 49, 164, 56, 32, 124, 96, 3, 100, 179, 2, 78, 136, 0, 37, 74, 230, 230, 230, 2,
            70, 127, 16, 88, 53, 27, 129, 54, 0, 24, 45, 0, 75, 148, 0, 24, 45, 0, 24, 45, 53, 150, 114, 49, 157,
            56, 50, 155, 73, 32, 123, 110, 2, 91, 175, 2, 70, 127, 0, 35, 67, 230, 230, 230, 230, 230, 230, 230, 230, 230,
            0, 24, 45, 19, 73, 67, 17, 83, 66, 0, 24, 45, 0, 57, 108, 0, 86, 181, 0, 86, 181, 9, 93, 143, 7,
            94, 152, 3, 68, 119, 0, 37, 74, 0, 37, 74, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230,
            230, 0, 24, 45, 0, 24, 45, 230, 230, 230, 0, 35, 67, 0, 41, 67, 0, 41, 67, 0, 41, 67, 0, 42, 73,
            0, 37, 74, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230
                };
        wxImage image(16, 16, (unsigned char *) data, true);
        image.SetMaskColour(230, 230, 230);
        wxBitmap bitmap(image);
        return bitmap;
    }
    return wxNullBitmap;
}

wxBitmap connButImg(size_t index)
{
    if (index == 0)
    {
        static const unsigned char data[] =
        {
            230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230,
            230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230,
            230, 230, 230, 230, 230, 230, 230, 137, 112, 0, 137, 112, 0, 132, 107, 0, 132, 107, 0, 132, 107, 0, 230, 230, 230,
            230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230,
            230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230,
            230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 156, 126, 0, 164, 132, 0, 156, 126, 0, 151, 122, 0,
            144, 116, 0, 204, 156, 0, 204, 156, 0, 204, 156, 0, 204, 156, 0, 156, 126, 0, 124, 100, 0, 230, 230, 230, 230,
            230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230,
            230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 164, 132, 0, 164, 132, 0,
            164, 132, 0, 164, 132, 0, 164, 132, 0, 189, 151, 0, 204, 156, 0, 209, 164, 0, 209, 164, 0, 201, 168, 0, 209,
            164, 0, 209, 164, 0, 209, 164, 0, 204, 156, 0, 204, 156, 0, 156, 126, 0, 117, 95, 0, 230, 230, 230, 230, 230,
            230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230,
            230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 156, 126, 0, 204, 156, 0, 211, 171, 0, 211, 171, 0, 216,
            173, 0, 211, 171, 0, 209, 164, 0, 209, 164, 0, 209, 164, 0, 209, 164, 0, 209, 164, 0, 209, 164, 0, 209, 164,
            0, 209, 164, 0, 209, 164, 0, 204, 156, 0, 209, 164, 0, 156, 126, 0, 110, 89, 0, 230, 230, 230, 230, 230, 230,
            230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230,
            230, 230, 230, 230, 230, 230, 230, 230, 164, 132, 0, 217, 180, 0, 216, 173, 0, 211, 171, 0, 211, 171, 0, 211, 171,
            0, 216, 173, 0, 209, 164, 0, 209, 164, 0, 211, 171, 0, 209, 164, 0, 209, 164, 0, 209, 164, 0, 209, 164, 0,
            209, 164, 0, 209, 164, 0, 204, 156, 0, 204, 156, 0, 156, 126, 0, 110, 89, 0, 230, 230, 230, 230, 230, 230, 230,
            230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230,
            230, 230, 230, 230, 164, 132, 0, 225, 187, 0, 217, 180, 0, 211, 171, 0, 211, 171, 0, 216, 173, 0, 209, 164, 0,
            211, 171, 0, 209, 164, 0, 209, 164, 0, 209, 164, 0, 209, 164, 0, 216, 173, 0, 221, 184, 0, 236, 200, 0, 247,
            216, 4, 250, 220, 0, 250, 220, 0, 187, 154, 0, 110, 89, 0, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230,
            230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 164, 132, 0,
            195, 160, 0, 225, 187, 0, 225, 187, 0, 216, 173, 0, 211, 171, 0, 211, 171, 0, 211, 171, 0, 217, 180, 0, 225,
            187, 0, 244, 219, 56, 253, 238, 129, 253, 243, 174, 253, 243, 174, 253, 241, 152, 253, 241, 152, 252, 233, 96, 250, 220,
            0, 180, 155, 0, 117, 95, 0, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230,
            230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 164, 132, 0, 211, 171, 0, 225,
            187, 0, 225, 187, 0, 225, 187, 0, 236, 200, 0, 247, 228, 101, 253, 246, 195, 255, 251, 226, 255, 251, 226, 253, 246,
            195, 253, 243, 174, 253, 243, 174, 253, 240, 143, 253, 238, 129, 253, 232, 82, 247, 216, 4, 180, 155, 0, 117, 95, 0,
            230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230,
            230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 164, 132, 0, 221, 184, 0, 226, 195, 2, 221, 184,
            0, 221, 184, 0, 247, 216, 4, 255, 254, 244, 255, 254, 244, 253, 246, 195, 254, 245, 179, 253, 241, 152, 253, 238, 129,
            253, 238, 129, 253, 238, 129, 252, 233, 96, 250, 220, 0, 180, 155, 0, 110, 89, 0, 230, 230, 230, 230, 230, 230, 230,
            230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230,
            230, 230, 230, 230, 230, 230, 230, 164, 132, 0, 195, 160, 0, 221, 184, 0, 221, 184, 0, 225, 187, 0, 226, 195, 2,
            253, 235, 106, 255, 254, 244, 254, 245, 179, 254, 243, 163, 253, 238, 129, 253, 238, 129, 253, 238, 129, 253, 238, 129, 252,
            233, 96, 250, 220, 0, 180, 155, 0, 110, 89, 0, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230,
            230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230,
            230, 230, 230, 164, 132, 0, 211, 171, 0, 221, 184, 0, 221, 184, 0, 225, 187, 0, 236, 200, 0, 254, 246, 190, 254,
            245, 179, 253, 241, 152, 253, 238, 129, 253, 238, 129, 253, 238, 129, 253, 237, 113, 252, 233, 96, 252, 228, 48, 197, 171,
            1, 110, 89, 0, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230,
            230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 164,
            132, 0, 217, 180, 0, 221, 184, 0, 221, 184, 0, 221, 184, 0, 247, 216, 4, 254, 246, 190, 253, 241, 147, 253, 238,
            129, 253, 238, 129, 253, 238, 129, 253, 237, 113, 252, 233, 96, 253, 231, 72, 212, 184, 1, 110, 89, 0, 230, 230, 230,
            230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230,
            230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 164, 132, 0, 195, 160, 0, 217, 180,
            0, 217, 180, 0, 221, 184, 0, 221, 184, 0, 252, 233, 96, 254, 245, 179, 253, 238, 129, 253, 238, 129, 253, 238, 129,
            253, 237, 113, 252, 233, 96, 253, 232, 82, 232, 206, 24, 110, 89, 0, 137, 112, 0, 117, 95, 0, 230, 230, 230, 230,
            230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230,
            230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 164, 132, 0, 211, 171, 0, 212, 184, 1, 217, 180, 0,
            221, 184, 0, 236, 200, 0, 253, 241, 152, 253, 241, 147, 253, 238, 129, 253, 238, 120, 253, 235, 106, 252, 233, 96, 252,
            233, 96, 252, 228, 48, 110, 89, 0, 137, 112, 0, 164, 132, 0, 181, 146, 0, 117, 95, 0, 230, 230, 230, 230, 230,
            230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230,
            230, 230, 230, 230, 230, 230, 164, 132, 0, 187, 154, 0, 211, 171, 0, 212, 184, 1, 217, 180, 0, 217, 180, 0, 245,
            212, 0, 254, 245, 179, 253, 241, 147, 253, 238, 120, 252, 233, 96, 252, 233, 96, 252, 233, 96, 252, 233, 96, 146, 124,
            18, 110, 89, 0, 117, 95, 0, 110, 89, 0, 110, 89, 0, 110, 89, 0, 230, 230, 230, 230, 230, 230, 230, 230, 230,
            230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230,
            230, 230, 164, 132, 0, 195, 160, 0, 211, 171, 0, 211, 171, 0, 216, 173, 0, 217, 180, 0, 252, 226, 32, 253, 240,
            143, 253, 237, 113, 253, 232, 82, 252, 233, 96, 252, 233, 96, 253, 231, 72, 253, 231, 72, 253, 231, 72, 252, 228, 48,
            219, 195, 26, 180, 155, 0, 110, 89, 0, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230,
            230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230,
            230, 164, 132, 0, 195, 160, 0, 211, 171, 0, 211, 171, 0, 232, 198, 0, 252, 233, 96, 253, 237, 113, 252, 233, 96,
            252, 233, 96, 253, 231, 72, 253, 231, 72, 253, 231, 72, 253, 231, 72, 253, 231, 72, 239, 211, 13, 180, 155, 0, 110,
            89, 0, 137, 112, 0, 117, 95, 0, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230,
            230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230,
            164, 132, 0, 195, 160, 0, 211, 171, 0, 245, 212, 0, 252, 233, 96, 252, 233, 96, 253, 231, 72, 253, 231, 72, 253,
            231, 72, 253, 231, 72, 253, 231, 72, 253, 231, 72, 247, 216, 4, 198, 174, 12, 117, 95, 0, 137, 112, 0, 164, 132,
            0, 181, 146, 0, 110, 89, 0, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230,
            230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 164,
            132, 0, 195, 160, 0, 250, 220, 0, 253, 231, 72, 253, 231, 72, 253, 231, 72, 253, 231, 72, 253, 231, 72, 253, 231,
            72, 253, 232, 82, 252, 228, 48, 219, 195, 26, 137, 112, 0, 110, 89, 0, 110, 89, 0, 110, 89, 0, 110, 89, 0,
            110, 89, 0, 110, 89, 0, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230,
            230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 164, 132,
            0, 164, 132, 0, 164, 132, 0, 164, 132, 0, 164, 132, 0, 164, 132, 0, 187, 158, 18, 253, 238, 120, 252, 228, 48,
            252, 228, 48, 252, 228, 48, 252, 228, 48, 252, 228, 48, 252, 228, 48, 250, 220, 0, 245, 212, 0, 180, 155, 0, 110,
            89, 0, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230,
            230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230,
            164, 132, 0, 221, 184, 0, 187, 154, 0, 164, 132, 0, 252, 233, 96, 255, 251, 226, 253, 238, 120, 252, 228, 48, 252,
            228, 48, 252, 228, 48, 250, 220, 0, 250, 220, 0, 245, 212, 0, 180, 155, 0, 110, 89, 0, 230, 230, 230, 230, 230,
            230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230,
            230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 164, 132, 0, 187,
            154, 0, 164, 132, 0, 252, 233, 96, 255, 255, 255, 253, 238, 120, 252, 228, 48, 252, 228, 48, 250, 220, 0, 250, 220,
            0, 250, 220, 0, 245, 212, 0, 180, 155, 0, 110, 89, 0, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230,
            230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230,
            230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 151, 122, 0, 250, 220,
            0, 253, 246, 195, 253, 238, 120, 252, 228, 48, 250, 220, 0, 250, 220, 0, 250, 220, 0, 250, 220, 0, 245, 212, 0,
            197, 171, 1, 110, 89, 0, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230,
            230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230,
            230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 137, 112, 0, 250, 220, 0, 253, 238, 120, 253, 232, 82,
            250, 220, 0, 250, 220, 0, 250, 220, 0, 250, 220, 0, 250, 220, 0, 245, 212, 0, 205, 177, 3, 110, 89, 0, 230,
            230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230,
            230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230,
            230, 230, 230, 230, 230, 230, 230, 230, 230, 137, 112, 0, 137, 112, 0, 137, 112, 0, 137, 112, 0, 137, 112, 0, 187,
            154, 0, 250, 220, 0, 245, 212, 0, 245, 212, 0, 212, 184, 1, 110, 89, 0, 230, 230, 230, 230, 230, 230, 230, 230,
            230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230,
            230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230,
            230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 137, 112, 0, 187, 154, 0, 137, 112, 0, 245, 212, 0, 245, 212,
            0, 245, 212, 0, 221, 184, 0, 118, 96, 0, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230,
            230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230,
            230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230,
            230, 230, 230, 230, 230, 230, 230, 137, 112, 0, 181, 146, 0, 137, 112, 0, 245, 212, 0, 245, 212, 0, 226, 195, 2,
            124, 100, 0, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230,
            230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230,
            230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230,
            230, 230, 230, 230, 230, 230, 137, 112, 0, 201, 168, 0, 245, 212, 0, 236, 200, 0, 132, 107, 0, 230, 230, 230, 230,
            230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230,
            230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230,
            230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230,
            230, 230, 137, 112, 0, 211, 171, 0, 236, 200, 0, 137, 112, 0, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230,
            230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230,
            230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230,
            230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 137, 112,
            0, 205, 177, 3, 137, 112, 0, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230,
            230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230,
            230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230,
            230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 137, 112, 0, 137, 112, 0,
            230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230,
            230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230,
            230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230,
            230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 137, 112, 0, 230, 230, 230, 230, 230, 230, 230,
            230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230,
            230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230
                };
        wxImage image(32, 32, (unsigned char *) data, true);
        image.SetMaskColour(230, 230, 230);
        wxBitmap bitmap(image);
        return bitmap;
    }
    if (index == 1)
    {
        static const unsigned char data[] =
        {
            230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230,
            230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230,
            230, 230, 230, 230, 230, 230, 230, 137, 112, 0, 132, 107, 0, 132, 107, 0, 132, 107, 0, 132, 107, 0, 230, 230, 230,
            230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230,
            230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230,
            230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 156, 126, 0, 164, 132, 0, 156, 126, 0, 151, 122, 0,
            144, 116, 0, 204, 156, 0, 204, 156, 0, 204, 156, 0, 204, 156, 0, 156, 126, 0, 124, 100, 0, 230, 230, 230, 230,
            230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230,
            230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 164, 132, 0, 164, 132, 0,
            164, 132, 0, 164, 132, 0, 164, 132, 0, 189, 151, 0, 201, 160, 0, 209, 164, 0, 209, 164, 0, 201, 168, 0, 209,
            164, 0, 209, 164, 0, 209, 164, 0, 204, 156, 0, 204, 156, 0, 156, 126, 0, 117, 95, 0, 230, 230, 230, 230, 230,
            230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230,
            230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 164, 132, 0, 204, 156, 0, 211, 171, 0, 211, 171, 0, 211,
            171, 0, 211, 171, 0, 209, 164, 0, 209, 164, 0, 209, 164, 0, 209, 164, 0, 209, 164, 0, 209, 164, 0, 209, 164,
            0, 209, 164, 0, 209, 164, 0, 204, 156, 0, 209, 164, 0, 156, 126, 0, 110, 89, 0, 230, 230, 230, 230, 230, 230,
            230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230,
            230, 230, 230, 230, 230, 230, 230, 230, 164, 132, 0, 221, 184, 0, 211, 171, 0, 211, 171, 0, 216, 173, 0, 216, 173,
            0, 211, 171, 0, 209, 164, 0, 209, 164, 0, 211, 171, 0, 209, 164, 0, 209, 164, 0, 209, 164, 0, 209, 164, 0,
            209, 164, 0, 209, 164, 0, 204, 156, 0, 204, 156, 0, 156, 126, 0, 110, 89, 0, 230, 230, 230, 230, 230, 230, 230,
            230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230,
            230, 230, 230, 230, 164, 132, 0, 221, 184, 0, 217, 180, 0, 211, 171, 0, 209, 164, 0, 211, 171, 0, 211, 171, 0,
            211, 171, 0, 209, 164, 0, 209, 164, 0, 209, 164, 0, 209, 164, 0, 216, 173, 0, 225, 187, 0, 236, 200, 0, 247,
            216, 4, 250, 220, 0, 250, 220, 0, 187, 154, 0, 110, 89, 0, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230,
            230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 164, 132, 0,
            204, 156, 0, 221, 184, 0, 225, 187, 0, 217, 180, 0, 216, 173, 0, 209, 164, 0, 211, 171, 0, 217, 180, 0, 225,
            187, 0, 244, 219, 56, 253, 238, 129, 253, 243, 174, 253, 243, 174, 253, 241, 152, 253, 241, 152, 253, 232, 82, 250, 220,
            0, 180, 155, 0, 117, 95, 0, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230,
            230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 164, 132, 0, 211, 171, 0, 225,
            187, 0, 225, 187, 0, 225, 187, 0, 236, 200, 0, 247, 228, 101, 254, 246, 190, 255, 251, 226, 255, 251, 226, 253, 246,
            195, 254, 245, 179, 253, 243, 174, 253, 239, 139, 253, 238, 129, 247, 228, 101, 250, 220, 0, 180, 155, 0, 117, 95, 0,
            230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230,
            230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 164, 132, 0, 221, 184, 0, 221, 184, 0, 232, 198,
            0, 221, 184, 0, 247, 216, 4, 255, 254, 244, 255, 254, 244, 253, 246, 195, 254, 245, 179, 253, 241, 152, 253, 238, 129,
            253, 238, 129, 253, 238, 129, 253, 235, 106, 250, 220, 0, 180, 155, 0, 110, 89, 0, 230, 230, 230, 230, 230, 230, 230,
            230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230,
            230, 230, 230, 230, 230, 230, 230, 164, 132, 0, 195, 160, 0, 221, 184, 0, 221, 184, 0, 232, 198, 0, 221, 184, 0,
            253, 235, 106, 255, 254, 244, 254, 245, 179, 254, 243, 163, 253, 238, 129, 253, 238, 129, 253, 238, 129, 253, 238, 129, 253,
            232, 82, 250, 220, 0, 180, 155, 0, 110, 89, 0, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230,
            230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230,
            230, 230, 230, 164, 132, 0, 211, 171, 0, 221, 184, 0, 221, 184, 0, 221, 184, 0, 236, 200, 0, 254, 246, 190, 254,
            245, 179, 253, 241, 152, 253, 238, 129, 253, 238, 129, 253, 238, 129, 253, 238, 120, 253, 235, 106, 252, 228, 48, 198, 174,
            12, 110, 89, 0, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230,
            230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 164,
            132, 0, 217, 180, 0, 221, 184, 0, 221, 184, 0, 221, 184, 0, 247, 216, 4, 254, 246, 190, 253, 241, 152, 253, 238,
            129, 253, 238, 129, 253, 238, 129, 253, 237, 113, 253, 232, 82, 253, 231, 72, 211, 184, 0, 110, 89, 0, 230, 230, 230,
            230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230,
            230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 164, 132, 0, 195, 160, 0, 211, 184,
            0, 217, 180, 0, 221, 184, 0, 221, 184, 0, 252, 233, 96, 254, 245, 179, 253, 238, 129, 253, 238, 129, 253, 238, 129,
            253, 237, 113, 252, 233, 96, 253, 232, 82, 232, 206, 24, 110, 89, 0, 144, 116, 0, 110, 89, 0, 230, 230, 230, 230,
            230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230,
            230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 164, 132, 0, 211, 171, 0, 217, 180, 0, 221, 184, 0,
            221, 184, 0, 236, 200, 0, 253, 241, 152, 253, 241, 147, 253, 238, 129, 253, 238, 120, 253, 235, 106, 252, 233, 96, 252,
            233, 96, 244, 219, 56, 110, 89, 0, 137, 112, 0, 164, 132, 0, 181, 146, 0, 110, 89, 0, 230, 230, 230, 230, 230,
            230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230,
            230, 230, 230, 230, 230, 230, 164, 132, 0, 187, 154, 0, 211, 171, 0, 211, 184, 0, 217, 180, 0, 221, 184, 0, 245,
            212, 0, 254, 245, 179, 253, 241, 147, 253, 238, 120, 253, 232, 82, 252, 233, 96, 252, 233, 96, 252, 233, 96, 146, 124,
            18, 110, 89, 0, 117, 95, 0, 110, 89, 0, 110, 89, 0, 110, 89, 0, 230, 230, 230, 230, 230, 230, 230, 230, 230,
            230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230,
            230, 230, 164, 132, 0, 195, 160, 0, 211, 171, 0, 211, 171, 0, 211, 171, 0, 211, 184, 0, 252, 226, 32, 253, 240,
            143, 253, 237, 113, 253, 232, 82, 253, 235, 106, 252, 233, 96, 253, 231, 72, 253, 231, 72, 253, 231, 72, 252, 228, 48,
            219, 195, 26, 180, 155, 0, 110, 89, 0, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230,
            230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230,
            230, 164, 132, 0, 195, 160, 0, 211, 171, 0, 211, 171, 0, 232, 198, 0, 252, 233, 96, 253, 238, 120, 253, 235, 106,
            253, 232, 82, 253, 231, 72, 253, 231, 72, 253, 231, 72, 253, 231, 72, 253, 231, 72, 239, 211, 13, 180, 155, 0, 110,
            89, 0, 144, 116, 0, 110, 89, 0, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230,
            230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230,
            164, 132, 0, 195, 160, 0, 211, 171, 0, 245, 212, 0, 252, 233, 96, 253, 232, 82, 253, 231, 72, 253, 231, 72, 253,
            231, 72, 253, 231, 72, 253, 231, 72, 253, 231, 72, 250, 220, 0, 198, 174, 12, 110, 89, 0, 144, 116, 0, 164, 132,
            0, 181, 146, 0, 110, 89, 0, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230,
            230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 164,
            132, 0, 195, 160, 0, 247, 216, 4, 253, 231, 72, 253, 231, 72, 253, 231, 72, 253, 231, 72, 253, 231, 72, 253, 231,
            72, 253, 231, 72, 252, 228, 48, 219, 195, 26, 137, 112, 0, 110, 89, 0, 110, 89, 0, 110, 89, 0, 110, 89, 0,
            110, 89, 0, 110, 89, 0, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230,
            230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 164, 132,
            0, 164, 132, 0, 164, 132, 0, 164, 132, 0, 164, 132, 0, 164, 132, 0, 187, 158, 18, 253, 238, 129, 252, 228, 48,
            252, 228, 48, 252, 228, 48, 252, 228, 48, 252, 228, 48, 252, 228, 48, 250, 220, 0, 245, 212, 0, 180, 155, 0, 110,
            89, 0, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230,
            230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230,
            164, 132, 0, 221, 184, 0, 187, 154, 0, 164, 132, 0, 253, 232, 82, 255, 251, 226, 253, 238, 120, 252, 228, 48, 252,
            228, 48, 252, 228, 48, 250, 220, 0, 250, 220, 0, 245, 212, 0, 180, 155, 0, 110, 89, 0, 230, 230, 230, 230, 230,
            230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230,
            230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 164, 132, 0, 187,
            154, 0, 164, 132, 0, 253, 235, 106, 255, 255, 255, 253, 238, 120, 252, 228, 48, 252, 228, 48, 250, 220, 0, 229, 188,
            32, 131, 19, 11, 131, 19, 11, 131, 19, 11, 131, 19, 11, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230,
            230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230,
            230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 151, 122, 0, 250, 220,
            0, 254, 246, 190, 253, 238, 120, 252, 228, 48, 250, 220, 0, 250, 220, 0, 221, 175, 26, 131, 19, 11, 167, 28, 25,
            205, 49, 44, 205, 49, 44, 167, 28, 25, 131, 19, 11, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230,
            230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230,
            230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 137, 112, 0, 250, 220, 0, 253, 238, 120, 253, 232, 82,
            250, 220, 0, 250, 220, 0, 250, 220, 0, 229, 187, 24, 131, 19, 11, 215, 88, 84, 229, 148, 146, 229, 148, 146, 220,
            111, 107, 215, 88, 84, 205, 49, 44, 119, 0, 0, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230,
            230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230,
            230, 230, 230, 230, 230, 230, 230, 230, 230, 137, 112, 0, 137, 112, 0, 137, 112, 0, 137, 112, 0, 137, 112, 0, 187,
            154, 0, 250, 220, 0, 131, 19, 11, 167, 28, 25, 229, 148, 146, 255, 255, 255, 229, 148, 146, 220, 111, 107, 255, 255,
            255, 212, 75, 71, 167, 28, 25, 119, 0, 0, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230,
            230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230,
            230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 137, 112, 0, 189, 151, 0, 137, 112, 0, 245, 212, 0, 245, 212,
            0, 131, 19, 11, 205, 49, 44, 229, 148, 146, 229, 148, 146, 255, 255, 255, 255, 255, 255, 218, 101, 97, 212, 75, 71,
            205, 49, 44, 108, 0, 0, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230,
            230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230,
            230, 230, 230, 230, 230, 230, 230, 137, 112, 0, 177, 142, 0, 137, 112, 0, 245, 212, 0, 245, 212, 0, 131, 19, 11,
            205, 49, 44, 220, 111, 107, 220, 111, 107, 255, 255, 255, 255, 255, 255, 215, 88, 84, 212, 75, 71, 205, 49, 44, 108,
            0, 0, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230,
            230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230,
            230, 230, 230, 230, 230, 230, 137, 112, 0, 201, 168, 0, 245, 212, 0, 236, 200, 0, 131, 19, 11, 167, 28, 25, 215,
            88, 84, 255, 255, 255, 218, 101, 97, 215, 88, 84, 255, 255, 255, 208, 62, 57, 152, 21, 19, 108, 0, 0, 230, 230,
            230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230,
            230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230,
            230, 230, 137, 112, 0, 211, 171, 0, 236, 200, 0, 132, 107, 0, 230, 230, 230, 131, 19, 11, 205, 49, 44, 212, 75,
            71, 212, 75, 71, 212, 75, 71, 208, 62, 57, 181, 37, 33, 108, 0, 0, 230, 230, 230, 230, 230, 230, 230, 230, 230,
            230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230,
            230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 137, 112,
            0, 211, 184, 0, 137, 112, 0, 230, 230, 230, 230, 230, 230, 230, 230, 230, 119, 0, 0, 167, 28, 25, 205, 49, 44,
            205, 49, 44, 152, 21, 19, 108, 0, 0, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230,
            230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230,
            230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 137, 112, 0, 137, 112, 0,
            230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 119, 0, 0, 108, 0, 0, 108, 0, 0, 108,
            0, 0, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230,
            230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230,
            230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 137, 112, 0, 230, 230, 230, 230, 230, 230, 230,
            230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230,
            230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230
                };
        wxImage image(32, 32, (unsigned char *) data, true);
        image.SetMaskColour(230, 230, 230);
        wxBitmap bitmap(image);
        return bitmap;
    }
    if (index == 2)
    {
        static const unsigned char data[] =
        {
            230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230,
            230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230,
            230, 230, 230, 230, 230, 230, 230, 145, 117, 0, 136, 115, 6, 135, 109, 0, 135, 109, 0, 124, 100, 0, 230, 230, 230,
            230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230,
            230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230,
            230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 154, 125, 0, 154, 125, 0, 154, 125, 0, 151, 123, 0,
            151, 123, 0, 189, 151, 0, 209, 165, 0, 204, 156, 0, 204, 156, 0, 165, 133, 0, 124, 100, 0, 230, 230, 230, 230,
            230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230,
            230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 165, 133, 0, 165, 133, 0,
            165, 133, 0, 165, 133, 0, 165, 133, 0, 189, 151, 0, 209, 165, 0, 209, 165, 0, 209, 165, 0, 209, 165, 0, 209,
            165, 0, 209, 165, 0, 213, 170, 0, 204, 156, 0, 204, 156, 0, 165, 133, 0, 117, 95, 0, 230, 230, 230, 230, 230,
            230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230,
            230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 165, 133, 0, 189, 151, 0, 213, 170, 0, 213, 170, 0, 213,
            170, 0, 213, 170, 0, 209, 165, 0, 209, 165, 0, 209, 165, 0, 209, 165, 0, 209, 165, 0, 209, 165, 0, 209, 165,
            0, 209, 165, 0, 209, 165, 0, 204, 156, 0, 204, 156, 0, 165, 133, 0, 110, 89, 0, 230, 230, 230, 230, 230, 230,
            230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230,
            230, 230, 230, 230, 230, 230, 230, 230, 165, 133, 0, 219, 179, 0, 213, 170, 0, 213, 170, 0, 213, 170, 0, 213, 170,
            0, 213, 170, 0, 209, 165, 0, 209, 165, 0, 209, 165, 0, 209, 165, 0, 209, 165, 0, 209, 165, 0, 209, 165, 0,
            209, 165, 0, 209, 165, 0, 204, 156, 0, 204, 156, 0, 165, 133, 0, 110, 89, 0, 230, 230, 230, 230, 230, 230, 230,
            230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230,
            230, 230, 230, 230, 165, 133, 0, 225, 188, 0, 219, 179, 0, 213, 170, 0, 213, 170, 0, 213, 170, 0, 213, 170, 0,
            213, 170, 0, 209, 165, 0, 209, 165, 0, 209, 165, 0, 209, 165, 0, 216, 173, 0, 219, 179, 0, 239, 203, 0, 251,
            221, 0, 251, 221, 0, 251, 221, 0, 180, 155, 0, 110, 89, 0, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230,
            230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 165, 133, 0,
            195, 160, 0, 225, 188, 0, 225, 188, 0, 219, 179, 0, 213, 170, 0, 213, 170, 0, 213, 170, 0, 219, 179, 0, 225,
            188, 0, 244, 217, 57, 253, 238, 130, 253, 244, 174, 253, 244, 174, 254, 241, 146, 254, 241, 146, 252, 233, 101, 251, 221,
            0, 180, 155, 0, 110, 89, 0, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230,
            230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 165, 133, 0, 213, 170, 0, 225,
            188, 0, 225, 188, 0, 225, 188, 0, 239, 203, 0, 247, 228, 101, 254, 246, 190, 255, 252, 228, 255, 252, 228, 253, 246,
            197, 253, 244, 174, 253, 244, 174, 253, 240, 143, 253, 238, 130, 252, 233, 101, 251, 221, 0, 180, 155, 0, 110, 89, 0,
            230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230,
            230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 165, 133, 0, 219, 179, 0, 225, 188, 0, 225, 188,
            0, 225, 188, 0, 247, 217, 6, 255, 254, 244, 255, 254, 244, 253, 246, 197, 254, 245, 180, 253, 241, 153, 253, 238, 130,
            253, 238, 130, 253, 238, 130, 252, 233, 101, 251, 221, 0, 180, 155, 0, 110, 89, 0, 230, 230, 230, 230, 230, 230, 230,
            230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230,
            230, 230, 230, 230, 230, 230, 230, 165, 133, 0, 195, 160, 0, 221, 184, 0, 225, 188, 0, 225, 188, 0, 225, 188, 0,
            252, 234, 108, 255, 254, 244, 254, 245, 180, 254, 243, 163, 253, 238, 130, 253, 238, 130, 253, 238, 130, 253, 238, 130, 252,
            233, 101, 251, 221, 0, 180, 155, 0, 110, 89, 0, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230,
            230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230,
            230, 230, 230, 165, 133, 0, 213, 170, 0, 221, 184, 0, 221, 184, 0, 225, 188, 0, 239, 203, 0, 254, 246, 190, 254,
            245, 180, 254, 241, 146, 253, 238, 130, 253, 238, 130, 253, 238, 130, 253, 237, 114, 252, 233, 101, 252, 228, 48, 198, 172,
            0, 110, 89, 0, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230,
            230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 165,
            133, 0, 219, 179, 0, 221, 184, 0, 221, 184, 0, 221, 184, 0, 247, 217, 6, 254, 246, 190, 254, 241, 146, 253, 238,
            130, 253, 238, 130, 253, 238, 130, 253, 237, 114, 252, 233, 101, 253, 231, 72, 211, 184, 0, 110, 89, 0, 230, 230, 230,
            230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230,
            230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 165, 133, 0, 195, 160, 0, 219, 179,
            0, 219, 179, 0, 221, 184, 0, 221, 184, 0, 252, 233, 101, 254, 245, 180, 253, 238, 130, 253, 238, 130, 253, 238, 130,
            253, 237, 114, 252, 233, 101, 253, 233, 84, 232, 206, 24, 110, 89, 0, 145, 117, 0, 110, 89, 0, 230, 230, 230, 230,
            230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230,
            230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 165, 133, 0, 213, 170, 0, 219, 179, 0, 219, 179, 0,
            221, 184, 0, 239, 203, 0, 253, 241, 153, 254, 241, 146, 253, 238, 130, 254, 238, 122, 252, 234, 108, 252, 233, 101, 252,
            233, 101, 244, 217, 57, 110, 89, 0, 145, 117, 0, 165, 133, 0, 181, 146, 0, 110, 89, 0, 230, 230, 230, 230, 230,
            230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230,
            230, 230, 230, 230, 230, 230, 165, 133, 0, 187, 155, 0, 213, 170, 0, 213, 177, 0, 219, 179, 0, 219, 179, 0, 245,
            213, 0, 254, 245, 180, 254, 241, 146, 253, 237, 114, 252, 233, 101, 252, 233, 101, 252, 233, 101, 252, 233, 101, 146, 124,
            18, 110, 89, 0, 110, 89, 0, 110, 89, 0, 110, 89, 0, 110, 89, 0, 230, 230, 230, 230, 230, 230, 230, 230, 230,
            230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230,
            230, 230, 165, 133, 0, 195, 160, 0, 213, 170, 0, 213, 170, 0, 213, 177, 0, 219, 179, 0, 252, 226, 32, 253, 239,
            139, 253, 237, 114, 252, 233, 101, 252, 233, 101, 252, 233, 101, 253, 231, 72, 253, 231, 72, 253, 231, 72, 252, 228, 48,
            223, 199, 29, 180, 155, 0, 110, 89, 0, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230,
            230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230,
            230, 165, 133, 0, 195, 160, 0, 213, 170, 0, 213, 170, 0, 234, 198, 0, 252, 233, 101, 253, 237, 114, 252, 233, 101,
            252, 233, 101, 253, 231, 72, 253, 231, 72, 253, 231, 72, 253, 231, 72, 253, 231, 72, 239, 211, 13, 180, 155, 0, 110,
            89, 0, 145, 117, 0, 110, 89, 0, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230,
            230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230,
            165, 133, 0, 195, 160, 0, 213, 170, 0, 245, 213, 0, 252, 233, 101, 252, 233, 101, 253, 231, 72, 253, 231, 72, 253,
            231, 72, 253, 231, 72, 253, 231, 72, 253, 231, 72, 251, 221, 0, 198, 174, 12, 110, 89, 0, 145, 117, 0, 165, 133,
            0, 181, 146, 0, 110, 89, 0, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230,
            230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 165,
            133, 0, 195, 160, 0, 251, 221, 0, 253, 231, 72, 253, 231, 72, 253, 231, 72, 253, 231, 72, 253, 231, 72, 253, 231,
            72, 253, 231, 72, 252, 228, 48, 223, 199, 29, 136, 115, 6, 110, 89, 0, 110, 89, 0, 110, 89, 0, 110, 89, 0,
            110, 89, 0, 110, 89, 0, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230,
            230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 165, 133,
            0, 165, 133, 0, 165, 133, 0, 165, 133, 0, 165, 133, 0, 165, 133, 0, 187, 158, 18, 253, 238, 130, 252, 228, 48,
            252, 228, 48, 252, 228, 48, 252, 228, 48, 252, 228, 48, 252, 228, 48, 251, 221, 0, 245, 213, 0, 180, 155, 0, 110,
            89, 0, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230,
            230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230,
            165, 133, 0, 219, 179, 0, 189, 151, 0, 165, 133, 0, 252, 233, 101, 255, 252, 228, 254, 238, 122, 252, 228, 48, 252,
            228, 48, 252, 228, 48, 251, 221, 0, 251, 221, 0, 245, 213, 0, 180, 155, 0, 110, 89, 0, 230, 230, 230, 230, 230,
            230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230,
            230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 165, 133, 0, 189,
            151, 0, 165, 133, 0, 252, 233, 101, 255, 255, 255, 254, 238, 122, 252, 228, 48, 252, 228, 48, 251, 221, 0, 229, 188,
            32, 142, 73, 0, 142, 73, 0, 142, 73, 0, 142, 73, 0, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230,
            230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230,
            230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 151, 123, 0, 251, 221,
            0, 253, 246, 197, 254, 238, 122, 252, 228, 48, 251, 221, 0, 251, 221, 0, 221, 175, 26, 142, 73, 0, 247, 103, 96,
            247, 103, 96, 247, 103, 96, 192, 90, 0, 142, 73, 0, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230,
            230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230,
            230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 136, 115, 6, 251, 221, 0, 253, 238, 130, 253, 233, 84,
            251, 221, 0, 251, 221, 0, 251, 221, 0, 229, 188, 32, 142, 73, 0, 247, 103, 96, 247, 103, 96, 247, 103, 96, 247,
            103, 96, 247, 103, 96, 247, 103, 96, 119, 53, 0, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230,
            230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230,
            230, 230, 230, 230, 230, 230, 230, 230, 230, 136, 115, 6, 136, 115, 6, 136, 115, 6, 136, 115, 6, 136, 115, 6, 187,
            155, 0, 251, 221, 0, 142, 73, 0, 192, 90, 0, 247, 103, 96, 255, 0, 0, 255, 0, 0, 255, 0, 0, 255, 0,
            0, 247, 103, 96, 192, 90, 0, 119, 53, 0, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230,
            230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230,
            230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 136, 115, 6, 189, 151, 0, 136, 115, 6, 245, 213, 0, 245, 213,
            0, 142, 73, 0, 247, 103, 96, 247, 103, 96, 255, 255, 255, 255, 255, 255, 255, 255, 255, 255, 255, 255, 247, 103, 96,
            247, 103, 96, 108, 49, 0, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230,
            230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230,
            230, 230, 230, 230, 230, 230, 230, 136, 115, 6, 177, 142, 0, 136, 115, 6, 245, 213, 0, 245, 213, 0, 142, 73, 0,
            247, 103, 96, 247, 103, 96, 255, 255, 255, 255, 255, 255, 255, 255, 255, 255, 255, 255, 247, 103, 96, 247, 103, 96, 108,
            49, 0, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230,
            230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230,
            230, 230, 230, 230, 230, 230, 136, 115, 6, 201, 168, 0, 245, 213, 0, 234, 198, 0, 142, 73, 0, 192, 90, 0, 247,
            103, 96, 247, 103, 96, 247, 103, 96, 247, 103, 96, 247, 103, 96, 247, 103, 96, 171, 79, 0, 108, 49, 0, 230, 230,
            230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230,
            230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230,
            230, 230, 136, 115, 6, 213, 177, 0, 234, 198, 0, 136, 115, 6, 230, 230, 230, 142, 73, 0, 247, 103, 96, 247, 103,
            96, 247, 103, 96, 247, 103, 96, 247, 103, 96, 247, 103, 96, 108, 49, 0, 230, 230, 230, 230, 230, 230, 230, 230, 230,
            230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230,
            230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 136, 115,
            6, 213, 177, 0, 136, 115, 6, 230, 230, 230, 230, 230, 230, 230, 230, 230, 119, 53, 0, 192, 90, 0, 247, 103, 96,
            247, 103, 96, 171, 79, 0, 108, 49, 0, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230,
            230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230,
            230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 136, 115, 6, 136, 115, 6,
            230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 119, 53, 0, 108, 49, 0, 108, 49, 0, 108,
            49, 0, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230,
            230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230,
            230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 136, 115, 6, 230, 230, 230, 230, 230, 230, 230,
            230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230,
            230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230
                };
        wxImage image(32, 32, (unsigned char *) data, true);
        image.SetMaskColour(230, 230, 230);
        wxBitmap bitmap(image);
        return bitmap;
    }
    return wxNullBitmap;
}

wxBitmap moreImages(size_t index)
{
    if (index == 0)
    {
        static const unsigned char data[] =
        {
            230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230,
            230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230,
            230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 128, 67, 11, 128, 67, 11,
            128, 67, 11, 128, 67, 11, 128, 67, 11, 128, 67, 11, 128, 67, 11, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230,
            230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 128, 67, 11, 192, 133, 75, 192, 133, 75, 179, 120,
            61, 166, 107, 50, 166, 107, 50, 128, 67, 11, 128, 67, 11, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230,
            230, 230, 230, 230, 230, 230, 230, 230, 230, 128, 67, 11, 128, 67, 11, 128, 67, 11, 128, 67, 11, 128, 67, 11, 128,
            67, 11, 128, 67, 11, 148, 88, 32, 128, 67, 11, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230,
            230, 230, 230, 230, 230, 230, 230, 128, 67, 11, 245, 193, 137, 226, 168, 106, 219, 162, 100, 212, 156, 94, 212, 156, 94,
            128, 67, 11, 148, 88, 32, 128, 67, 11, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230,
            230, 230, 230, 230, 230, 128, 67, 11, 226, 168, 106, 219, 162, 100, 212, 156, 94, 212, 156, 94, 212, 156, 94, 128, 67,
            11, 148, 88, 32, 125, 66, 12, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230,
            230, 230, 230, 125, 66, 12, 212, 156, 94, 200, 146, 86, 200, 146, 86, 200, 146, 86, 200, 146, 86, 125, 66, 12, 143,
            85, 31, 125, 66, 12, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230,
            230, 114, 58, 6, 183, 131, 75, 183, 131, 75, 183, 131, 75, 183, 131, 75, 183, 131, 75, 114, 58, 6, 135, 80, 29,
            114, 58, 6, 230, 230, 230, 230, 230, 230, 115, 115, 115, 115, 115, 115, 115, 115, 115, 84, 84, 84, 121, 71, 20, 161,
            106, 39, 161, 106, 39, 161, 106, 39, 161, 106, 39, 161, 106, 39, 161, 106, 39, 128, 67, 11, 109, 52, 0, 152, 93,
            30, 152, 93, 30, 230, 230, 230, 205, 205, 205, 241, 241, 241, 205, 205, 205, 138, 138, 138, 166, 107, 50, 239, 183, 123,
            253, 198, 137, 255, 223, 189, 255, 234, 211, 255, 241, 226, 252, 212, 168, 161, 106, 39, 161, 106, 39, 226, 168, 106, 254,
            209, 159, 109, 52, 0, 115, 115, 115, 115, 115, 115, 115, 115, 115, 84, 84, 84, 166, 107, 50, 221, 164, 105, 232, 175,
            115, 201, 143, 84, 157, 95, 36, 143, 80, 22, 125, 66, 12, 198, 139, 80, 254, 221, 183, 254, 209, 159, 109, 52, 0,
            230, 230, 230, 85, 85, 85, 85, 85, 85, 75, 75, 75, 68, 68, 68, 166, 107, 50, 201, 143, 84, 230, 174, 113, 250,
            203, 150, 254, 221, 183, 254, 230, 201, 254, 230, 201, 254, 221, 183, 214, 164, 112, 109, 52, 0, 230, 230, 230, 230, 230,
            230, 75, 75, 75, 75, 75, 75, 75, 75, 75, 43, 43, 43, 114, 62, 14, 109, 52, 0, 192, 133, 75, 234, 177, 117,
            248, 193, 132, 232, 175, 115, 192, 133, 75, 109, 52, 0, 109, 52, 0, 230, 230, 230, 230, 230, 230, 230, 230, 230, 43,
            43, 43, 43, 43, 43, 43, 43, 43, 230, 230, 230, 230, 230, 230, 230, 230, 230, 109, 52, 0, 109, 52, 0, 109, 52,
            0, 109, 52, 0, 109, 52, 0, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230,
            230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230,
            230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230,
            230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230,
            230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230
                };
        wxImage image(16, 16, (unsigned char *) data, true);
        image.SetMaskColour(230, 230, 230);
        wxBitmap bitmap(image);
        return bitmap;
    }
    if (index == 1)
    {
        static const unsigned char data[] =
        {
            230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 27, 73, 140, 27, 73, 140, 27, 73, 140, 27, 73, 140, 27,
            73, 140, 27, 73, 140, 27, 73, 140, 27, 73, 140, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230,
            230, 230, 230, 230, 27, 73, 140, 27, 73, 140, 59, 107, 179, 77, 129, 205, 95, 146, 225, 95, 146, 225, 95, 146, 225,
            95, 146, 225, 77, 129, 205, 59, 107, 179, 27, 73, 140, 27, 73, 140, 230, 230, 230, 230, 230, 230, 230, 230, 230, 27,
            73, 140, 49, 97, 168, 81, 133, 210, 95, 146, 225, 101, 153, 233, 101, 153, 233, 73, 120, 188, 101, 153, 233, 101, 153,
            233, 101, 153, 233, 101, 153, 233, 95, 146, 225, 59, 107, 179, 27, 73, 140, 230, 230, 230, 27, 73, 140, 49, 97, 168,
            95, 146, 225, 101, 153, 233, 101, 153, 233, 101, 153, 233, 77, 125, 195, 82, 65, 0, 82, 132, 206, 101, 153, 233, 101,
            153, 233, 111, 162, 243, 111, 162, 243, 111, 162, 243, 77, 125, 195, 27, 73, 140, 24, 65, 124, 70, 121, 196, 101, 153,
            233, 101, 153, 233, 101, 153, 233, 77, 125, 195, 88, 71, 0, 178, 167, 63, 79, 92, 86, 95, 143, 218, 111, 162, 243,
            111, 162, 243, 111, 162, 243, 121, 171, 252, 121, 171, 252, 21, 56, 107, 21, 56, 107, 84, 137, 215, 101, 153, 233, 101,
            153, 233, 80, 127, 197, 92, 74, 0, 178, 167, 63, 212, 193, 51, 92, 74, 0, 77, 125, 195, 111, 162, 243, 111, 162,
            243, 121, 171, 252, 121, 171, 252, 110, 157, 234, 18, 48, 91, 18, 47, 90, 62, 105, 170, 101, 153, 233, 82, 132, 206,
            92, 74, 0, 178, 167, 63, 239, 214, 41, 239, 214, 41, 179, 172, 74, 79, 92, 86, 110, 157, 234, 121, 171, 252, 121,
            171, 252, 121, 171, 252, 69, 110, 170, 15, 39, 74, 18, 47, 90, 21, 56, 107, 62, 103, 165, 92, 74, 0, 178, 167,
            63, 255, 230, 60, 255, 230, 60, 255, 230, 60, 237, 222, 74, 92, 74, 0, 92, 128, 174, 121, 171, 252, 98, 146, 220,
            62, 100, 157, 15, 39, 74, 15, 39, 74, 18, 47, 90, 50, 96, 164, 56, 61, 45, 179, 164, 46, 245, 228, 63, 255,
            244, 75, 255, 240, 71, 255, 237, 68, 246, 235, 77, 160, 163, 84, 86, 85, 48, 45, 79, 131, 15, 39, 74, 15, 39,
            74, 24, 65, 124, 15, 39, 74, 18, 47, 90, 63, 95, 132, 82, 65, 0, 108, 88, 0, 173, 149, 10, 204, 185, 33,
            245, 232, 66, 255, 244, 75, 255, 244, 75, 215, 207, 69, 49, 52, 37, 15, 39, 74, 21, 56, 107, 27, 73, 140, 27,
            73, 140, 15, 39, 74, 18, 47, 90, 67, 81, 82, 145, 121, 0, 159, 135, 0, 119, 99, 0, 92, 74, 0, 92, 74,
            0, 92, 74, 0, 92, 74, 0, 82, 65, 0, 49, 52, 37, 21, 56, 107, 24, 65, 124, 27, 73, 140, 24, 65, 124,
            15, 39, 74, 230, 230, 230, 82, 65, 0, 167, 142, 0, 185, 158, 0, 185, 158, 0, 185, 158, 0, 185, 158, 0, 179,
            153, 0, 172, 146, 0, 135, 114, 0, 82, 65, 0, 21, 56, 107, 24, 65, 124, 21, 56, 107, 15, 39, 74, 230, 230,
            230, 230, 230, 230, 82, 65, 0, 179, 153, 0, 185, 158, 0, 185, 158, 0, 185, 158, 0, 185, 158, 0, 185, 158, 0,
            185, 158, 0, 185, 158, 0, 82, 65, 0, 18, 47, 90, 15, 39, 74, 15, 39, 74, 230, 230, 230, 230, 230, 230, 230,
            230, 230, 82, 65, 0, 82, 65, 0, 82, 65, 0, 130, 108, 0, 172, 146, 0, 185, 158, 0, 185, 158, 0, 185, 158,
            0, 185, 158, 0, 82, 65, 0, 15, 39, 74, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230,
            230, 230, 230, 230, 230, 230, 230, 230, 230, 82, 65, 0, 82, 65, 0, 82, 65, 0, 82, 65, 0, 82, 65, 0, 82,
            65, 0, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230,
            230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230,
            230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230, 230
                };
        wxImage image(16, 16, (unsigned char *) data, true);
        image.SetMaskColour(230, 230, 230);
        wxBitmap bitmap(image);
        return bitmap;
    }
    return wxNullBitmap;
}

// End of generated file

